lintian (2.5.87) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-pyversions-is-obsolete
      - debug-symbol-migration-possibly-complete
      - header-has-overly-generic-name

  * checks/cruft.{desc,pm}:
    + [CL] Apply patch from Joseph Herlant to warn about use of obsolete
      debian/pyversion files.  Thanks!  (Closes: #898592)
  * checks/debhelper.pm:
    + [CL] Prevent false-positives with comments and newlines when checking
      debhelper-compat-file-contains-multiple-levels.  (Closes: #898799)
  * checks/fields.{desc,pm}:
    + [BR] Detect privacy breaches in Internet Explorer "<!--[if IE 8]>"
      conditional comments.
    + [CL] Rename python-generic-modules data file to
      generic-python-modules.
    + [CL] Warn about packages that install files under /usr/include with
      overly-generic filenames.  Thanks to Andreas Beckmann for the report.
      (Closes: #898377)
    + [CL] Apply patch from Ian Jackson to not detect
      https://browse.dgit.debian.org/example.git as a VCS deprecated in the
      Debian infrastucture.  (Closes: #898708)
  * checks/files.pm:
    + [BR] Add "umd" as a possible suffix for minified Javascript.
      (alongside "lite", "min", "pack", etc.)
  * checks/menu-format.{desc,pm}:
    + [CL] Apply patch from Ross Vandegrift to update specification URIs.
      (Closes: #899134)
  * checks/upstream-metadata.desc:
    + [CL] Correct a "non-file directory entry" grammatical error in the
      description of the upstream-metadata-is-not-a-file tag.

  * data/files/js-libraries:
    + [BR] Detect uses of the libjs-normalize.css CSS "style reset" helper.
  * data/files/privacy-breaker-websites:
    + [BR] Detect uses of the "libjs-rx" API for asynchronous programming.
  * data/rules/rules-should-not-use:
    + [CL] Add a pedantic-level warning about possibly complete automatic
      debug symbol migrations.  Thanks to Graham Inggs for the report.
      (Closes: #897608)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

  * lib/Lintian/Collect/Package.pm:
    + [CL] Support parsing tar(1) archives with high-resolution timestamps
      (eg. "21:47:29.12396808").  Based on a patch by Stephen Kitt; thanks!
      (Closes: #898715)

 -- Chris Lamb <lamby@debian.org>  Sat, 19 May 2018 19:30:19 +0000

lintian (2.5.86) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - epoch-changed-but-upstream-version-did-not-go-backwards
      - latest-debian-changelog-entry-reuses-existing-version
    + Removed:
      - depends-on-mail-transport-agent-without-alternatives

  * checks/changelog-file.{desc,pm}:
    + [CL] Emit an error when a package bumps the epoch but the upstream
      version did not go "backwards".  Thanks to Raphael Hertzog for the
      idea.  (Closes: #889816)
    + [CL] Correctly warn about packages that re-use a previous version
      number.  Thanks to Raphael Hertzog for spotting this issue and the
      follow-ups.  (Closes: #889991)
  * checks/fields.pm:
    + [CL] Move homepage-field-uses-insecure-uri regex into a separate data
      file now it is getting unwieldy.
    + [CL] Drop depends-on-mail-transport-agent-without-alternatives as it
      only consists of false-positives.  Thanks to Paul Wise and Russ
      Allbery.  (Closes: #898136)

  * data/debhelper/dh_addons-manual:
    + [CL] Also permit python-scour to satisfy the requirement for the
      scour addon.  (Closes: #898077)
  * data/fields/insecure-homepage-uris:
    + [CL] Add non-HTTPS gnu.org to the list of sites we should warn about
      for homepage-field-uses-insecure-uri.  Thanks to Mattia Rizzolo for
      the report.  (Closes: #898160)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

 -- Chris Lamb <lamby@debian.org>  Tue, 08 May 2018 22:09:58 -0700

lintian (2.5.85) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - ancient-python-version-field
      - changed-by-invalid-for-derivative
      - old-python-version-field
      - package-does-not-use-debhelper-or-cdbs

  * checks/{binaries,shared-libs.pm}:
    + [CL] Update shared object detection for file >= 5.33 as this version
      will identify shared objects as a "pie executable" or "shared object"
      depending on the file's executable bit.  Thanks to Paul Gevers, Doug
      Freed, Christoph Biedl & Mattia Rizzolo.  (Closes: #896840)
  * checks/changelog-file.pm:
    + [CL] Prevent false-positives in the non-consecutive-debian-revision
      and possible-new-upstream-release-without-new-version tags by
      skipping them if the source package was renamed.  Thanks to Andreas
      Beckmann for the report.  (Closes: #896675)
    + [CL] Include the offending version numbers in the output of the
      non-consecutive-debian-revision tag.
  * checks/cruft.pm:
    + [CL] Make the file-contains-trailing-whitespace tag also emit for
      whitespace at end of files.
    + [CL] Drop now-misleading comment regarding trailing whitespace
      filenames being relative.
    + [CL] Also allow /usr/share/doc/$pkg/examples to be a symlink when
      checking for packages that ship examples.  Thanks to Rafael
      Laboissière for the report.  (Closes: #897157)
  * checks/copyright-file.pm:
    + [CL] Disable the duplicate word "spelling" detection in copyright
      files to their extensive use of headings and other structures causing
      false positives.  Thanks, Stuart Prescott.  (Closes: #897402)
  * checks/debhelper.{pm,desc}:
    + [CL] Don't use $. out-of-context when reporting on dh --parallel.
    + [CL] Add a pedantic warning for packages that do not use debhelper or
      CDBS.  (Closes: #884499)
  * checks/description.pm:
    + [CL] Rework the description-synopsis-might-not-be-phrased-properly
      tag to ensure we do not cause false-positives for literal "e.g.",
      "eg.", ellipsis ("..."), "etc.", splitting out the tests to make
      it clearer and to catch some other corner cases.  Thanks to Andreas
      Beckmann for the detailed report.  (Closes: #896671)
    + [CL] Include the synopsis itself for context, etc. when emitting the
      description-synopsis-might-not-be-phrased-properly tag.
  * checks/fields.pm:
    + [CL] Correct a default-mta-dependency-not-listed-first false-
      positive where we incorrect emitted the tag for, e.g.
      "Depends: a, default-mta | b".  (Closes: #897166)
    + [CL] Fix orphaned-package-not-maintained-in-debian-infrastructure
      false positives for https://git.dgit.debian.org Vcs-* fields.
      Thanks to Thorsten Alteholz for the report.  (Closes: #897915)
  * checks/menus.pm:
    + [CL] Also look in a package's dependencies for files listed in a
      doc-base control file.  (Closes: #897244)
  * checks/patch-systems.pm:
    + [CL] Ignore templated ".in" files in debian/patches for the
      patch-file-present-but-not-mentioned-in-series tag.
  * checks/python.{desc,pm}:
    + [CL] Mark dependency-on-python-version-marked-for-end-of-life as
      "experimental" and with a "pedantic" severity, thus essentially
      hiding it from all Lintian users yet allowing us to continue to
      continue collect statistics and making it easier to re-introduce
      after the release of buster.  (Closes: #897213)
    + [CL] Migrate the malformed-python-version and
      python-version-current-is-deprecated tags from fields.pm, refactor
      to use $info->source_field over $info->field, include the
      offending field name in the output, and also warn about the Python
      3.x variant of this field.
    + [CL] Warn about ancient and old X-Python{,3}-Version fields.  Thanks
      to Scott Kitterman.  (Closes: #892304)
  * checks/watch-file.desc:
    + [CL] Update description of debian-watch-uses-insecure-uri to clarify
      what to do if there is currently no secure URI.  Thanks to Andreas
      Tille for the report.  (Closes: #897082)

  * collection/src-orig-index:
    + [CL] Pass --full-date to tar(1) to ensure that we get a consistent
      output in the presence of spaces in other fields.  (Closes: #897248)
    + [CL] Pass --utc to tar(1) to ensure reproducible date parsing.

  * data/java/constants:
    + [CL] Apply patches from Bas Couwenberg to update the bytecode checks
      for OpenJDK 10 add bytecode number for OpenJDK 11.  (Closes: #897424)
  * data/fields/perl-provides:
    + [CL] Update for Perl 5.026002.
  * data/files/python-generic-modules:
    + [CL] Add "scripts" and "script" to the list of overly generic Python
      module names.  Thanks, Andreas Beckmann.  (Closes: #897692)
  * data/spelling/corrections:
    + [CL] Add a "CBDS" → "CDBS" correction.
    + [CL] Add a "DSFG" → "DFSG" correction.
    + [PW] Add a number of corrections.

  * doc/releases.md:
    + [CL] Clarify that we should add an extra bit of whitespace for
      annotated release tags.

  * lib/Lintian/Check.pm:
    + [CL] Add support for derivative-specific "Changed-By" validation to
      enforce additional restrictions on the uploader.
  * lib/Lintian/Collect/Package.pm:
    + [CL] croak() a meaningful message we cannot parse an index data line.

  * t/tests/*:
    + [CL] Apply patch from Adam Conrad adding "-Wl,--no-as-needed" to fix
      testsuite failures with Ubuntu's ld(1).  (Closes: #897639)
    + [CL] Correct the "files-" (should be "fields-") prefix of the
      files-orphaned-package-not-maintained-in-debian-infrastructure test.

  * vendors/ubuntu/main/data/changes-file/known-dists:
    + [CL] Apply patch from Adam Conrad to add cosmic as a known Ubuntu
      distribution.  (Closes: #897638)

 -- Chris Lamb <lamby@debian.org>  Sat, 05 May 2018 23:31:53 +0000

lintian (2.5.84) unstable; urgency=medium

  * checks/binaries.pm:
    + [CL] Apply patch from Steve McIntyre to fix profiling detection on
      armhf which was causing test failures in Ubuntu on that architecture.
      (Closes: #895574)
  * checks/fields.pm:
    + [CL] Don't warn about binary-package-depends-on-toolchain-package for
      Conflicts/Breaks relations.  Thanks to Guillem Jover for the report.
      (Closes: #896133)
  * checks/{files.desc,menu-format.*}, data/menu-format/known-desktop-keys:
    + [PW] Link to the latest version for all FreeDesktop standards
  * checks/python.desc:
    + [CL] Replace all instances of "specifies a dependency on Python 2.x
      which not be maintained past 2020" with a clarification that this
      refers to upstream's policy followed by a suggestion that it may be
      dropped after the release of Debian "buster".  Thanks to Adrian Bunk
      for the suggestion.  (Closes: #896079)
  * checks/source-copyright.pm:
    + [CL] Add the offending license name to the output of the
      "dep5-copyright-license-name-not-unique" tag.

  * data/spelling/corrections:
    + [PW] Add a number of corrections.

  * lib/Lintian/Collect/Package.pm:
    + [CL] Ensure directory names always end in a trailing "/" to prevent
      them being added multiple times to our index.  This was resulting in
      false-positives for the source-contains-empty-directory tag.  Thanks
      to James McCoy for the report.  (Closes: #896010)
    + [CL] Correct "as_anchored_root_dir" -> "has_anchored_root_dir" typo
      introduced in e0c833b3 and disable "anchored roots", otherwise
      resolve_path breaks (eg. systemd-complex-service-file).

  * profiles/pureos/main.profile:
    + [CL] Also disable the "changelog-should-mention-nmu" and
      "source-nmu-has-incorrect-version-number" tags.

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Apr 2018 11:50:51 +0000

lintian (2.5.83) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-rules-should-not-use-sanitize-all-buildflag

  * checks/fields.desc:
    + [ADB] Add missing URL in vcs-deprecated-in-debian-infrastructure's
      description, which was accidentally lost in lintian 2.5.80.
  * checks/version-substvars.desc:
    + [CL] Correct confusing not-binnmuable-any-depends-all tag
      description caused by blind replacement of ${Source-Version} to
      ${source:Version} in 4fd0fa4bc3.  (Closes: #895656)
    + [CL] Correct classification of the maybe-not-arch-all-binnmuable
      tag by marking it as "experimental", downgrading the certainty to
      "wild guess" and re-adding a note recommending against making any
      changes at this point.  Thanks, Jeremy Bicha!  (Closes: #895674)

  * data/binaries/spelling-exceptions:
    + [CL] Add "selectOn" to the list of spelling-error-in-binary
      exceptions; it exists in the source as part of a "void
      ToolBoxWidget::selectOn()" method signature, etc.  (Closes: #895818)
    + [CL] Add "wIH" to the list of exceptions.  (Closes: #895841)
  * data/rules/should-not-use:
    + [CL] Detect debian/rules files that specify the sanitize=+all build
      flag.  (Closes: #895831)
  * data/spelling/corrections:
    + [CL] Add "toogle" → "toggle" correction.  Thanks to Thorsten Glaser
      for the report.  (Closes: #895573)
    + [PW] Add a number of corrections.

 -- Chris Lamb <lamby@debian.org>  Wed, 18 Apr 2018 10:59:00 +0000

lintian (2.5.82) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - invalid-field-for-derivative
      - invalid-version-number-for-derivative

  * checks/changes-file.{desc,pm}:
    + [CL] Add support for derivative-specific version validation to permit
      enforcement of additional restrictions on the version number such as
      being suffixed by "derivativeos1", etc.
  * checks/debhelper.pm:
    + [CL] Add a special case for the python3 addon as it needs a
      dependency on dh-python unless the -dev packages are used.
      Thanks to Julian Andres Klode for the report.  (Closes: #895284)
  * checks/fields.{desc,pm}:
    + [CL] Add support for derivative-specific field parsing to allow
      enforcement of additional restrictions (eg. updating Vcs-Git, etc.)
  * checks/python.pm:
    + [CL] Apply patch from Pierre-Elliott Bécue to loosen the changelog
      parsing of the new-package-should-not-package-python2-module tag to
      allow (for example) "Python 2 variant" as well as "Python2
      variant".  Thanks!  (Closes: #895128)

  * commands/reporting-sync-state.pm:
    + [CL] Add support for blacklisting source packages in order to prevent
      some currently-problematic packages such as gcc-8-cross-ports
      preventing the update of https://lintian.debian.org/.  (See #890873)
  * debian/*, commands/*, CONTRIBUTING.md, etc.:
    + [CL] Move canonical source repository from Alioth to salsa.
  * lib/Lintian/Collect/Package.pm:
    + [CL] Allow spaces within the ownership field of tar -tvf output
      whilst still allowing spaces in filenames.  (Closes: #895175)

  * data/scripts/maintainer-script-bad-command:
    + [CL] Also check for find(1) calls when checking for maintainer
      scripts that use a recursive chmod or chown.  Thanks to Daniel Kahn
      Gillmor for the report.  (Closes: #895370)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

  * vendors/pureos/main/data/changes-file/derivative-versions:
    + [CL] Ensure that PureOS packages always end with (eg. pureosX).
  * vendors/pureos/main/data/fields/derivative-fields:
    + [CL] Add PureOS-specific field name validation, such as ensuring the
      Maintainer field is updated to the mailing list.

 -- Chris Lamb <lamby@debian.org>  Thu, 12 Apr 2018 10:18:25 +0000

lintian (2.5.81) unstable; urgency=medium

  The "Policy 4.1.4" release.

  * Summary of tag changes:
    + Added:
      - debian-rules-contains-unnecessary-get-orig-source-target
      - source-contains-empty-directory
    + Removed:
      - debian-rules-missing-good-practice-target-dfsg

  * checks/control-file.desc:
    + [CL] Correct location of "AutomaticDebugPackages" wiki page in the
      description of the debian-control-has-obsolete-dbg-package tag.
      Thanks to Antonio Ospite for the report.  (Closes: #893480)
  * checks/cruft.{desc,pm}:
    + [CL] Add a pedantic warning for upstream tarballs that contain empty
      directories as these can cause problems with git-buildpackage.
      Thanks to Balint Reczey for the idea!  (Closes: #894368)
  * checks/gir.{desc,pm}:
    + [CL] Apply a patch series from Simon McVittie to match the Gobject
      Introspection policy and fixing a series of false-positives. Thanks!
      (Closes: #881491)
  * checks/java.{desc,pm}:
    + [CL] Apply patch from Bas Couwenberg to bump the maximum permissible
      bytecode version number now that openjdk-9 is now the default-jdk.
      (Closes: #894397)
    + [CL] Apply patch from Bas Couwenberg to update the description of
      the unknown-java-class-version tag for openjdk-9.  (Closes: #894397)
  * checks/files.pm:
    + [CL] Add .ogg files to the list of non-license file extensions to
      avoid a false-positive in extra-license-file. Thanks to Innocent De
      Marchi for the report.  (Closes: #894139)
    + [CL] Avoid false-positives in Mallard XML files; <link href="...">
      tags are anchor element and not followed automatically. Thanks to
      Simon McVittie for the report.  (Closes: #894690)
  * checks/rules.{desc,pm}:
    + [CL] Stop recommending that packages with repacked tarballs specify a
      get-orig-source target; this was removed in Debian Policy 4.1.4 in
      favour of uscan(1) and debian/watch.
    + [CL] Warn about packages that have apparently unnecessary
      "get-orig-source" targets such as single-line calls to uscan(1).
      Thanks to Mattia Rizzolo for the idea.  (Closes: #895036)
  * checks/scripts.pm:
    + [CL] Also include the offending/unknown shebang in the output of
      missing (unversioned) interpreters.
  * checks/source-copyright.desc:
    + [CL] Change the severity from pedantic ("P:") to info ("I:") for the
      missing-explanation-for-repacked-upstream-tarball tag.
  * checks/testsuite.{desc,pm}:
    + [CL] Apply patch from Georg Faerber to add missing "needs-reboot" to
      the list of known autopkgtest restrictions.  (Closes: #894817)
    + [CL] Apply patch from Georg Faerber to adjust the autopkgtest
      URIs from Alioth to salsa.debian.org.  (Closes: #894820)
  * checks/udev.pm:
    + [CL] Apply patch from Thomas Dallmair to avoid false positives in the
      udev-rule-missing-subsystem tag when SUBSYSTEM GOTO is not the last
      "GOTO" statement.  Thanks!  (Closes: #894356)
  * checks/upstream-metadata.pm:
    + [CL] Re-enable YAML parsing of upstream metadata which was disabled
      in 2.5.51 (via #861958) to close CVE-2017-8829 as we can now use the
      $LoadBlessed option of YAML::XS if we have version 0.69 or above
      Thanks to Dylan Aïssi for the report.  (Closes: #894747)

  * commands/lintian.pm, checks/{fields,patch-systems,python}, ...:
    + [CL] Apply patch from Ville Skyttä correcting many spelling mistakes
      in Lintian itself.  Thanks!  (Closes: #894834)

  * data/standards-version/release-dates:
    + [CL] Add 4.1.4 as a known Standards-Version.
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

  * lib/Lintian/Check.pm:
    + [CL] Avoid false positives in spelling detection by allowing "(s)"
      suffixes instead of universally stripping all parenthesis.  This
      prevents, for example, "directory(s)" from triggering false-positive
      whilst still warning about "directorys".  Thanks to Patrick Matthäi
      for the report.  (Closes: #894077)
  * lib/Lintian/Util.pm:
    + [NT] Fix a bug in do_fork that could cause lintian to fork bomb.
      (See #890873)

 -- Chris Lamb <lamby@debian.org>  Sat, 07 Apr 2018 08:17:26 +0000

lintian (2.5.80) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - build-depends-on-build-essential-package-without-using-version
    + Removed:
      - apache2-module-depends-on-real-apache2-package
      - depends-on-build-essential-package-without-using-version

  * checks/apache2.{desc,pm}:
    + [CL] Drop apache2-module-depends-on-real-apache2-package tag as there
      are separate tags for missing apache2-api-* dependencies.  Thanks to
      Thijs Kinkhorst et al.  (Closes: #796285)
  * checks/cruft.{desc,pm}:
    + [CL] Strip \par elements from files prior to license checks to
      avoid false-positives when checking .rtf files.  Thanks to Adam
      Borowski for the report and testcase.  (Closes: #892967)
    + [CL] Look under all of /usr/share/doc (not just /usr/share/doc/$pkg)
      when looking for installed examples and update tag description to
      match.  Thanks to Ferenc Wágner for the report.  (Closes: #892905)
  * checks/java.{desc,pm}:
    + [CL] Only emit source-contains-prebuilt-java-object reported for .jar
      files that contain classes.  Thanks to Emmanuel Bourg for the report.
      (Closes: #789802)
  * checks/fields.{desc,pm}:
    + [CL] Upgrade vcs-deprecated-in-debian-infrastructure to "W:" from "P"
      due to Alioth becoming read-only from May 1st, as well as
      additionally checking Vcs-Browser fields hosted on Alioth and
      updating the tag description with more details.  Thanks to Stuart
      Prescott for his input.  (Closes: #886096)
    + [CL] Only check dependency fields in binary packages for
      mail-transport-agent-dependency-does-not-specify-default-mta etc.
      (Closes: #892550)
  * checks/rules.pm:
    + [CL] Don't emit unnecessary-source-date-epoch-assignment if the
      package has explicit Build-Depends on dpkg-dev (>= 1.18.8) or
      debhelper (>= 10.10).  Thanks to Andreas Metzler for the report.
      (Closes: #892549)
  * checks/script.pm:
    + [BR] Fix FP with sensible-utils need to depends on sensible-utils.
  * checks/fields.{desc,pm}:
    + [CL] Clarify the meaning of the
      depends-on-build-essential-package-without-using-version tag by
      prefixing it with "build-".  Thanks to Sven Joachim and Laurent
      Bigonville.  (Closes: #892597)

  * data/debhelper/*, data/common/dh_addons:
    + [CL] Refresh all debhelper data, correcting the entry for dh-scour.
      (Closes: #889016)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

 -- Chris Lamb <lamby@debian.org>  Mon, 19 Mar 2018 02:25:40 +0000

lintian (2.5.79) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - default-mta-dependency-does-not-specify-mail-transport-agent
      - default-mta-dependency-not-listed-first
      - depends-on-mail-transport-agent-without-alternatives
      - mail-transport-agent-dependency-does-not-specify-default-mta

  * checks/changelog-file.{desc,pm}:
    + [CL] Ignore entries that end with ":" to avoid false-positives in the
      debian-changelog-line-too-short.  Thanks to Mattia Rizollo for the
      report.  (Closes: #892197)
    + [CL] Update the description of improbable-bug-number-in-closes
      removing the specific number as it can get out of sync with the
      actual check.
  * checks/changes-file.pm:
    + [CL] Don't emit orig-tarball-missing-upstream-signature when the
      package provides a "foo.tar.asc" for a "foo.tar.gz".  We previously
      only checked for a "foo.tar.gz.asc".  Thanks to Uwe Kleine-König for
      the report.  (Closes: #892255)
  * checks/cruft.pm:
    + [CL] Check all subdirectories under /usr/share/doc/foo to test
      whether we ship example files, not just /usr/share/doc/foo/examples/.
  * checks/fields.{desc,pm}:
    + [CL] Warn about packages that have either have dependency on
      default-mta but do not specify mail-transport-agent, have a
      mail-transport-agent dependency but do not specify default-mta and
      packages that do not specify default-mta first in their alternatives.
      Thanks to Paul Wise for the report.  (Closes: #892143)
    + [CL] Warn about packages that have a relationship with a
      mail-transport-agent but do not specify default-mta and
      mail-transport-agent as alternatives.  (Closes: #892144)
  * checks/obsolete-sites.pm:
    + [CL] Emit a warning if a package uses a deprecated FTP package
      download location.  (Closes: #892249)

  * data/fields/obsolete-packages:
    + [PW] Add exim and apache, replaced by exim4 and apache2
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Mar 2018 06:40:34 +0000

lintian (2.5.78) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - missing-vcs-browser-field

  * checks/fields.{desc,pm}:
    + [CL] Warn about packages that are missing a Vcs-Browser header when
      we know that they have at least one Vcs-* header that has a
      browser-based interface.  Thanks to Paul Wise for the report.
      (Closes: #891688)

  * data/spelling/corrections:
    + [CL] Drop the rouge → rogue correction; it's an (admittedly)
      old-fashioned word for red cheek makeup as well as being a
      fairly-common French word.  It was causing a false-positive in the
      spelling-error-in-binary tag for osmocom-analog.  Thorsten Alteholz
      for the report.  (Closes: #891794)
    + [CL] Drop the wil → will correction as Wil is "a rather common
      name in the Netherlands".  Thanks to Paul Gevers for the report.
      (Closes: #891935)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

 -- Chris Lamb <lamby@debian.org>  Mon, 05 Mar 2018 09:05:57 +0000

lintian (2.5.77) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - built-using-field-on-arch-all-package
      - missing-built-using-field-for-golang-package
      - missing-xs-go-import-path-for-golang-package

  * checks/control-file.{desc,pm}:
    + [CL] Apply a patch from Michael Stapelberg to detect Golang packages
      with invalid or missing Built-Using headers.  (Closes: #891072)
    + [CL] Apply patch from Michael Stapelberg to warn when packages do not
      specify a XS-Go-Import-Path.  (Closes: #891184)
  * checks/rules.pm:
    + [CL] Allow rel="generator" and others; they do not cause internet
      access by default.  Thanks to Raphaël Hertzog for the report.
      (Closes: #891301)
  * checks/version-substvars.pm:
    + [CL] Fix a bug in version-substvar-for-external-package parsing to
      prevent false-positives when the LHS of the binary relation contains
      a substvar.  Thanks to Andreas Beckmann.  (Closes: #726589)

  * data/common/architectures, etc.:
    + [CL] Update architecture lists to ensure the inclusion of riscv64.
      This will change everything.  (Closes: #891387)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Feb 2018 13:41:26 +0000

lintian (2.5.76) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debhelper-compat-file-contains-multiple-levels
      - debian-changelog-line-too-short
      - unnecessary-source-date-epoch-assignment
      - upstream-metadata-file-is-missing
    + Renamed:
      - co-maintained-package-with-no-vcs-headers ->
        co-maintained-package-with-no-vcs-fields.
      - desktop-contains-deprecated-header ->
        desktop-contains-deprecated-key.
      - xs-testsuite-header-in-debian-control ->
        xs-testsuite-field-in-debian-control.
      - unnecessary-testsuite-autopkgtest-header ->
        unnecessary-testsuite-autopkgtest-field.
      - xs-vcs-header-in-debian-control ->
        xs-vcs-field-in-debian-control.

  * General:
    + [CL] Apply a patch series from Ben Finney to correct inconsistent use
      of "header" terminology (versus "field", etc.) in descriptions and
      tag names.  Thanks!  (Closes: #890959)

  * checks/changelog-file.{desc,pm}:
    + [CL] Warn about changelog files that are too short.  Thanks to Adrian
      Bunk for the suggestion.  (Closes: #890920)
  * checks/cruft.pm:
    + [CL] Avoid false-positives in Jush's syntax highlighting definition
      files.
    + [CL] Avoid a false-positive when matching the fake Lena Söderberg
      image in libplacebo.  Thanks to Thorsten Alteholz for the report.
      (Closes: #890943)
  * checks/debhelper.{desc,pm}:
    + [CL] Warn if packages define multiple compatibility levels in the
      "compat" file, typically via "echo 11 >> debian/compat" (instead of
      ">").
  * checks/fields.desc:
    + [CL] Correct a grammatical error and tighten up the language of the
      "binary-package-depends-on-toolchain-package" tag's description.
      Thanks to Gregor Herrmann for the report.  (Closes: #890530)
  * checks/init.d.pm:
    + [CL] Also check for "RUN=" and "DAEMONRUN=" when evalating lines in
      /etc/default for "init.d-script-should-always-start-service"
      violations. Thanks to Laurent Bigonville.  (Closes: #890916)
  * checks/rules.{desc,pm}:
    + [CL] Update override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS
      to fix a number of false positives. Thanks to Gregor Herrmann for
      the report.  (Closes: #890537)
    + [CL] Also check, for example, "override_dh_fixperms-indep" and
      "override_dh_fixperms-arch" targets for
      "override_dh_fixperms-does-not-call-dh_fixperms", etc.
    + [CL] Prevent a large number of false-positives when checking the
      debian-rules-is-dh_make-template tag.  Thanks to Evgeni Golov for
      the report.  (Closes: #890660)
    + [CL] Check for unnecessary SOURCE_DATE_EPOCH assignments; it is
      either exported by dpkg >= 1.18.8 or one can include pkg-info.pk,
      etc.  (Closes: #832099)
  * checks/scripts.pm:
    + [CL] Prevent some false-positives in udevadm-called-without-guard.
  * checks/upstream-metadata.{desc,pm}:
    + [CL] Apply patch from Dylan Aïssi to suggest maintainers add a
      debian/upstream/metadata file, although downgrade the check to
      "experimental" level for the time being.  (Closes: #833007)
  * checks/watch-file.pm:
    + [CL] Use our new $PKGREPACK_REGEX to match and capture the suffix
      when looking at potential debian/watch mangling issues.

  * commands/reporting-html-reports.pm:
    + [NT] Stop including the uncompressed lintian log in the website
      as it consumes considerable space for no reason.  Consumers
      should migrate to the compressed variant, which has been around
      for years and only consumes ~1/20th of the space.

  * data/files/python-generic-modules:
    + [CL] Detect "core" as an overly-generic module name.  Thanks to
      Andreas Beckmann for the report.  (Closes: #891027)
  * data/scripts/interpreters:
    + [CL] Add cwl-runner (to cwltool) as an interpreter for CWL scripts.
      Thanks to Michael Crusoe for the report.  (Closes: #890667)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

  * debian/source/lintian-overrides:
    + [CL] Drop all the overrides for Lintian itself now that we use the
      <!nocheck> build profile for the previously-spurious warnings.

  * lib/Lintian/Util.pm:
    + [CL] Factor out the regex that matches "repacked" tarballs based on
      their filename.
  * lib/Lintian/Collect/{Changes,Sources}.pm:
    + [CL] Add repacked subroutines to check whether a package has been
      repacked or not.

  * reporting/templates/maintainer.tmpl:
    + [CL] Link package entries directly to sources.debian.org.

  * t/scripts/changelog-format.t:
    + [CL] Provide some possibly-helpful advice when violating the "entry
      header" changelog test.
  * t/tests/cruft-upstream-binaries:
    + [CL] Add a testcase to check that symlinked missing-sources do the
      right thing (re. #890468).

 -- Chris Lamb <lamby@debian.org>  Wed, 21 Feb 2018 18:42:26 +0000

lintian (2.5.75) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-rules-uses-unnecessary-dh-argument
      - missing-explanation-for-repacked-upstream-tarball
      - udevadm-called-without-guard

  * checks/changelog-file.desc:
    + [CL] When checking latest-debian-changelog-entry-without-new-version
      ignore any change of epoch.  (Closes: #889991)
  * checks/debhelper.{desc,pm}:
    + [CL] Warn when specifying --parallel to dh(1) in compat levels >= 10.
      Thanks to Nicolas Braud-Santoni for the idea.  (Closes: #890358)
    + [CL] Add a missing verb to the long description of the
      dh-quilt-addon-but-quilt-source-format tag.
  * checks/files.pm:
    + [CL] Tidy logic for detecting allowed rel="" values in <link/>
      HTML tags.
    + [CL] Allow rel="canonical" in <link/> HTML tags; they are used by
      search engines (etc.) and do not cause internet access.
      (Closes: #762753)
  * checks/init.desc:
    + [CL] Improve various parts of the long description for
      init.d-script-should-always-start-service.
  * checks/patch-systems.{desc,pm}:
    + [CL] Avoid false positives when checking for typos by ignoring files
      or patch descriptions that contain the words "typo" or "spelling".
      Thanks to Bas Couwenberg for the report.  (Closes: #889964)
    + [CL] Check the first line of the description separately for spelling
      errors to avoid false-positive duplicate checks across a patch
      description's synopsis and its body.  (Closes: #890100)
  * checks/python.desc:
    + [CL] Underline that maintainers do not need to override the
      new-package-should-not-package-python2-module tag but rather leave a
      comment in debian/changelog.
  * checks/scripts.{desc,pm}:
    + [CL] Check for maintainer scripts that call udevadm without a guard
      as it can fail within a chroot.  (Closes: #890298)
  * checks/source-copyright.{desc,pm}:
    + [CL] Emit a pendatic warning for packages with repacked upstream
      tarballs that lack a Files-Excluded or Comment header in
      debian/copyright.

  * collection/override-file:
    + [CL] Actually pick the first out of debian/source/lintian-overrides
      and debian/source.lintian-overrides. Thanks to Thorsten Glaser for
      the report.  (Closes: #890361)

  * commands/reporting-html-reports.html:
    + [NT] Minimize generated SVG files if scour is installed and
      available in PATH.

  * data/spelling/corrections:
    + [PW] Add a number of corrections.

 -- Chris Lamb <lamby@debian.org>  Wed, 14 Feb 2018 14:24:49 +0000

lintian (2.5.74) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - control-tarball-compression-format
      - data-tarball-compression-format
      - debian-rules-is-dh_make-template
      - init.d-script-should-always-start-service
      - jar-contains-source
      - missing-systemd-service-for-init.d-script
      - source-contains-prebuilt-wasm-binary
      - spelling-error-in-patch-description
      - systemd-service-file-refers-to-unusual-wantedby-target
    + Renamed:
      - systemd-no-service-for-init-script ->
        omitted-systemd-service-for-init.d-script
      - systemd-no-service-for-init-rcS-script ->
        missing-systemd-service-for-init.d-rcS-script
      - override_dh_auto_test-does-not-check-DEB_BUILD_PROFILES ->
        override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS

  * checks/changelog-file.desc:
    + [CL] Improve the long description of epoch-change-without-comment.
      Based on suggestions by Raphael Hertzog and Ian Jackson - thanks!
      (Closes: #889814)
  * checks/cruft.desc:
    + [BR] Check for wasm files.  (Closes: #889102)
    + [CL] Factor out call to _ships_examples to avoid excessive looping
      over $sorted_index.
    + [CL] Do not emit package-does-not-install-examples if we don't have
      any binary packages in our laboratory.  (Closes: #889591)
    + [CL] Improve the description of package-does-not-install-examples to
      give more debhelper advice.
    + [CL] Assume that if a source package generates a binary ending in
      "-examples" then it does ship examples.
  * checks/deb-format.{desc,pm}:
    + [CL] Add a classification tag for the .deb data tarball compression
      format.  (Closes: #738442)
    + [CL] Add a classification tag for the control tarball compression
      format.  (Closes: #889856)
  * checks/fields.pm:
    + [CL] Avoid false positives when checking binary packages depending on
      toolchain packages by ignoring packages starting with "dh-" or ending
      with "-source". Thanks to Josh Triplett for the report.
      (Closes: #889486)
  * checks/files.pm:
    + [BR] Add context for privacy breach in order to improve debugging.
  * checks/fields.desc:
    + [CL] Downgrade severity of build-depends-on-obsolete-package from
      error to warning.  (Closes: #889638)
  * checks/java.{desc,pm}:
    + [CL] Only warn about bad-jar-name for "public" .jar files.
      (Closes: #889628)
    + [CL] Check for .jar files that embed Foo.java alongside a Foo.class
      file.  (Closes: #762113)
  * checks/init.d.{desc,pm}:
    + [CL] Warn about packages that use ENABLED="true" (etc.) in
      /etc/default files.
  * checks/patch-systems.{desc,pm}:
    + [CL] Avoid emitting "Can't use an undefined value as an ARRAY
      reference" warnings when debian/patches is a file, not a directory.
      (Closes: #889535)
    + [CL] Check spelling of patch headers.  (Closes: #756130)
  * checks/rules.{desc,pm}:
    + [CL] Fix a number of false-positives when checking the
      "override_dh_auto_test-does-not-check-DEB_BUILD_PROFILES" tag
      (Closes: #889592)
    + [CL] Make a large number of changes suggested by Mattia Rizzolo to
      the override_dh_auto_test-does-not-check-DEB_BUILD_PROFILES tag,
      renaming it to reference DEB_BUILD_OPTIONS throughout, add Debian
      Policy 4.9.1 to the tag's Ref, lower "Certanty" to "wild-guess" and
      mark the tag as experimental, updating the tests to match.
      (Closes: #889746)
    + [CL] Check for debian/rules files that are dh_make templates.
      (Closes: #679124)
  * checks/scripts.desc:
    + [CL] Improve, elaborate and tidy the long description of the
      maintainer-script-should-not-use-recursive-chown-or-chmod tag.
      Heavily based on a patch by Daniel Kahn Gillmor - thanks!
      (Closes: #889489)
  * checks/source-copyright.pm:
    + [CL] Prevent false positives when checking for missing NOTICE.txt
      files by looking inside .jar archives.  (Closes: #889760)
  * checks/systemd.{desc,pm}:
    + [CL] Warn about unit files that install to unusual WantedBy= targets.
      Thanks to Sam Morris for the initial patch.  (Closes: #817170)
    + [CL] Rework the no service detection, improving the (rarely
      overridden) tag names to better match what they detect as well as
      adding a new "missing-systemd-service-for-init.d-script" pedantic tag
      where we do not have an equivalent unit as this implies missing
      bespoke security hardening support, etc. Thanks to Lucas Nussbaum for
      his input.  (Closes: #858588)
  * checks/udev.pm:
    + [CL] Add simple GOTO parsing to avoid false positives when checking
      for udev rules for SUBSYSTEM specifiers.  (Closes: #869547, #889639)

  * commands/reporting-{html-reports,lintian-harness}.pm:
    + [NT] Register packages that fail during archive wide processing.

  * data/files/privacy-breaker-fragments:
    + [BR] Detect new fragments for Google CSE.
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

  * lib/Lintian/Util.pm:
    + [NT] Give lower processing priority to packages that repeatedly
      trigger errors during archive-wide processing.

  * reporting/templates/index.tmpl:
    + [NT] Display summary of how many groups had errors during their
      last processing.
  * reporting/templates/{lintian.css,maintainer}.tmpl:
    + [NT] Use a distinct error status instead of "Outdated" for
      packages with errors during their last processing.

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Feb 2018 17:41:55 +0000

lintian (2.5.73) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - bad-jar-name
      - binary-package-depends-on-toolchain-package
      - checksum-count-mismatch-in-changes-file
      - co-maintained-package-with-no-vcs-headers
      - description-mentions-planned-features
      - files-excluded-without-copyright-format-1.0
      - global-files-wildcard-not-first-paragraph-in-dep5-copyright
      - maintainer-script-should-not-use-recursive-chown-or-chmod
      - missing-explanation-for-contrib-or-non-free-package
      - multi-arch-same-package-has-arch-specific-overrides
      - override_dh_auto_test-does-not-check-DEB_BUILD_PROFILES
      - package-does-not-install-examples
      - package-uses-deprecated-dpatch-patch-system
      - package-uses-deprecated-source-override-location
      - unusual-documentation-package-name

  * checks/cruft.{desc,pm}:
    + [CL] When looking for the source of "build/foo/bar.min.js", also
      check "src/foo/bar.js".  (Closes: #832027)
    + [CL] Check for upstream tarballs that ship examples but none is
      installed in any binary package.  (Closes: #539326)
  * checks/debian-source-dir.desc:
    + [CL] Upgrade severity of missing-debian-source-format from wishlist
      ("I") to normal ("W").  (Closes: #702671)
  * checks/description.{desc.pm}:
    + [CL] Check for packages that mention planned/upcoming features in
      their long description.  (Closes: #782990)
    + [CL] Improve the description-synopsis-might-not-be-phrased-properly
      tag also detect multiple sentences and improve the tag description.
      (Closes: #778427)
  * checks/changes-file.{desc.pm}:
    + [CL] Fix an issue where the bad-section-in-changes-file,
      file-size-mismatch-in-changes-file and
      checksum-mismatch-in-changes-file tags were not being checked if a
      package contained an upstream signature.
    + [CL] Check for inconsistencies between "Files" and Checksums-*
      sections in .changes files.  (Closes: #658542)
  * checks/cruft.{desc.pm}:
    + [CL] Add pedantic warning for packages using source.lintian-overrides
      instead of debian/source/lintian-overrides.
  * checks/fields.{desc,pm}:
    + [CL] Add a pedantic warning for co-maintained packages that are not
      managed in a revision control system.  (Closes: #884497)
    + [CL] Warn about Multi-Arch: same packages that ship
      architecture-specific Lintian overrides. Thanks to Sebastian
      Ramacher for the report.  (Closes: #787469)
    + [CL] Check for packages that specify binary dependencies on toolchain
      packages such as cdbs or debhelper.  (Closes: #700953)
    + [CL] Emit a warning about documentation packages that end with -docs.
      (Closes: #664520)
    + [CL] Ensure salsa.debian.org Vcs-Git and Vcs-Browser URIs are
      canonical and do not redirect.  (Closes: #888809)
  * checks/files.pm:
    + [CL] Support scanning contents of (eg.) data/files/js-libraries.
  * checks/java.{desc,pm}:
    + [CL] Check for .jar files that do not match the Debian Java policy.
      (Closes: #791552)
  * checks/patch-systems.{desc,pm}:
    + [CL] Emit a pedantic warning for packages that are using the dpatch
      patch system.  (Closes: #884500)
  * checks/rules.pm:
    + [CL] Check for override_dh_auto_test targets that do not check
      DEB_BUILD_OPTIONS for "nocheck".  (Closes: #712394)
  * checks/scripts.desc:
    + [CL] Update the maintainer-script-should-not-use-service tag to
      include advice and Debian Policy reference.  (Closes: #889154)
  * checks/source-copyright.{desc,pm}:
    + [CL] Warn about packages that specify a Files-Excluded header without
      a valid Format header as the former will be ignored by uscan(1).
      Thanks to Gunnar Wolf for the initial patch.  (Closes: #745743)
    + [CL] Warn when a "Files: *" DEP-5 paragraph exists but it is not the
      first paragraph. Thank to Christoph Biedl for the report and idea.
      (Closes: #879235)
    + [CL] Ask maintainers to add a comment header to debian/copyright if
      their package is in contrib or non-free.  (Closes: #773562)

  * commands/reporting-html-reports.pm:
    + [NT] Add a limit to how many instances of a tag is deplayed on a tag
      page as 151 000 instances of unstripped-static-library is hardly
      human readable.

  * data/spelling/corrections:
    + [PW] Add a number of corrections.
  * data/common/dh_addons:
    + [CL] Move/create from data/debhelper/dh_addons as we plan to use
      it elsewhere.
  * data/debhelper/dh_commands:
    + [CL] Update requirement for dh_scour (again!) from python3-scour to
      scour.  (Closes: #889016)
  * data/debhelper/dh_commands-manual:
    + [NT] Remove dh_systemd* entries.  Debian stable have a recent
      enough version of debhelper that this entry no longer matters.
  * data/files/fnames:
    + [CL] Ensure package-contains-python-doctree-file also warns about
      compressed .doctree files.
  * data/files/js-libraries:
    + [CL] Avoid false-positives when detecting Twitter's bootstrap
      library.  (Closes: #888972)
  * data/files/python-generic-modules:
    + [CL] Detect "backports" (and "backport") as overly generic Python
      module names.  (Closes: #888559)
  * data/scripts/maintainer-script-bad-command:
    + [CL] Warn if the maintainer scripts include "chown -R" or "chmod -R"
      to prevent hardlink attacks on kernels that do not have
      fs.protected_hardlinks=1.  (Closes: #889066)

  * doc/lintian.xml:
    + [CL] Use the debian/source/lintian-overrides location in override
      example.

  * lib/Lintian/*:
    + [CL] Add support for passing .buildinfo files to Lintian.
      (Closes: #853274)

  * reporting/templates/tag.tmpl:
    + [NT] Update template to mention tag limit when not all instances
      are shown.

 -- Chris Lamb <lamby@debian.org>  Sat, 03 Feb 2018 10:25:40 +0000

lintian (2.5.72) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-rules-uses-deprecated-systemd-override
      - debian-watch-does-not-check-gpg-signature
    + Removed:
      - debian-watch-may-check-gpg-signature

  * checks/binaries.pm:
    + [CL] Avoid a false positive for spelling-error-in-binary that was
      causing a FTBFS on armhf.  (Closes: #888074)
    + [CL] Drop a duplicate line in spelling-error-in-binary exceptions.
    + [CL] Move spelling-error-in-binary exceptions to a data file.
    + [CL] Support binutils 2.29.90.20180122 (vs. 2.29.1) when parsing ELF
      files for errors as the newer version modified the readelf output.
      This was causing a testsuite failure when checking the
      apparently-corrupted-elf-binary tag.  (Closes: #888456)
  * checks/cruft.{desc,pm}:
    + [CL] Do not emit "license-problem-php-license" when the source comes
      from pecl.php.net: "The last agreement with FTP Masters was that PHP
      license is OK when the sources some from PECL repository."
      (Closes: #810780)
    + [CL] Allow, for example, debian/missing-sources/foo.js directories to
      represent the source for foo.js. This is useful when foo.js is the
      result of concatenating multiple files.  (Closes: #836771)
  * checks/debhelper.{desc,pm}:
    + [CL] Warn about packages that use about dh_systemd_enable or
      dh_systemd_start overrides whilst using debhelper compat level 11 as
      they are no longer being called.  (Closes: #887899)
    + [CL] Include the offending context and line when emitting the
      brace-expansion-in-debhelper-config-file tag.
    + [CL] Avoid false positives and remove an existing (incorrect) test
      for apparent brace expansions in config files that do not include a
      comma.  (Closes: #888304)
  * checks/fields.pm:
    + [CL] Also check xfonts-foo for font-package-not-multi-arch-foreign.
  * checks/files.desc:
    + [CL] Downgrade extra-license-file from "W" to "I".  (Closes: #740118)
  * checks/patch-systems.{desc,pm}:
    + [CL] Ignore files called "README" or "README.patches" when checking
      packages for patch-file-present-but-not-mentioned-in-series.
      (Closes: #888413)
    + [CL] Ignore commented-out patches in series files when checking the
      patch-file-present-but-not-mentioned-in-series tag.
    + [CL] Check "$vendor.series" (not "series.$vendor") when checking for
      the patch-file-present-but-not-mentioned-in-series tag.
  * checks/source-copyright.desc:
    + [CL] Clarify that paragraph ordering matters in the description of
      the unused-file-paragraph-in-dep5-copyright tag.  (Closes: #762261)
  * checks/watch-file.{desc,pm}:
    + [CL] Rename the debian-watch-may-check-gpg-signature tag to
      debian-watch-does-not-check-gpg-signature to avoid confusion around
      the "may check" implying that the package in question does such
      checking and we disapprove of it. Thanks to Andreas Beckmann for the
      suggestion.  (Closes: #735040)

  * data/fields/name_section_mappings:
    + [CL] Ensure xfonts-foo are recognised as part of the "x11" section to
      match the definition on https://packages.debian.org/en/sid/.
      (Closes: #878609)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

  * debian/control:
    + [CL] docbook-xml is required to build the documentation, so drop
      "<!nocheck>" build restriction.
  * debian/copyright:
    + [CL] Add missing initials for Gergely Nagy, Sylvestre Ledru and Steve
      Langasek.  (Closes: #831729)

  * lib/Lintian/Check.pm:
    + [CL] Avoid false positives in the spelling-error-in-description
      (etc.) tags where the repetition is part of an acronym expansion such
      as "ORA (ORA Recursive Acronym)".  (Closes: #883719)

 -- Chris Lamb <lamby@debian.org>  Fri, 26 Jan 2018 05:17:01 +0000

lintian (2.5.71) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - patch-file-present-but-not-mentioned-in-series

  * checks/files.pm:
    + [CL] Ignore Rust .rs files in extra-license-file.  (Closes: #887715)
  * checks/patch-systems.{desc,pm}:
    + [CL] Check for patch files under the debian/patches that are not
      mentioned in any series file. Thanks to Paul Wise for the idea.
      (Closes: #887817)
  * checks/python.{desc,pm}:
    + [CL] Don't emit "python-package-missing-depends-on-python" for debug
      packages
    + [CL] Include possibility that the file should not even be installed
      in the description of python-package-missing-depends-on-python.

  * data/spelling/corrections:
    + [PW] Add a number of corrections.
  * data/rules/rules-should-not-use:
    + [CL] Add more context to xz-compression-level-too-high tag output.

  * lib/Lintian/Collect/Package.pm:
    + [CL] Fix "Use of uninitialized value in string ne" warnings that
      would have appeared as part of the src-orig-index handling in 2.5.66.
      (Closes: #887428)

  * t/tests/files-multiarch-foreign-files:
    + [CL] Only run on amd64.  (Closes: #886163)

 -- Chris Lamb <lamby@debian.org>  Sun, 21 Jan 2018 05:24:47 +0000

lintian (2.5.70) unstable; urgency=medium

  * checks/python.pm:
    + [CL] Fix false positives in python-package-missing-depends-on-python
      for Python 3 packages; we were not checking python3:any or
      python3-minimal:any.

  * data/spelling/corrections:
    + [PW] Add bumpded -> bumped correction.

 -- Chris Lamb <lamby@debian.org>  Tue, 16 Jan 2018 06:44:46 +0000

lintian (2.5.69) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - insecure-copyright-format-uri
      - package-contains-file-in-etc-skel
      - package-contains-python-tests-in-global-namespace
      - python-package-missing-depends-on-python
      - xz-compression-level-too-high

  * checks/cruft.pm:
    + [CL] Ignore TeX \section (etc.) titles when checking for GFDL
      license. Thanks, Norbert Preining for the report.  (Closes: #863384)
  * checks/fields.{pm,desc}:
    + [CL] Downgrade severity of wrong-section-according-to-package-name
      from "W:" to "I:".  (Closes: #883772)
    + [CL] Thanks to Niels Thykier, update the description of the
      orphaned-package-not-maintained-in-debian-infrastructure tag.
    + [CL] Include the offending uri in the output of the
      vcs-deprecated-in-debian-infrastructure tag.
  * checks/python.{pm,desc}:
    + [CL] Don't emit new-package-should-not-package-python2-module if
      the maintainer justifies its inclusion in the changelog entry.
    + [CL] Improve the description and reasoning for the
      new-package-should-not-package-python2-module tag.
    + [CL] Include the offending package name when warning about
      new-package-should-not-package-python2-module.
    + [CL] Warn about packages that ship Python modules but are missing
      dependencies on any Python interpreter.  (Closes: #887083)
    + [CL] Remark that new-package-should-not-package-python2-module's
      appearance on https://lintian.debian.org/ can be ignored.
      (Closes: #887124)
  * checks/rules.pm:
    + [CL] Allow rules-not-should-not-use data-based tags to capture
      variables and include them in the emitted tag.
  * checks/source-copyright.{desc,pm}:
    + [CL] Warn about insecure "Format:" URIs that reference debian.org.
      Based on a patch by Nicolas Braud-Santoni.  (Closes: #886930)
  * checks/standards-version.pm:
    + [CL] Include the date the Standards-Version was actually released in
      the output of the ancient-standards-version and the
      out-of-date-standards-version tags.

  * data/debhelper/*:
    + [ADB] Refresh.
  * data/files/fnames:
    + [CL] Warn about packages that ship (eg.) test_foo.py files in the
      global Python module namespace.
    + [CL] Emit an error if packages ship files in /etc/skel. Thanks to
      Paul Wise for the suggestion.  (Closes: #887120)
  * data/files/fonts:
    + [ADB] Refresh.
  * data/fields/name_section_mappings:
    + [CL] Ensure that NSS (Name Services Switch) modules are placed in the
      "admin" section. Thanks to Mathieu Parent (sathieu) for the patch.
      (Closes: #886961)
  * data/rules/rules-should-not-use:
    + [CL] Include the assigned value in the Lintian output for the
      debian-rules-should-not-use-DH_EXTRA_ADDONS tag.
    + [CL] Detect overly-compressed xz packages.  (Closes: #829100)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

 -- Chris Lamb <lamby@debian.org>  Tue, 16 Jan 2018 00:41:30 +0000

lintian (2.5.68) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - dh-quilt-addon-but-quilt-source-format
      - orphaned-package-not-maintained-in-debian-infrastructure
      - package-contains-python-hypothesis-example
      - should-specify-rules-requires-root
      - vcs-deprecated-in-debian-infrastructure

  * checks/changelog-file.pm:
    + [FL] Fix version parsing for hyphen in upstream versions.
  * checks/cruft.pm:
    + [CL] Avoid a false-positive reported by Theppitak Karoonboonyanan
      when matching autotools-pkg-config-macro-not-cross-compilation-safe
      by skipping comment lines.  (Closes: #886297)
    + [FL] Fix version parsing for native packages.
  * checks/control-file.{desc.pm}:
    + [CL] Check for packages that should specify Rules-Require-Root.
      (Closes: #886479)
  * checks/debconf.pm:
    + [CL] Don't warn about unknown template type "entropy" when a package
      depends on cdebconf.  (Closes: #677870)
  * checks/debhelper.{desc,pm}:
    + [CL] Add a check for packages that specify "dh --with quilt" but use
      the "3.0 (quilt)" source format. Thanks to Mattia Rizzolo for the
      idea.  (Closes: #886566)
  * checks/fields.pm:
    + [CL] Warn about orphaned packages that are not maintained in the
      Debian infrastucture.  (Closes: #886057)
    + [CL] Emit pedantic warnings for packages that refer to a non-Git
      version control systems hosted in the Debian infrastructure for the
      upcoming salsa.debian.org migration.  (Closes: #885974)
    + [CL] Include the offending "Bugs" field value in the output of the
      bugs-field-does-not-refer-to-debian-infrastructure tag.
    + [CL] Ensure that bugs-field-does-not-refer-to-debian-infrastructure
      can be overridden by not emitting them for -dbgsym packages. Thanks
      to Thorsten Glaser for the report.  (Closes: #886426)
  * checks/huge-usr-share.pm:
    + [CL] Bump arch-dep-package-has-big-usr-share thresholds; they were
      last set in 2004.  (Closes: #648755)
  * checks/pe.pm:
    + [CL] Apply a patch from Stephen Kitt to avoid false-positives when
      checking PE32+ Windows Portable Executable files, additionally
      dropping the now-unnecessary magic number parsing.  (Closes: #886555)
  * checks/python.{pm,desc}:
    + [CL] Don't warn about django-package-does-not-depend-on-django for
      -doc packages, etc.
    + [CL] Lower the severity of the
      "dependency-on-python-version-marked-for-end-of-life" tag from normal
      ("W:") to wishlist ("I:") as it is not necessarily actionable by the
      maintainer. This reverts bug #883581.  (Closes: #886259)
    + [CL] When checking for a Python 3 variant of a Python 2.x package
      also consider any package that declares a binary dependency on the
      ${python3:Depends} substvar to catch packages that have been renamed.
      Thanks to Scott Kitterman for the report.  (Closes: #886303)
  * checks/rules.pm:
    + [CL] Also allow $(overridden_command) when checking for the
      override_dh_fixperms-does-not-call-dh_fixperms etc. tags.
  * checks/scripts.desc:
    + [CL] Also mention Recommends and Suggests in the opening paragraph of
      python-script-but-no-python-dep.  (Closes: #687141)
  * checks/shared-libs.pm:
    + [CL] Skip Objective-C libraries for the no-symbols-control-file tag
      as instance/class methods do not appear in the symbol table. Thanks
      to Yavor Doganov for the report and help.  (Closes: #749202)
  * checks/source-copyright.desc:
    + [CL] Avoid false positives for missing-notice-file-for-apache-license
      by also looking for files with a .txt extension in binary packages.
      Thanks to Ferenc Wágner for the report.  (Closes: #886343)
  * checks/standards-version.desc:
    + [CL] Downgrade severity of out-of-date-standards-version from normal
      ("W:") to wishlist ("I:").  (Closes: #886210)
  * checks/watch-file.pm:
    + [CL] Apply patch from Carlos Maddela <e7appew@gmail.com> to prevent
      false-positives when options contain escaped quotation marks.
      (Closes: #886574)

  * collection/src-orig-index:
    + [CL] Return the replaced string after injecting any tarball prefix
      (ie. "foo/bar\n"), not Perl's result of the replacement (ie. "1").
      (Closes: #886586)

  * data/common/dbg-pkg:
    + [CL] Identify both python-foo-dbg and python3-foo-dbg as known debug
      packages to avoid a false-positive for the former when checking for
      debian-control-has-obsolete-dbg-package.  (Closes: #886271)
  * data/files/fnames:
    + [CL] Warn about packages that ship (non-reproducible) Python
      Hypothesis examples.  (Closes: #886101)
    + [CL] Only test for packages shipping gschemas.compiled files in
      usr/share/glib-*/schemas as it is valid for packages to generate
      schemas at build time. Thanks to Jonathan Carter (highvoltage) for
      the followup.  (Closes: #884142)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.
  * data/standards-version/ancient-date:
    + [CL] Change the policy of "ancient-standards-version" to "a release
      of Policy from the previous stable release cycle" and update the
      value to match.  (Closes: #886219)

  * reporting/templates/maintainer.tmpl:
    + [CL] Make the previously-hidden package anchor links visible so that
      one can right-click and copy the URL instead of constructing it
      manually.

  * t/tests/files-multiarch-foreign-files:
    + [CL] Ensure that we install to a multiarch directory on all
      architectures to prevent a FTBFS on, for example, i386.
      (Closes: #886163)

 -- Chris Lamb <lamby@debian.org>  Tue, 09 Jan 2018 14:33:30 +0000

lintian (2.5.67) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-rules-should-not-use-DH_EXTRA_ADDONS
      - debian-watch-could-verify-download
      - invalid-date-in-debian-changelog
      - override_dh_fixperms-does-not-call-dh_fixperms

  * checks/apache2.{desc,pm}:
    + [CL] Include the offending filename and line number in the output of
      apache2-deprecated-auth-config and apache2-unparsable-dependency.
    + [CL] Avoid false positives in apache2-deprecated-auth-config where
      the offending lines are wrapped in suitable "IfModule" or "IfVersion"
      directives.  (Closes: #788991, #710656)
  * checks/changelog-file.{desc,pm}:
    + [CL] Warn about changelog entries that have incorrectly formatted
      dates.  (Closes: #793406)
  * checks/files.pm:
    + [CL] Split out python-module-has-overly-generic-name regular
      expression into a data file.
    + [CL] Don't warn about extra license files installed via Sphinx.
      Thanks, Stuart Prescott!  (Closes: #885968)
  * checks/python.pm:
    + [CL] Prevent false positives when checking for Python {2,3} packages
      that depend on Python {3,2} packages when the package being depended
      on ends with -doc. We were previously only catching the case for
      dependencies *from* packages with such names.  (Closes: #885693)
    + [CL] Also ignore -doc, -docs, -dev, -common and -tools packages for
      intra-Python variant dependency checking, python-but-no-python3, etc.
    + [CL] Drop parens in depends-on-package-from-other-python-variant
      output.
    + [CL] Refactor django-package-does-not-depend-on-django check to
      correctly check Django packages called python2-django-foo.
  * checks/rules.{desc.pm}:
    + [CL] Suggest using /usr/share/dpkg/architecture.mk as a solution to
      debian-rules-sets-dpkg-architecture-variable rather than simply
      replacing assignments with ?=. Thanks to Helmut Grohne for the
      suggestion.
    + [CL] Include the line number when warning about instances of
      override_dh_clean targets that are missing calls to dh_clean.
    + [CL] Apply patch from Paul Tagliamonte to check for files
      that use DH_EXTRA_ADDONS. Thanks!  (Closes: #885790)
    + [CL] Update $PYTHON3X_DEPEND to prevent false positives in
      missing-python-build-dependency.  (Closes: #750537)
    + [CL] Refactor check for override_dh_clean-does-not-call-dh_clean
      tag into a loop.
    + [CL] Check for override_dh_fixperms targets that are missing calls
      to dh_fixperms.  (Closes: #885910)
  * checks/scripts.pm:
    + [CL] Include the offending/unknown shebang in the output of various
      interpreter-related tags.  (Closes: #673734)
  * checks/source-copyright.desc:
    + [CL] Also mention that we check for NOTICE.gz files when looking for
      Apache 2.0 packages that do not distribute their accompanying NOTICE
      file.
  * checks/watch-file.{desc,pm}:
    + [CL] Apply patch from Felix Lechner <felix.lechner@lease-up.com> to
      check for packages where an upstream signature exists but is not
      being used.  (Closes: #885621)

  * data/fields/name_section_mappings:
    + [CL] Ensure that PAM modules are placed in the "admin" section,
      additionally preventing a false positive for libpam-krb5 which was
      being caught by a "libfoo1" => "libs" entry.  (Closes: #885899)
  * data/files/python-generic-modules:
    + [CL] Add "examples".
  * data/spelling/corrections:
    + [PW] Add a number of corrections.
  * data/standards-version/release-dates:
    + [CL] Correct date(1) invocation example in comment.
    + [CL] Add 4.1.3 as a known standards version.

  * debian/control:
    + [CL] Declare compliance with Debian Policy 4.1.3.
    + [CL] Mention Debian Policy 4.1.3 in long package description.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Jan 2018 14:58:24 +0000

lintian (2.5.66) unstable; urgency=medium

  Merry Christmas!

  * Summary of tag changes:
    + Added:
      - autotools-pkg-config-macro-not-cross-compilation-safe
      - bugs-field-does-not-refer-to-debian-infrastructure
      - mismatched-python-substvar
      - missing-notice-file-for-apache-license
      - override_dh_clean-does-not-call-dh_clean
      - package-contains-python-doctree-file
      - pkg-config-unavailable-for-cross-compilation
      - portable-executable-missing-security-features
      - python-package-depends-on-package-from-other-python-variant
      - vcs-fields-use-more-than-one-vcs

  * checks/*.desc:
    + [CL] Standardise on capital-L "Lintian" in tag descriptions.
      Thanks to Adam D. Barratt for the suggestion.
  * checks/cruft.{pm,desc}:
    + [CL] Check for packages that invoke AC_PATH_PROG without considering
      cross-compilation. Thanks to Helmut Grohne for the idea and
      proof-of-concept implementation.  (Closes: #884798)
  * checks/fields.{pm,desc}:
    + [CL] Emit a wishlist warning for packages that mix-and-match more
      than one version control system in Vcs-* headers.  (Closes: #884503)
    + [CL] Warn when packages specify a "Bugs" field in debian/control that
      does not refer to official Debian infrastructure as this can make
      reportbug unable to report bugs.  (Closes: #741071)
  * checks/files.{pm,desc}:
    + [CL] Warn maintainers about packages that ship pkg-config files under
      /usr/lib/pkgconfig as they are unavailable under cross-compilation.
      Thanks to Helmut Grohne for the idea.  (Closes: #885096)
    + [CL] Warn about packages that ship non-reproducible Python .doctree
      files.  (Closes: #885327)
    + [CL] Factor out simple filename checks into a Lintian::Data variable.
  * checks/init.d.{pm,desc}:
    + [CL] Don't emit init.d-script-needs-depends-on-lsb-base if the
      package ships a Systemd service file.  (Closes: #864999)
  * checks/lintian.desc:
    + [CL] Also note that unused-override can be triggered if Lintian
      adds/modifies supplementary tag metadata.
  * checks/obsolete-sites.pm:
    + [CL] Ignore commented-out lines to avoid false-positives where the
      maintainer references the old location.  (Closes: #806237)
  * checks/pe.{pm,desc}:
    + [CL] Check for Microsoft Windows Portable Executable (PE) files that
      are missing security hardening features. Thanks to Petter
      Reinholdtsen for the report.  (Closes: #837548)
  * checks/python.{pm,desc}:
    + [CL] Warn about Python 2.x packages using ${python3:Depends} and
      Python 3.x packages using ${python:Depends}. Thanks to Mattia
      Rizzolo for the idea.  (Closes: #884676)
    + [CL] Factor out definition of dependency fields.
    + [CL] Warn about Python 3 packages that depend on Python 2 packages
      and vice versa.  (Closes: #782277)
  * checks/rules.{desc,pm}:
    + [CL] Check for override_dh_clean targets that are missing calls to
      dh_clean. Thanks to Andreas Beckmann for the idea.  (Closes: #884817)
  * checks/standards-version.pm:
    + [CL] Avoid misleading tag descriptions when emitting valid
      timewarp-standards-version warnings if the date parts are identical
      (ie. "2017-11-30 < 2017-11-30"). Thanks to Andrea Bolognani
      eof@kiyuko.org> for the report.  (Closes: #884785)
  * checks/scripts.pm:
    + [CL] Prevent a false positive in the
      possibly-insecure-handling-of-tmp-files-in-maintainer-script tag by
      detecting XXX-like mktemp(1) templates.  (Closes: #601323)
  * checks/source-copyright.{desc,pm}:
    + [CL] Check for Apache 2.0 packages that do not distribute their
      accompanying "NOTICE" files.  (Closes: #885042)
    + [CL] Use the list of files in the orig tarball (rather than in the
      regular index) to prevent false positives when checking for the
      source-includes-file-in-files-excluded tag when a patch system
      re-adds files that were removed.  (Closes: #884848)

  * collection/src-orig-index:
    + [CL] Correct references to generated filename.
    + [CL] Update bitrotted calls to Lintian::Command:spawn.

  * data/debhelper/compat-level:
    + [MR] Bump the experimental debhelper compat level to 12.
      (Closes: #884678)
    + [CL] Bump the recommended debhelper compat level to 11, emitting a
      pedantic warning when using lower level.  (Closes: #884699)
  * data/debhelper/dh_commands:
    + [CL] dh_scour is now provided by python3-scour, not python-scour.
      Thanks to Jeremy Bicha.  (Closes: #885106)
  * data/files/js-libraries:
    + [CL] Detect embedded jQuery libraries with version number in their
      filenames (eg. jquery-1.10.2.min.js).  (Closes: #833613)
    + [CL] Also emit embedded-javascript-library for Twitter Bootstrap and
      "mustache".
  * data/files/php-libraries:
    + [CL] Avoid a embedded-php-library false positive for streams.php.
      (Closes: #637473)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

  * debian/compat:
    + [NT] Bump debhelper compat level to 11.
  * debian/control:
    + [CL] Tag relevant build-dependencies with <!nocheck>.
    + [NT] Bump versioned Build-Dependency on debhelper to 11~.

  * lib/Lintian/Collect/{Package,Source}.pm:
    + [CL] Don't require that src-orig-index.gz actually contains any files
      rather than faking an entry.

  * reporting/templates/maintainer.tmpl:
    + [CL] Correct invalid "else if" syntax with "elsif". Thanks to Uwe
      Kleine-König for the report.

  * t/tests/fields-malformed-vcs-fields-unrel:
    + [CL] Add a regression test for a potential false positive in the
      "vcs-field-has-unexpected-spaces" tag.  (Ref: #884870)
  * t/tests/files-multiarch-foreign-files:
    + [CL] Don't hardcode architecture triplet to fix FTBFS on non-amd64
      architectures.  (Closes: #884683)
  * t/scripts/implemented-tags.t:
    + [CL] Exclude some tests in this coverage check now that they are
      specified in a data file rather than in the code itself.

 -- Chris Lamb <lamby@debian.org>  Tue, 26 Dec 2017 14:59:29 +0000

lintian (2.5.65) unstable; urgency=medium

  * t/tests/files-pkgconfig:
    + [CL] Update tests to reflect change in Multi-Arch foreign detection.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Dec 2017 10:04:30 +0000

lintian (2.5.64) unstable; urgency=medium

  * checks/files.pm:
    + [CL] Apply patch from Sven Joachim to prevent false-positives
      multiarch-foreign-static-library for non-multiarch packages.
      (Closes: #884655)

  * reporting/templates/maintainer.tmpl:
    + [CL] Don't link full report entries to themselves.  (Closes: #884572)
    + [CL] Link to the package's short report entry from the "full" version
      if it isn't empty.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Dec 2017 09:31:48 +0000

lintian (2.5.63) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - development-package-ships-elf-binary-in-path
      - excessive-priority-for-library-package
      - multiarch-foreign-cmake-file
      - multiarch-foreign-pkgconfig
      - multiarch-foreign-static-library
      - package-contains-compiled-font-file
      - package-contains-compiled-glib-schema

  * checks/binaries.{pm,desc}:
    + [CL] Add an experimental check for development packages that ship
      ELF binaries in $PATH. Host architecture binaries are generally not
      executable so such files are useless for cross builds.
      (Closes: #794295)
  * checks/cruft.desc:
    + [CL] Add debian/changelog to the file-contains-trailing-whitespace
      example to make it even easier to copy-paste.
  * checks/fields.{pm,desc}:
    + [CL] Warn about library packages with excessive priority. Thanks to
      Josh Triplett for the report.  (Closes: #834290)
  * checks/files.{pm,desc}:
    + [CL] Warn about Multi-Arch: foreign packages that ship CMake,
      pkg-config or static libraries in public, architecture-dependent
      search paths. Thanks to Helmut Grohne for the initial patch and
      report.  (Closes: #882684)
    + [CL] Raise the certainty of multiarch-foreign-shared-library from
      "wild guess" to "possible" on the suggestion of Helmut Grohne.
    + [CL] Test for packages shipping "gschemas.compiled" files. Thanks
      to Andreas Beckmann for the idea.  (Closes: #884142)
    + [CL] Warn if a package ships compiled font files. Thank you to
      Andreas Beckmann for the report.  (Closes: #884165)
  * checks/python.pm:
    + [CL] Also check for packages installing modules called "site" or
      "docs" into the global namespace.  (Closes: #769365)
  * checks/scripts.desc:
    + [CL] Update description of python-script-but-no-python-dep to refer
      to ${python3:Depends}. Thanks to Mattia Rizzolo.  (Closes: #660718)
    + [CL] Prevent a false-positive in missing-dep-for-interpreter by
      matching ABI-versioned virtual packages for Erlang. Thanks to
      Jean Parpaillon for the report.  (Closes: #810204)
  * checks/source-copyright.desc:
    + [CL] Update description of source-includes-file-in-files-excluded
      to clarify the potential problem and to reference the relevant
      wishlist bug against git-buildpackage.
  * checks/python.pm:
    + [CL] Clarify that new-package-should-not-package-python2-module
      triggers when there is a single changelog entry as well as providing
      general guidance where upstreams have not ported to Python 3 yet.

  * commands/lintian.pm:
    + [CL] Correct parsing of "jobs=42" in lintianrc. If specified, it
      would be coerced to a boolean resulting in a value of 1.
    + [CL] Allow the tag display limit to be configured via the
      "--tag-display-limit" command-line argument or "tag-display-limit"
      in lintianrc.  (Closes: #813525)
    + [CL] Make -v imply --no-tag-display-limit.  (Closes: #812756)

  * data/files/privacy-breaker-fragments:
    + [CL] Don't match, for example, "FB.login()" when used as a
      documentation example.  (Closes: #884296)
  * data/spelling/corrections:
    + [PW] Add a number of corrections.

  * doc/lintianrc.example:
    + [CL] Add missing "jobs" entry.

  * profiles/pureos/main.profile:
    + [CL] Add a profile for Purism's PureOS.  (Closes: #884408)

  * reporting/images/*.png:
    + [CL] Apply patch from Ville Skyttä that runs the .PNG files through
      the "zopflipng" minimiser tool to save space.  (Closes: #884559)

  * reporting/templates/maintainer.tmpl:
    + [CL] Add links from each maintainer page (which does not include
      pedantic tags, etc.) to the corresponding package on the full report.
      Thanks to Paul Wise for the idea and report.  (Closes: #884572)

  * vendors/pureos/main/data/changes-file/known-dists:
    + [CL] Add data file for PureOS.

 -- Chris Lamb <lamby@debian.org>  Sun, 17 Dec 2017 20:19:20 +0000

lintian (2.5.62) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - invalid-potfiles-in

  * checks/changelog-file.pm:
    + [CL] Correct operator precedence in "epoch-change-without-comment"
      to prevent a false positive when an epoch is present but is unchanged
      between versions.
    + [CL] Improve output of epoch-change-without-comment to include the
      actual version change.
  * checks/python.desc:
    + [CL] Also match, for example, "python2.7:any" when checking the
      "dependency-on-python-version-marked-for-end-of-life" tag, not just
      "python2.7".  (Closes: #883053)
    + [CL] Detect an invalid debian/po/POTFILES.in instead of bailing out.
      (Closes: #883653)
  * checks/scripts.desc:
    + [AB] command-with-path-in-maintainer-script: Add more references,
      especially the reason why "if [ -x /usr/bin/<command> ]; …" is
      indeed bad (#769845 and the mail referred to in there). Rewrite
      recommendations, explain what conditions should be given if someone
      intents to override this tag. (Closes: #807695)
  * checks/source-copyright.pm:
    + [CL] Correct false positives in the
      "source-includes-file-in-files-excluded" tag where a Files-Excluded
      of "lib/*" would be triggered for "foolib/filename".
    + [CL] Correct another false positive in the
      "source-includes-file-in-files-excluded" tag where we would warn when
      the maintainer has removed upstream's debian/ directory and then we
      would trigger it on the maintainer's replacement files.
    + [CL] List all files violating source-includes-file-in-files-excluded,
      not just the first one we encounter per "Files-Excluded" entry.
    + [CL] Ignore .pc dirs for source-includes-file-in-files-excluded,

  * data/spelling/corrections:
    + [AB] Remove "publically". It's a seldom, but valid English word
      (c.f. https://en.wiktionary.org/wiki/publically) and causes false
      positives in the OpenSSL license.

  * t/scripts/spellintian.t:
    + [AB] Ensure that "publically" is not re-added as spelling correction
      in the future again to avoid hundreds of false positives in the
      OpenSSL license.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Dec 2017 16:28:15 +0000

lintian (2.5.61) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - epoch-change-without-comment
      - source-includes-file-in-files-excluded
      - unnecessary-team-upload

  * checks/changelog-file.{desc,pm}:
    + [CL] Warn about packages that modify the epoch and there's no comment
      about the change. This was motivated by the accidental bumping of the
      epoch in my python-django 2:2.0-1 upload.
  * checks/elpa.desc:
    + [CL] Correct reference to dh_elpa(1) manpage. Thanks to Paul Gevers
      for the report.  (Closes: #883356)
  * checks/fields.pm:
    + [CL] Apply patch from Dylan Aïssi to add R CRAN & Bioconductor
      repositories to the list of known insecure URIs.  (Closes: #883121)
  * checks/nmu.{desc,pm}:
    + [CL] Warn if a "Team upload" (ie. that string is present in the
      changelog) but the uploader is among the Maintainer/Uploaders.
      (Closes: #882954)
  * checks/python.desc:
    + [CL] Raise the severity of the
      "dependency-on-python-version-marked-for-end-of-life" and
      "python-foo-but-no-python3-foo" Python 2.x deprecation tags to
      regular warnings.  (Closes: #883581)
  * checks/source-copyright.{desc,pm}:
    + [CL] Warn when files specified in Files-Excluded exist in the source
      tree.  (Closes: #871454)

  * data/spelling/corrections:
    + [PW] Add a number of corrections.
    + [CL] Remove "german|German" and "russian|Russian" entries - they are
      covered by data/spelling/corrections-case.  (Closes: #883041)

  * data/standards-version/release-dates:
    + [AB] Add 4.1.2 as known standards version.
    + [AB] Suggest "date +%s -s …" instead of libtimedate-perl.

  * debian/control:
    + [AB] Declare compliance with Debian Policy 4.1.2.
    + [AB] Mention Debian Policy 4.1.2 in long package description.

  * t/runtests:
    + [AB] Use standards version 4.1.2 in tests.
  * t/scripts/spellintian.t:
    + [AB] Add two checks for common mistakes in d…/spelling/corrections:
      "iff" is a valid word (c.f. #865055) and case-only misspellings
      belong into data/spelling/corrections-case.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Dec 2017 14:41:02 +0000

lintian (2.5.60) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - homepage-field-uses-insecure-uri
      - hyphen-file
      - rules-does-not-require-root
      - rules-requires-root-explicitly

  * checks/control-file.{desc,pm}:
    + [AB] Add classification tags for R³.
    + [CL] Remove the "Experimental: yes" flag from the
      debian-control-has-obsolete-dbg-package tag.  (Closes: #882154)
    + [AB] Change reference for debian-control-has-obsolete-dbg-package
      from https://wiki.debian.org/DebugPackage to
      https://wiki.debian.org/AutomaticDebugPackages
  * checks/cruft.desc:
    + [CL] Add suggested [[:space:]]-based sed call for
      file-contains-trailing-whitespace. Thanks to Stuart Prescott.
      (Closes: #881389)
    + [AB] Also mention Emacs' "M-x wh-cl" (whitespace-cleanup) for
      file-contains-trailing-whitespace.
  * checks/fields.desc:
    + [CL] Warn for Homepage files using well-known insecure URIs.
      (Closes: #849514)
  * checks/files.pm:
    + [NT] Add missing slash for usr/sbin that caused lintian to report
      false-positive multiarch-foreign-shared-library when a package
      only had executables in usr/sbin.  Thanks to Helmut Grohne for
      reporting the issue.
    + [CL] Warn on files called "-" (hyphen symbol). See #882638 for an
      example.
  * checks/version-substvars.desc:
    + [CL] Don't recommend "Source-Version" in tag descriptions.

  * data/fields/*:
    + [CL] Revert patch from Guillem Jover to add a "golang" archive
      section; it has not ben added to the archive yet.
  * data/spelling/corrections:
    + [PW] Add several corrections.

  * lib/Test/Lintian/Harness.pm, t/runtests, t/tests/README:
    + [AB] Add support for a "Test-Conflicts" field.

  * t/tests/rules-including-deprecated-makefiles/desc:
    + [AB] Add "Test-Conflict: dh-buildinfo". Having dh-buildinfo
      installed causes that test to fail.

  * .gitignore:
    + [AB] Ignore /debian/.debhelper/ directory.

 -- Chris Lamb <lamby@debian.org>  Sun, 26 Nov 2017 11:13:58 +0900

lintian (2.5.59) unstable; urgency=medium

  * lib/Lintian/Check.pm:
    + [CL] Don't warn about duplicate words when separated by punctuation.
      (Closes: #822504)

  * data/fields/*:
    + [CL] Apply patch from Guillem Jover to add a "golang" archive
      section.  (Closes: #880701)

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Nov 2017 08:48:00 +0000

lintian (2.5.58) unstable; urgency=medium

  * checks/cruft.pm:
    + [CL] Rewrite file-contains-trailing-whitespace tag to be a hash from
      the filename to the regex we should match.
    + [CL] Allow trailing tabs in debian/rules files; they are a very
      common idiom in Makefiles.
  * checks/fields.desc:
    + [SL] Update of the documentation for the change introduced in 2.5.53:
      Transitional packages should now be "oldlibs/optional" rather
      than "oldlibs/extra".
  * checks/python.pm:
    + [CL] Don't count python-django and python3-django as Django modules.
      This avoids a warning where Django itself triggers
      "django-package-does-not-depend-on-django".

  * data/fields/name_section_mappings:
    + [CL] Apply patch from Simon McVittie to prevent a misdetection of
      libcanberra-gstreamer as a GNU Smalltalk library.  (Closes: #880140)
  * data/spelling/corrections:
    + [AB] Add more misspellings of the word "dependency".

  * doc/lintian.xml:
    + [CL] Improve overrides docs using source-is-missing as an example.
      (Closes: #838807)

  * vendors/ubuntu/main/data/changes-file/known-dists:
    + [CL] Add bionic as a known Ubuntu distribution. Thanks Jeremy Bicha!
      (Closes: #880115)

 -- Chris Lamb <lamby@debian.org>  Fri, 03 Nov 2017 08:46:02 +0100

lintian (2.5.57) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-rules-should-not-set-CFLAGS-from-noopt

  * checks/control-file.pm:
    + [CL] Avoid false positives in debian-control-has-empty-field when the
      field is wrapped onto a new line. Thanks to Mattia Rizzolo for the
      report.  (Closes: #879977)
  * checks/cruft.desc:
    + [CL] Add example on how to remove trailing whitespace with sed.
    + [CL] Drop README.source from files to check against the
      file-contains-trailing-whitespace tag as it can include quotes
      from upstream that would be ideally left intact.
  * checks/debhelper.pm:
    + [NT] Remove code handling named compat levels.
  * checks/files.desc:
    + [CL] Ignore embedded jQuery libraries for Doxygen.  (Closes: #736360)
  * checks/rules.desc:
    + [CL] Warn if packages set CFLAGS if the value of DEB_BUILD_OPTIONS
      contains noopt.  (Closes: #718640)

  * commands/lintian.pm:
    + [NT] Have lintian resignal between various stages of the
      processing.  Previously, ill-timed signals would be caught and
      "semi-ignored" with lintian happily continuing to process the
      next package.  (Closes: #878575)

  * data/debhelper/named-compat-levels:
    + [NT] Removed; no longer used.

 -- Chris Lamb <lamby@debian.org>  Sun, 29 Oct 2017 12:14:30 +0000

lintian (2.5.56) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - appstream-metadata-invalid
      - debhelper-tools-from-autotools-dev-are-deprecated
      - debian-control-has-empty-field
      - debian-rules-sets-dpkg-architecture-variable
      - empty-section-field
      - file-contains-trailing-whitespace
      - init.d-script-contains-skeleton-template-content
      - latest-changelog-entry-without-new-date

  * checks/appstream-metadata.{pm,desc}:
    + [CL] Don't error out when AppStream metadata is invalid and emit new
      appstream-metadata-invalid tag instead.  (Closes: #879661)
  * checks/binaries.desc:
    + [CL] Apply patch from Adrian Bunk to mention the lack of the "-g"
      flag as a common cause for the debug-file-with-no-debug-symbols tag.
      (Closes: #878806)
    + [CL] Apply patch from Guillem Jover to strongly discourage the use
      of the getconf(1) interface for LFS support.  (Closes: #879935)
  * checks/changes-file.desc:
    + [CL] Add a note to orig-tarball-missing-upstream-signature regarding
      support in pristine-tar and git-buildpackage.
  * checks/conffiles.pm, checks/{debconf,files,scripts}.desc:
    + [CL] Apply patch from Ville Skyttä <ville.skytta@iki.fi> to fix a
      number of spelling mistakes.  (Closes: #878446)
    + [CL] Apply patch from Ville Skyttä <ville.skytta@iki.fi> to update
      a number of manual references.  (Closes: #878517)
  * checks/control-file.{pm,desc}:
    + [CL] Warn about empty fields in debian/control.  (Closes: #744388)
  * checks/cruft.{pm,desc}:
    + [CL] Warn about certain files under debian/* that contain trailing
      whitespace characters.  (Closes: #748405)
  * checks/debconf.desc:
    + [CL] Apply patch from Ville Skyttä <ville.skytta@iki.fi> to update
      the debconf-spec refs.  (Closes: #878449)
  * checks/debhelper.{desc,pm}:
    + [NT] Add a check for packages using the debhelper tooling from the
      autotools-dev package.  These have been replaced by the changes
      inside debhelper itself.
    + [NT] Avoid useless-autoreconf-build-depends for autotools-dev when
      the autotools-dev tooling is used in debian/rules.
      (Closes: #871711)
  * checks/fields.pm:
    + [CL] Apply patch from Nicolas Boulenguez to accept and recommend the
      new vcs-mtn mtn:// uri format.  (Closes: #878798)
    + [CL] Emit new empty-section-field tag instead of uninitialized value
      warnings on an empty "Section:" field.  (Closes: #878515)
  * checks/files.pm:
    + [CL] Lower the severity of package-installs-java-bytecode from
      "error" to "warning".  (Closes: #879862)
    + [CL] Do not trigger package-installs-java-bytecode if the path
      contains "WEB-INF", "demo", "doc" etc.  (Closes: #879860)
    + [CL] Verify files triggering package-installs-java-bytecode files
      really are Java class files.  (Closes: #879861)
  * checks/init.d.pm:
    + [CL] Check for files that use content from the /etc/init.d/skeleton
      template. Thanks to Christoph Biedl for the idea.  (Closes: #879152)
  * checks/md5sums.pm:
    + [CL] Allow empty md5sums files.  (Closes: #781372)
  * checks/rules.{pm,desc}:
    + [CL] Warn on packages unnecessararily setting dpkg-architecture(1)
      variables.  (Closes: #793554)
  * checks/scripts.desc:
    + [CL] Check the "Recommends" field as well when testing scripts for
      script-needs-depends-on-sensible-utils.  (Closes: #879953)
  * checks/source-changelog.{desc.pm}:
    + [CL] Move latest-debian-changelog-entry-without-new-date tag into a
      new check of type "source".  (Closes: #873612)
  * checks/watch-file.pm:
    + [CL] Include the offending URI in debian-watch-uses-insecure-uri
      output, not the line number.
    + [CL] Ignore the magic http://sf.net/ redirector URI for the
      debian-watch-uses-insecure-uri tag.  (Closes: #879206)

  * data/common/source-fields:
    + [NT] Add "Rules-Requires-Root".
  * data/fields/essential:
    + [CL] Apply patch from Helmut Grohne <helmut@subdivi.de> to treat
      e2fsprogs as non-essential.  (Closes: #878518)
  * data/fields/perl-provides:
    + [CL] Update for Perl 5.026001.
  * data/scripts/interpreters:
    + [CL] Add cwl-runner to the list of interpreters.  (Closes: #851126)
  * data/spelling/corrections:
    + [CL] Revert addition of "none were" -> "none was" multiword spelling
      correction as it is "acceptable beyond serious criticism".
      (Closes: #878457)

  * debian/control:
    + [NT] Set R³ to "no".  Lintian builds fine without root and
      Build-Depends on fakeroot for the tests that still require
      fakeroot.

  * doc/lintian.xml, checks/{fields,files,menu-format}.desc, etc.:
    + [CL] Apply patch from Ville Skyttä <ville.skytta@iki.fi> to update
      a large number of errors in links.  (Closes: #878521)

  * private/refresh-manual-refs:
    + [CL] Apply patch from Ville Skyttä <ville.skytta@iki.fi> to update
      the Debconf reference mapping. Many thanks!  (Closes: #878449)
    + [CL] Apply a patch series from Ville Skyttä <ville.skytta@iki.fi>
      to a number of issues in the Menu, Perl, Python and Debian
      Policy parsing.

  * t/scripts/pod-synopsis.t:
    + [CL] Apply patch from Ville Skyttä <ville.skytta@iki.fi> to skip all
      POD synopsis tests if Test::Pod is not available.  (Closes: #878522)
  * t/tests/debconf-config-*, t/tests/legacy-maintainer-scripts:
    + [CL] Split out checks for debconf-config-not-executable into a
      separate test protected by a Test-Depends now that dpkg >= 1.19.0
      will bail out on that condition.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Oct 2017 18:29:35 +0000

lintian (2.5.55) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-watch-uses-insecure-uri
      - django-package-does-not-depend-on-django
      - example-script-uses-deprecated-nodejs-location
      - priority-extra-is-replaced-by-priority-optional
      - python-module-has-overly-generic-name
      - systemd-service-file-wraps-init-script
    + Removed:
      - copyright-year-in-future

  * checks/copyright-file.pm:
    + [CL] Drop copyright-year-in-future after all; it's just too error
      prone and time-consuming to maintain given the severity of the issues
      it can find.  (Closes: #877766)
  * checks/cruft.pm:
    + [CL] Exempt debian/copyright from license-problem-non-free-RFC tag
      to avoid false-positives on meta-references.  (Closes: #877999)
  * checks/debhelper.pm:
    + [AB] Also recognize dh-exec's "=>" arrow if surrounded by tabs.
      (Closes: #877905)
  * checks/fields.{desc,pm}:
    + [NT] Add an info tag for packages that use "Priority: extra".  Thanks
      to Mattia Rizzolo for the suggestion.  (Closes: #870898)
  * checks/files.pm:
    + [CL] Ignore privacy breach violations in comments.  (Closes: #877421)
    + [CL] Check for Python modules with overly generic names such as
      "tests" or "test".  (Closes: #875964)
  * checks/{files,manpages,menu-format}.{desc,pm}:
    + [NT] Stop considering usr/man, usr/X11R6/bin and usr/X11R6/man as
      manpage directories / PATH directories to simplify some code paths.
      Nothing ships manpages in these directories and lintian emits tags
      to strongly discourage people from doing so.
  * checks/init.d.pm:
    + [CL] Avoid warning for init.d-script-not-marked-as-conffile when
      the init.d script does not exist; we will already be alerted via
      the init.d-script-not-included-in-package error.
  * checks/python.pm:
    + [CL] Move to "Type: source, binary" check type.
    + [CL] Also match packages named "python2-*" as relating to Python 2.x.
    + [CL] Warn about Django libraries that do not depend on Django itself.
      (Closes: #877292)
    + [CL] Do not emit python-foo-but-no-python3-foo for -common packages.
  * checks/scripts.desc:
    + [CL] Add missing example-script-uses-deprecated-nodejs-location tag.
      (Closes: #877142)
    + [NT] Apply patch from Mattia Rizzolo to improve the tag description
      for script-uses-deprecated-nodejs-location.
    + [CL] Actually check for a dependency on sensible-utils before
      emitting script-needs-depends-on-sensible-utils.  Thanks to Daniel
      Reichelt for the detailed bug report.  (Closes: #877439)
  * checks/standards-version.desc:
    + [CL] Correct invalid link to upgrading-checklist. Thanks to Dann
      Frazier for the report.  (Closes: #878184)
  * checks/systemd.{desc,pm}:
    + [CL] Warn if native systemd service files only wrap existing SysV/LSB
      init scripts.  (Closes: #870704)
  * checks/watch-file.{pm,desc}:
    + [CL] Warn for debian/watch files using insecure URIs such as HTTP or
      FTP, similar to vcs-field-uses-insecure-uri.  (Closes: #849515)

  * data/{common => fields}/priorities:
    + [NT] Rename file.
  * data/fields/essential:
    + [MR] Remove 'mount' from the essential packages.  Starting with
      util-linux version 2.29.2-3 the Essential flag has been removed.
      (Closes: #877511)
  * data/fields/priorities:
    + [NT] Remove "extra".
  * data/files/privacy-breaker-websites:
    + [CL] Replace (eg.) "You may use libjs-prototype package" with "You
      may use the libjs-prototype package".

  * commands/lintian.pm:
    + [NT] Simplify handling of uncaught exceptions.

  * doc/lintian.xml:
    + [NT] Document that the XDG_DATA_HOME directory can be used for
      user profiles and data files.  This has been supported for quite
      a while but the documentation incorrectly listed "$HOME/.lintian"
      instead (which in fact did not work for this purpose).
      (Closes: #701477)

  * frontend/dplint:
    + [NT] Restore "$HOME/.lintian" as a directory that is used for
      user profiles and data files.  It was advertised as such in the
      documentation but the code actually only used the XDG_DATA_HOME
      path.  Thanks to Daniel Kauffman for the report.  (Closes: #875636)
    + [NT] Correct the order of restricted search paths (user directories
      and /etc/lintian).  It incorrectly used /etc/lintian before the
      user directory.

  * lib/Lintian/Util.pm:
    + [NT] Rename the "fail" subroutine to "internal_error" to better
      reflect its purpose.

  * t/tests/binaries-from-other-arch:
    + [NT] Make test architecture specific as it fails on certain
      architectures.  (Closes: #877147)
  * t/tests/python-new-python2-package/*:
    + [CL] Correct Depends of python2.7 → python3 in Python 3 test
      package.
  * t/tests/python-python2-no-python3-unrel/debian/debian/control.in:
    + [CL] Add test for ignoring python-foo-doc packages.
    + [CL] Correct short descriptions of binary packages.

 -- Chris Lamb <lamby@debian.org>  Thu, 12 Oct 2017 11:50:41 -0400

lintian (2.5.54) unstable; urgency=medium

  * checks/copyright-file.pm:
    + [CL] Prevent false positives in copyright-year-in-future when
      matching URLs.
    + [CL] Prevent false positives in copyright-year-in-future when
      matching the Tcl license (eg. postgresql-10).  (Closes: #876360)
  * checks/debhelper.pm:
    + [CL] Ensure that "missing-build-dependency-for-dh_-command" is not
      emitted for dh-strip-nondeterminism at Debhelper compat levels >=
      10.  (Closes: #876443)
  * checks/files.desc:
    + [CL] Correct grammar and punctuation in description of
      node-package-install-in-nodejs-rootdir.
  * checks/changelog-file.pm:
    + [CL] Also ignore lines that (meta) reference "typo" when checking
      for "spelling-error-in-changelog".

  * data/standards-version/release-dates:
    + [CL] Add 4.1.1 as a known standards version.

  * debian/control:
    + [CL] Mention Debian Policy v4.1.1 in the description.

  * t/tests/binaries-from-other-arch/debian/debian/dumpobj:
    + [CL] Apply patch from Jakub Wilk to prevent test failures on
      armhf/arm64, etc.  (Closes: #877147)
  * t/tests/fields-perl-provides/{desc,tags}:
    + [CL] Apply patch from Gianfranco Costamagna (locutusofborg) to fix
      failing test on 32-bit architectures and add a suitable Test-Against
      stanza to make this easier to catch in future. Thanks to Matthias
      Klose (doko) for the report.  (Closes: #876343)

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Sep 2017 16:57:39 +0100

lintian (2.5.53) unstable; urgency=medium

  The "we are all Perl developers now" release.

  * Summary of tag changes:
    + Added:
      - alternatively-build-depends-on-python-sphinx-and-python3-sphinx
      - build-depends-on-python-sphinx-only
      - dependency-on-python-version-marked-for-end-of-life
      - maintainer-script-interpreter
      - missing-call-to-dpkg-maintscript-helper
      - node-package-install-in-nodejs-rootdir
      - override-file-in-wrong-package
      - package-installs-java-bytecode
      - python-foo-but-no-python3-foo
      - script-needs-depends-on-sensible-utils
      - script-uses-deprecated-nodejs-location
      - transitional-package-should-be-oldlibs-optional
      - unnecessary-testsuite-autopkgtest-header
      - vcs-browser-links-to-empty-view
    + Removed:
      - debug-package-should-be-priority-extra
      - missing-classpath
      - transitional-package-should-be-oldlibs-extra

  * checks/apache2.pm:
    + [CL] Fix an apache2-unparsable-dependency false positive by allowing
      periods (".") in dependency names.  (Closes: #873701)
  * checks/binaries.pm:
    + [CL] Apply patches from Guillem Jover & Boud Roukema to improve the
      description of the binary-file-built-without-LFS-support tag.
      (Closes: #874078)
  * checks/changelog-file.desc:
    + [CL] Upgrade latest-debian-changelog-entry-without-new-date from
      a warning to an error.  (Closes: #873490)
  * checks/changes.{pm,desc}:
    + [CL] Ignore DFSG-repacked packages when checking for upstream
      source tarball signatures as they will never match by definition.
      (Closes: #871957)
    + [CL] Downgrade severity of orig-tarball-missing-upstream-signature
      from "E:" to "W:" as many common tools do not make including the
      signatures easy enough right now.  (Closes: #870722, #870069)
    + [CL] Expand the explanation of the
      orig-tarball-missing-upstream-signature tag to include the location
      of where dpkg-source will look. Thanks to Theodore Ts'o for the
      suggestion.
  * checks/copyright-file.pm:
    + [CL] Address a number of issues in copyright-year-in-future:
      - Prevent false positives in port numbers, email addresses, ISO
        standard numbers and matching specific and general street
        addresses.  (Closes: #869788)
      - Match all violating years in a line, not just the first (eg.
        "2000-2107").
      - Ignore meta copyright statements such as "Original Author". Thanks
        to Thorsten Alteholz for the bug report.  (Closes: #873323)
      - Expand testsuite.
  * checks/cruft.{pm,desc}:
    + [CL] Downgrade severity of file-contains-fixme-placeholder
      tag from "important" (ie. "E:") to "wishlist" (ie. "I:").
      Thanks to Gregor Herrmann for the suggestion.
    + [CL] Apply patch from Alex Muntada (alexm) to use "substr" instead
      of "substring" in mentions-deprecated-usr-lib-perl5-directory's
      description.  (Closes: #871767)
    + [CL] Don't check copyright_hints file for FIXME placeholders.
      (Closes: #872843)
    + [CL] Don't match quoted "FIXME" variants as they are almost always
      deliberate. Thanks to Adrian Bunk for the report.  (Closes: #870199)
    + [CL] Avoid false positives in missing source checks for "CSS Browser
      Selector".  (Closes: #874381)
  * checks/debhelper.pm:
    + [CL] Prevent a false positive of
      missing-build-dependency-for-dh_-command that can be exposed by
      following the advice for the recently added
      useless-autoreconf-build-depends tag.  (Closes: #869541)
  * checks/debian-readme.{pm,desc}:
    + [CL] Ensure readme-debian-contains-debmake-template also checks
      for templates "Automatically generated by debmake".
  * checks/description.{desc,pm}:
    + [CL] Clarify explanation of description-starts-with-leading-spaces
      tag. Thanks to Taylor Kline <taylor.kline@utexas.edu> for the report
      and patch.  (Closes: #849622)
    + [NT] Skip capitalization-error-in-description-synopsis for
      auto-generated packages (such as dbgsym packages).
  * checks/fields.{desc,pm}:
    + [CL] Ensure that python3-foo packages have "Section: python", not
      just python2-foo.  (Closes: #870272)
    + [RG] Do no longer require debug packages to be priority extra.
    + [BR] Use Lintian::Data for name/section mapping
    + [CL] Check for packages including "?rev=0&sc=0" in Vcs-Browser.
      (Closes: #681713)
    + [NT] Transitional packages should now be "oldlibs/optional" rather
      than "oldlibs/extra".  The related tag has been renamed accordingly.
  * checks/filename-length.pm:
    + [NT] Skip the check on auto-generated binary packages (such as
      dbgsym packages).
  * checks/files.{pm,desc}:
    + [BR] Avoid privacy-breach-generic false positives for legal.xml.
    + [BR] Detect install of node package under /usr/lib/nodejs/[^/]*$
    + [CL] Check for packages shipping compiled Java class files. Thanks
      Carnë Draug <carandraug+dev@gmail.com>.  (Closes: #873211)
    + [BR] Privacy breach is no longer experimental.
    + [CL] Check for Lintian overrides installed in the wrong package.
      (Closes: #792198)
  * checks/init.d.desc:
    + [RG] Do not recommend a versioned dependency on lsb-base in
      init.d-script-needs-depends-on-lsb-base.  (Closes: #847144)
  * checks/java.pm:
    + [CL] Additionally consider .cljc files as code to avoid false-
      positive codeless-jar warnings.  (Closes: #870649)
    + [CL] Drop problematic missing-classpath check.  (Closes: #857123)
  * checks/menu-format.desc:
    + [CL] Prevent false positives in desktop-entry-lacks-keywords-entry
      for "Link" and "Directory" .desktop files.  (Closes: #873702)
    + [CL] Add reference to Policy 9.6 for the
      command-in-menu-file-and-desktop-file tag.  (Closes: #871008)
  * checks/python.{pm,desc}:
    + [CL] Split out Python checks from "scripts" check to a new, source
      check of type "source".
    + [CL] Check for python-foo without corresponding python3-foo packages
      to assist in Python 2.x deprecation.  (Closes: #870681)
    + [CL] Check for packages that Build-Depend on python-sphinx only.
      (Closes: #870730)
    + [CL] Check for packages that alternatively Build-Depend on the
      Python 2 and Python 3 versions of Sphinx.  (Closes: #870758)
    + [CL] Check for binary packages that depend on Python 2.x.
      (Closes: #870822)
  * checks/scripts.pm:
    + [CL] Correct false positives in
      unconditional-use-of-dpkg-statoverride by detecting "if !" as a
      valid shell prefix.  (Closes: #869587)
    + [CL] Check for missing calls to dpkg-maintscript-helper(1) in
      maintainer scripts.  (Closes: #872042)
    + [CL] Check for packages using sensible-utils without declaring a
      dependency after its split from debianutils.  (Closes: #872611)
    + [CL] Warn about scripts using "nodejs" as an interpreter now that
      nodejs provides /usr/bin/node.  (Closes: #873096)
    + [BR] Add a statistic tag giving interpreter.
  * checks/testsuite.{desc,pm}:
    + [CL] Remove recommendations to add a "Testsuite: autopkgtest" field
      to debian/control as it is added when needed by dpkg-source(1)
      since dpkg 1.17.1.  (Closes: #865531)
    + [CL] Warn if we see an unnecessary "Testsuite: autopkgtest" header
      in debian/control.
    + [NT] Recognise "autopkgtest-pkg-go" as a valid test suite.
    + [CL] Recognise "autopkgtest-pkg-elpa" as a valid test suite.
      (Closes: #873458)
    + [CL] Recognise "autopkgtest-pkg-octave" as a valid test suite.
      (Closes: #875985)
    + [CL] Update the description of unknown-testsuite to reflect that
      "autopkgtest" is not the only valid value; the referenced URL
      is out-of-date (filed as #876008).  (Closes: #876003)

  * data/binaries/embedded-libs:
    + [RG] Detect embedded copies of heimdal, libgxps, libquicktime,
      libsass, libytnef, and taglib.
    + [RG] Use an additional string to detect embedded copies of
      openjpeg2.  (Closes: #762956)
  * data/fields/name_section_mappings:
    + [BR] node- package section is javascript.
    + [CL] Apply patch from Guillem Jover to add more section mappings.
      (Closes: #874121)
  * data/fields/obsolete-packages:
    + [MR] Add dh-systemd.  (Closes: #872076)
  * data/fields/perl-provides:
    + [CL] Refresh perl provides.
  * data/fields/virtual-packages:
    + [CL] Update data file from archive. This fixes a false positive for
      "bacula-director".  (Closes: #835120)
  * data/files/obsolete-paths:
    + [CL] Add note to /etc/bash_completion.d entry regarding stricter
      filename requirements.  (Closes: #814599)
  * data/files/privacy-breaker-websites:
    + [BR] Detect custom donation logos like apache.
    + [BR] Detect generic counter website.
  * data/scripts/interpreters:
    + [CL] Add node as a known interpreter. Thanks to Julien Puydt for the
      bug report.  (Closes: #872699)
  * data/spelling/corrections:
    + [CL] Avoid false positives in spelling-error-in-{binary,manpage} for
      "CAs" which was annoying for cryptographic software.  (Closes: #871791)
  * data/standards-version/release-dates:
    + [CL] Add 4.0.1 and 4.1.0 as known standards versions.
      (Closes: #875509)

  * debian/control:
    + [CL] Mention Debian Policy v4.1.0 in the description.
    + [CL] Add myself to Uploaders.
    + [CL] Drop unnecessary "Testsuite: autopkgtest"; this is implied from
      debian/tests/control existing.

  * commands/info.pm:
    + [CL] Add a --list-tags option to print all tags Lintian knows about.
      Thanks to Rajendra Gokhale for the suggestion.  (Closes: #779675)
  * commands/lintian.pm:
    + [CL] Apply patch from Maia Everett to avoid British spelling when
      using en_US locale.  (Closes: #868897)

  * lib/Lintian/Check.pm:
    + [CL] Stop emitting {maintainer,uploader}-address-causes-mail-loops
      for @packages.debian.org addresses.  (Closes: #871575)
  * lib/Lintian/Collect/Binary.pm:
    + [NT] Introduce an "auto-generated" argument for "is_pkg_class".
  * lib/Lintian/Data.pm:
    + [CL] Modify Lintian::Data's "all" to always return keys in insertion
      order, dropping dependency on libtie-ixhash-perl.

  * helpers/coll/objdump-info-helper:
    + [CL] Apply patch from Steve Langasek to accommodate binutils 2.29
      outputting symbols in a different format on ppc64el.
      (Closes: #869750)

  * t/tests/fields-perl-provides/tags:
    + [CL] Update expected output to match new Perl provides.
  * t/tests/files-privacybreach/*:
    + [CL] Add explicit test for packages including external fonts via
      the Google Font API. Thanks to Ian Jackson for the report.
      (Closes: #873434)
    + [CL] Add explicit test for packages including external fonts via
      the Typekit API via <script/> HTML tags.
  * t/tests/*/desc:
    + [CL] Add missing entries in "Test-For" fields to make
      development/testing workflow less error-prone.

  * private/generate-tag-summary:
    + [CL] git-describe(1) will usually emit 7 hexadecimal digits as the
      abbreviated object name.  However, as this can be user-dependent,
      pass --abbrev=0 to ensure it does not vary between systems.  This
      also means we do not need to strip it ourselves.
  * private/refresh-*:
    + [CL] Use deb.debian.org as the default mirror.
    + [CL] Update locations of Contents-<arch> files; they are now
      namespaced by distribution (eg. "main").

 -- Chris Lamb <lamby@debian.org>  Wed, 20 Sep 2017 09:25:06 +0100

lintian (2.5.52) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - appstream-metadata-in-legacy-location
      - appstream-metadata-legacy-format
      - appstream-metadata-malformed-modalias-provide
      - appstream-metadata-missing-modalias-provide
      - copyright-contains-automatically-extracted-boilerplate
      - copyright-year-in-future
      - debian-rules-sets-DEB_BUILD_OPTIONS
      - elf-maintainer-script
      - emacsen-common-without-dh-elpa
      - file-contains-fixme-placeholder
      - gobject-instrospection-package-missing-depends-on-gir-depends
      - manpage-has-overly-generic-name
      - orig-tarball-missing-upstream-signature
      - package-installs-deprecated-upstart-configuration
      - udev-rule-missing-subsystem
      - udev-rule-missing-uaccess
      - udev-rule-unreadable
      - unconditional-use-of-dpkg-statoverride
      - useless-autoreconf-build-depends
    + Removed:
      - copyright-contains-dh-make-perl-boilerplate
      - package-depends-on-multiple-tkx-versions
      - restriction-formula-with-debhelper-without-debhelper-version
      - restriction-formula-without-versioned-dpkg-dev-dependency

  * checks/appstream-metadata.{desc,pm}:
    + [NT] New check by Petter Reinholdtsen.
  * checks/changelog-file.desc:
    + [AB] Fix typo "%gt;" vs "&gt;".
    + [CL] Expand the rationale for the
      latest-debian-changelog-entry-without-new-date tag to mention
      possible implications for SOURCE_DATE_EPOCH/reproducible builds.
  * checks/control-file.pm:
    + [NT] Remove check for missing versioned build-depends for dpkg
      and debhlper when using Build-Profiles.  The necessary versions
      are now in oldstable.
    + [CL] Add check for GObject Introspection packages that are missing
      binary dependencies on ${gir:Depends}.  (Closes: #860801)
  * checks/changes-file.{desc,pm}:
    + [CL] Check for the presence of an .asc signature if an upstream
      signing key is present.  (Closes: #833585)
  * checks/copyright-file.{desc,pm}:
    + [CL] Rename copyright-contains-dh-make-perl-boilerplate to
      copyright-contains-automatically-extracted-boilerplate as it can
      be generated by other tools such as dh-make-elpa. Thanks to Sean
      Whitton for the report. (Closes: #841832)
    + [CL] Check for years that are later than the last entry added to
      debian/changelog.  (Closes: #807461)
  * checks/cruft.{desc,pm}:
    + [CL] Clarify language of source-contains-prebuilt-ms-help-file
      description; there exists free software to generate .chm files.
    + [CL] Don't emit source-contains-prebuilt-ms-help-file for files
      generated by Halibut. (Closes: #867673)
    + [CL] Move r-data-without-readme-source to check the source package,
      no the binary; the expected README.source files are not installed
      in binary packages. (Closes: #866322)
    + [CL] Apply patch from Dylan Aïssi to also check for .RData files
      (not just .Rdata) files in r-data-without-readme-source.
      (Closes: #868178)
    + [CL] Check for "FIXME" and similar placeholders in various files
      under debian/. (Closes: #846009)
  * checks/debhelper.{desc,pm}:
    + [CL] Check for useless build-dependencies on dh-autoreconf or
      autotools-dev under compat levels 10 or higher.  (Closes: #844191)
  * checks/elpa.{desc,pm}:
    + [NT] Apply patch from Sean Whitton to add elpa related checks.
      (Closes: #867042)
  * checks/fields.{desc,pm}:
    + [NT] Remove check for missing versioned build-depends for dpkg
      and debhlper when using Build-Profiles.  The necessary versions
      are now in oldstable.
    + [NT] Drop check for depending on multiple versions of tkx as
      tkx does not seem to be in Debian any longer.
  * checks/files.pm:
    + [CL] Add .yml to the list of file extensions to avoid false
      positives when emitting extra-license-file, with testcase. Thanks
      to Rene Engelhard for the report.  (Closes: #856137)
    + [CL] Check for packages containing upstart configuration under
      /etc/init. Thanks to Paul Wise for the report.  (Closes: #825348)
  * checks/init.d.desc:
    + [CL] Add an example snippet to explain how to prevent emission
      of init.d-script-sourcing-without-test.
  * checks/manpages.{desc,pm}:
    + [CL] Check for overly-generic filenames such as README.3pm.gz.
      (Closes: #792846)
  * checks/menu-format.desc:
    + [ADB] Fix formatting of desktop-entry-lacks-icon-entry
  * checks/scripts.desc:
    + [CL] Upgrade new-package-should-not-package-python2-module from
      I: to W:. See #829744 for more info.
    + [CL] Clarify wording in new-package-should-not-package-python2-module
      to make the justification clearer.
    + [CL] Check for calls to dpkg-statoverride --add without a
      corresponding --list.  (Closes: #652963)
    + [CL] Add missing "contains" verb to the description of the
      debhelper-autoscript-in-maintainer-scripts tag.
    + [CL] Emit new "elf-maintainer-script" classification tag if
      debian/postinst (etc.) is an ELF binary.
  * checks/rules.desc:
    + [CL] Clarify wording in debian-rules-parses-dpkg-parsechangelog to
      make the justification clearer.  (Closes: #865882)
    + [CL] Check for files setting DEB_BUILD_OPTIONS instead of
      DH_BUILD_MAINT_OPTIONS. (Closes: #833691)
  * checks/udev.{desc,pm}:
    + [NT] New check by Petter Reinholdtsen.
  * checks/watch-file.pm:
    + [CL] Factor out hard-coded list of possible upstream key locations
      to the "common/signing-key-filenames" Lintian::Data resource.
    + [CL] Add "repack" (along with "dfsg" etc.) to identify a repacked
      upstream tarball.  (Closes: #871957)

  * collection/scripts:
    + [CL] Check that non-ELF maintainer scripts start with #!.
      (Closes: #843428)

  * commands/lintian.pm:
    + [NT] Attempt to clean up on SIGTERM (like with SIGINT).
    + [CL] Allow the use of suppress-tags=<tag>[,<tag>[,<tag>]] in
      lintianrc. (Closes: #764486)
  * commands/reporting-html-reports:
    + [NT] Enable re-use of the memory for the maintainer mapping once the
      log file as been parsed.
    + [CL] Consistently use the same "Debian style" RFC 822 date format for
      both "Mirror timestamp" and "Last updated" on the index page.
      (Closes: #828720)
  * commands/reporting-sync-state:
    + [NT] Re-encode checksums into base64 encoded strings (from hex).
      This reduces size per checksum by about ~30% (disk and memory).  This
      reduction is also applicable to other reporting tools that loads the
      harness cache.

  * data/cruft/non-free-files:
    + [CL] Match more Lena Söderberg images. Thanks to Lumin
      <cdluminate@gmail.com> and Dylan Aïssi <bob.dybian@gmail.com>.
      (Closes: #827941)
  * data/fields/build-profiles:
    + [NT] Add patch from Mattia Rizzolo to update the list of known build
      profiles, adding «nolua» and «noruby».
  * data/spelling/corrections:
    + [AB] Remove "iff". It's a valid English word. (Closes: #865055)

  * debian/control:
    + [NT] Add (Build-)Depends on libxml-simple-perl for the new
      appstream-metadata check.
    + [NT] Apply patch from Sean Whitton to add a Build-Depends on dh-elpa
      for a test.
    + [NT] Prefer default-jdk-headless to default-jdk when available.
  * debian/rules:
    + [JW, NT] Post process HTML docmentation to set the charset to UTF-8,
      which fixes mojibake in the Debian Policy Manual links.  Thanks to
      Paul Hardy for finding a solution to the problem.
      (Closes: #802721)
    + [NT] Override dh_autoreconf tools as they are not used (but need to
      scan over all files in the source package).

  * lib/Lintian/Collect/Source.pm:
    + [CL] Improve support for "3.0 (git)" packages. They are still marked
      as unsupported-source-format as they are not accepted by the Debian
      archive.  (Closes: #605999)
  * lib/Lintian/Util.pm:
    + [NT] Fix uninitialized warning if a fork call fails.

  * profiles/debian/main.profile:
    + [NT] Enable appstream-metadata + udev check by default.
      (Closes: #841670)

  * t/tests/spelling-general/debian/debian/copyright:
    + [CL] Add regression test for #844166.

 -- Niels Thykier <niels@thykier.net>  Sun, 23 Jul 2017 07:18:06 +0000

lintian (2.5.51) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-control-has-dbgsym-package
      - debian-control-has-obsolete-dbg-package
      - debian-rules-parses-dpkg-parsechangelog
      - desktop-entry-lacks-icon-entry
      - distribution-and-changes-mismatch
      - distribution-and-experimental-mismatch
      - gir-in-arch-all-package
      - gir-missing-typelib-dependency
      - gir-section-not-libdevel
      - multiarch-foreign-shared-library
      - r-data-without-readme-source
      - readme-source-is-dh_make-template
      - repeated-trigger-name
      - systemd-service-file-refers-to-obsolete-bindto
      - testsuite-autopkgtest-missing
      - typelib-in-arch-all-package
      - typelib-missing-gir-depends
      - typelib-not-in-multiarch-directory
      - typelib-package-name-does-not-match
      - typelib-section-not-introspection
      - unknown-trigger
      - unreleased-changes
      - uses-implicit-await-trigger
    + Removed:
      - ancient-autotools-helper-file
      - init.d-script-missing-dependency-on-remote_fs
      - maintainer-script-should-not-use-ancient-dpkg-epoch-check
      - maintainer-script-should-not-use-ancient-dpkg-multi-conrep-check
      - outdated-autotools-helper-file
      - package-would-benefit-from-build-arch-targets
      - suidregister-used-in-maintainer-script

  * checks/binaries.{desc,pm}:
    + [NT] Apply patch from Adrian Bunk to bump severity of the
      hardening-no-pie to a W-tag and improve the tag description.
      (Closes: #856155)
    + [NT] Apply patches from Michael Stapelberg to improve handling
      of golang binaries.  (Closes: #857654, #857655, #857656)
  * checks/changelog-file.pm:
    + [BR] Check also bug over 1000000 as improbable. Bug below
      50004 are not archived and are thus improbable.
  * checks/changes-file.{desc,pm}:
    + [BR] Apply patch by Simon McVittie to detect unreleased package
      uploaded to unstable and  mismatched .changes and
      Changes: distribution.  (Closes: #540294).
  * checks/control.{desc,pm}:
    + [BR] Detect dbgsym package in control file.  (Closes: #858117).
    + [BR] Warn about obsolete -dbg package.
  * checks/cruft.{desc,pm}:
    + [BR] Document long line tagged source-is-missing as a feature
      not a bug.  (Closes: #849470).
    + [BR] Correct a typo in description of tag
      license-problem-convert-utf-code.
    + [BR] Avoid a false positive in gfdl file detection.
    + [NT] Drop tags about outdated autotools config.guess and
      config.sub files.  These days debhelper automatically updates
      them when people use the dh-sequencer and the check is not
      geared for more thorough analysis.  (Closes: #848878)
    + [CL] Check that README.source is not the dh_make template.
      (Closes: #633850)
  * checks/debian-readme.{desc,pm}:
    + [NT] Locate the README.Debian using the index rather than relying
      on a collection.
  * checks/fields.pm:
    + [BR] Enforce naming convention for debug package.  (Closes: #645455).
    + [NT] Avoid proposing "/git/git/" as a part of the canonical URL for
      anonscm.debian.org.  Thanks to Andreas Beckmann for spotting the
      bug.  (Closes: #851215)
    + [NT] Apply patch from Dylan Aïssi to recommend "javascript" section
      for libjs packages.  Previously, lintian would recommend "web".
      (Closes: #863386)
  * checks/files.pm:
    + [BR] Do not report duplicates for package-installs-apt-preferences
      and package-installs-apt-sources.  (Closes: #814521).
    + [NT] Apply patch from Helmut Grohne to detect some possible invalid
      uses of "Multi-Arch: foreign".  (Closes: #856975)
    + [NT] Improve the empty-binary-package tag by adding more common
      files that should be ignored.  Thanks to Helmut Grohne for all the
      research behind it.  (Closes: #856857)
    + [BR] Detect symlink pointing to builddir.  (Closes: #860419)
    + [CL] Detect RData without README.source.  (Closes: #815233)
    + [NT] Remove work around for segmentation faults in t1disasm from
      t1utils (<< 1.38-4~).  Given Jessie is the minimum supported Debian
      version, we can now assume t1utils to be (>= 1.38-4).
  * checks/gir.{desc,pm}:
    + [NT] Add check for gir packages written by Simon McVittie.
      (Closes: #695345)
  * checks/init.d.{desc,pm}:
    + [NT] Remove check for init.d scripts accessing /usr without a
      $remote_fs dependency as /usr must now be mounted by the initramfs.
      (Closes: #829649)
  * checks/menu-format.{desc,pm}:
    + [NT] Update the reference to Desktop Entry Specification to point
      to version 1.1.
    + [NT] Apply patch from Laurent Bigonville to check desktop files
      for missing "Icon" field.  (Closes: #854132)
  * checks/rules.{desc,pm}:
    + [NT] Drop "package-would-benefit-from-build-arch-targets".  The
      dpkg-buildpackage refuses to build packages that trigger this tag.
      Also, the tag implies two other "W" tags so contributors are still
      notified of a potential problem.
    + [CL] Check for manual parsing of dpkg-parsechangelog output now that
      we have /usr/share/dpkg/pkg-info.mk.
  * checks/scripts.{desc,pm}:
    + [NT] Apply patch from Christopher Hoskin to except -doc packages
      from the "new-package-should-not-package-python2-module" tag.
      (Closes: #855243)
    + [NT] Remove references to tags about calling suidregister,
      dpkg --assert-working-epoch, and dpkg --assert-multi-conrep from
      maintainer scripts.
  * checks/systemd.{desc,pm}:
    + [NT] Apply patch from Michael Biebl to warn about deprecated
      "BindTo" option in systemd service files.  (Closes: #857194)
  * checks/testsuite.{desc,pm}:
    + [NT] Apply patch from Lucas Kanashiro to add a tag for recommending
      packagers to create an autopkgtest for their package.
      (Closes: #859467)
    + [NT] Fix false-positive "missing-runtime-test-file" when the
      "Tests-Directory" field is set to a single dot.  Thanks to
      Ian Jackson for reporting the issue.  (Closes: #849880)
  * checks/triggers.{desc,pm}:
    + [NT] New check.  (Closes: #698723)
  * checks/upstream-metadata.pm:
    + [JW, NT] Disable YAML parsing of upstream metadata file as the YAML
      parser executes code.  (Closes: #861958, CVE-2017-8829)
  * checks/watch-file.pm:
    + [NT] Apply patch from Alexander Kulak to handle whitespace correctly
      in the options in v4 watch files.  (Closes: #861599)

  * coll/debian-readme{,desc}:
    + [NT] Remove.  Merge what little functionality it offers into the
      debian-readme check.

  * commands/{lintian => lintian.pm}:
    + [NT] Turn the lintian frontend into a dplint command module to avoid
      code duplication.
  * commands/reporting-*:
    + [NT] Rewrite the config file handling.  The reporting framework now
      uses a YAML configuration file instead of a perl script.
    + [NT] Support processing packages from multiple archives and different
      suites in these archives.  This enables lintian.d.o to also process
      dbgsym packages.  (Closes: #856312)

  * data/changes-file/known-dists:
    + [NT] Add buster and remove squeeze.
  * data/common/source-fields:
    + [NT] Add new "Testsuite-Restrictions" field.
  * data/files/privacy-breaker-websites:
    + [BR] Add digit.com as tracker.
    + [BR] Add static.ak.fbcdn.net as facebook.
    + [BR] Add forkme as logo.
  * data/files/standard-files:
    + [NT] Add more common files based on feedback from Helmut Grohne.
  * data/obsolete-sites/obsolete-sites:
    + [BR] Apply patch from Hideki Yamane in order to warn about
      fedorahosted.  (Closes: #856954).
    + [NT] Apply patch from Hideki Yamane to warn about codeplex.com
      closing down.  (Closes: #859412).
  * data/scripts/interpreters:
    + [NT] Add stap as a known interpreter.  Thanks to gustavo panizzo
      for the suggestion.  (Closes: #858326)
  * data/scripts/maintainer-script-bad-command:
    + [NT] Remove check for suidregister, dpkg --assert-working-epoch, and
      dpkg --assert-multi-conrep.  None of these trigger any tags in the
      archive any longer and the (new) features have been available for
      8+ years.
  * data/spelling/corrections:
    + [NT] Apply patches from Edward Betts to fix bugs in the correction
      word lists.  (Closes: #852005, #852084)
    + [NT] Apply patch from Edward Betts to remove corrections for
      "targetted" and "targetting" as they are valid alternative
      spellings in AU.  (Closes: #852145)
    + [EB] Add some more spelling corrections.  (Closes: #852369, #852404,
      #852407, #852409, #852410, #852411, #852413, #852414, #852416,
      #852419, #852421, #852426)
    + [CL] Add "none were" -> "none was" multiword spelling correction.
      (Closes: 860558)
  * data/standards-version/release-dates:
    + [NT] Add 4.0.0 as a known standards version along with its release
      date.

  * debian/control:
    + [NT] Add explicit (Build-)Depends on dpkg (>= 1.17.14) to make it
      explicit that we no longer support Wheezy or older.
    + [NT] Drop versioned dependencies that are there to assist to
      Wheezy.
    + [NT] Mention Debian Policy v4.0.0 in the description.
    + [NT] Bump Standards-Version to 4.0.0 - no changes required.
  * debian/copyright:
    + [EB] Add Edward Betts.

  * frontend/dplint:
    + [NT] Ensure all include directories are absolute before passing
      them on to the actual command.
    + [NT] Work around a "Bizarre Copy" bug in perl that could trigger
      on errors.

  * lib/Lintian/CheckScript.pm:
    + [NT] Remove fallback code for "old" style "pm"-less checks.
  * lib/Lintian/Util.pm:
    + [NT] Drop dpkg_deb_has_ctrl_tarfile.  Lintian now assumes that
      dpkg 1.17.14 is available (provided by Debian jessie or later).

  * reporting/{config => config.yaml}:
    + [NT] Rewrite the reporting config template into the new YAML format.
  * reporting/graphs/tags.gpi:
    + [NT] Tweak tags.gpi so it works with gnuplot 5.
  * reporting/templates/{index.tmpl,lintian.css.tmpl}:
    + [NT] Update to support multiple archives.

  * t/*:
    + [NT] Drop "Test-Depends" from tests where the versions in Debian
      jessie will satisfy the dependency.
    + [NT] Update tests to fix FTBFS caused by dpkg-source now ignoring
      debian/files by default.  (Closes: #863020)
  * t/runtests:
    + [NT] Re-sort test output after running the "post_test" sed script
      on the output.  This prevent test failures caused by the order
      changing on different architectures prior to the sed script is run
      (assuming the sed script otherwise normalises the differences
      correctly).
  * t/tests/cruft-general-upstream/pre_upstream:
    + [EB] Fix failing tests by making the fake flash object more
      convincing.  The most recent version of libmagic uses a more precise
      definition of the data within a flash file.  (Closes: #852891)
  * t/tests/java-jars:
    + [NT] Provide a more convincing corrupt .zip file that also fools
      file 5.30.

  * vendors/ubuntu/main/data/changes-file/known-dists:
    + [CW] Add zesty.
    + [NT] Apply patch from "Unit 193" to add "devel" as a known Ubuntu
      distribution.  (Closes: #861509)
    + [NT] Add artful.

 -- Niels Thykier <niels@thykier.net>  Sun, 18 Jun 2017 07:57:57 +0000

lintian (2.5.50) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - invalid-value-in-built-using-field
      - license-problem-convert-utf-code
      - new-package-should-not-package-python2-module
      - php-script-but-no-php-cli-dep
      - php-script-with-unusual-interpreter
    + Removed:
      - php-script-but-no-phpX-cli-dep

  * checks/binaries.{desc,pm}:
    + [NT] Handle RUNPATH like we handle RPATH.  (Closes: #844903)
    + [NT] Update hardening-no-pie description to reflect that
      PIE is on by default in Debian.
  * checks/cruft.desc:
    + [BR] Detect utf convert non free code.
      (Closes: #843595)
  * checks/deb-format.pm:
    + [NT] Permit uncompressed {control,data}.tar members plus xz
      compressed control.tar files in deb files.  Thanks to
      Guillem Jover for the report.  (Closes: #834867)
  * checks/debhelper.pm:
    + [BR] Apply patch from Yann Soubeyrand :
      "Allow debhelper "--with" addons to be quoted".
      (Closes: #839822)
  * checks/files.{desc,pm}:
    + [NT] Check for invalid clauses in "Built-Using" fields.  Thanks to
      Andrey Rahmatullin for the suggestion.  (Closes: #847558)
    + [NT] Apply patch from Josh Triplett to add new sections to
      descriptions.
  * checks/files.desc:
    + [NT] Document that we no longer accept "virtual packages"
      for deliberately empty packages.  If your package receives
      an "empty-binary-package" tag, please replace the use of
      "virtual package".
  * checks/{files,scripts}.pm:
    + [NT] Apply patch from Josh Triplett to exclude files under
      /usr/share/cargo/registry/ from a few checks as that directory
      contains unmodified upstream sources.  (Closes: #845201)
  * checks/manpages.pm:
    + [JW, NT] Fix false negative manpage-named-after-build-path
      for packages built by sbuild.  (Closes: #801760)
  * checks/scripts.{desc,pm}:
    + [JW, NT] Apply patch from Antonio Ospite that updates the
      test for php scripts without a php-cli dependency.  Thanks
      to Ondřej Surý for the report and Mathieu Parent for the
      initial patch.  (Closes: #818962)
    + [CL, NT] Warn about new source packages providing a python2
      package as EOL for python2 is expected in 2020, which is
      before buster's expected EOL.  (Closes: #829744)

  * collection/objdump-info.desc:
    + [NT] Bump version due to RUNPATH collection.

  * commands/lintian:
    + [NT] Deprecate --fail-on-warnings, which will be removed in
      Debian/buster.

  * data/binaries/embedded-libs:
    + [BR] Allow openssl1.0 as source package.  (Closes: #843406).
  * data/debhelper/dh_commands-manual:
    + [NT] Apply patch from Piotr Ożarowski that ensure that
      consumers of dh_python2 Build-Depends on dh-python.
      (Closes: #740161)
  * data/fields/archive-sections:
    + [NT] Apply patch from Josh Triplett to add javascript and
      rust sections.  (Closes: #847535)
  * data/files/privacy-breaker-websites:
    + [BR] Detect more logos.
  * data/scripts/interpreters:
    + [NT] Apply patch from Antonio Ospite to correct a false
      positive warning for python scripts using python2 in the
      shebang line.  Thanks to Per Andersson for the report and
      Luca Boccassi for the initial patch for solving this.
      (Closes: #743599)
  * data/spelling/corrections:
    + [PW] Add more corrections.
  * data/spelling/corrections-case:
    + [EG] Correct spelling of Lua (Closes: #842781)

  * helpers/coll/objdump-info-helper:
    + [NT] Extract RUNPATH from binaries as well.

  * lib/Lintian/Collect/Binary.pm:
    + [NT] Expose RUNPATH when set in the binary.
    + [NT] Remove "virtual package" from the list of phrases
      marking a package as a meta-package.  Thanks to Stuart
      Prescott for the report.  (Closes: #685029)

  * profiles/kali/main.profile:
    + [NT] Add a profile for Kali Linux.  Thanks to Raphaël
      Hertzog for the report.  (Closes: #847318)

  * vendors/kali/main/data/changes-file/known-dists:
    + [NT] Add data file for Kali Linux.

 -- Niels Thykier <niels@thykier.net>  Mon, 26 Dec 2016 16:07:20 +0000

lintian (2.5.49) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - homepage-for-bioconductor-package-not-canonical

  * checks/debhelper.desc:
    + [CL] Drop double leading spaces in includes-maint-script-parameters
      paragraph that was causing indentation when rendered on lintian.d.o.
  * checks/fields.{pm,desc}:
    + [NT] Apply patch from Dylan Aïssi to tag non-canonical uses of
      the bioconductor homepage in the Homepage field.  (Closes: #839874)
    + [JW] Apply patch from Dylan Aïssi to tag r-other packages not in
      section "gnu-r".  (Closes: #841455)
  * checks/init.d.pm:
    + [JW] Don't require version constraint for lsb-base dependencies.
      The needed version has been available for many stable releases.
  * checks/shared-libs.pm:
    + [JW] Don't complain about executable bit for ld.so shipped in
      multi-arch directories.
    + [JW] Don't complain about missing SONAME for position-independent
      executables.  Thanks to Reuben Thomas for the bug report.
      (Closes: #731987)
    + [JW] Check for PT_GNU_STACK existence on all architectures.
  * checks/source-copyright.pm:
    + [RA, JW] Fix handling punctuation characters in license expressions
      in machine-readable copyright files.  (Closes: #841356)
  * checks/watch-file.pm:
    + [JW] Assume that watch files containing the pgpmode option (different
      than "none") verify upstream signature.  Thanks to Robert Luberda for
      the bug report.  (Closes: #841000)

  * data/cruft/non-distributable-files:
    + [BR] Add some rapidjson files.
  * data/debhelper/compat-level:
    + [NT] Bump the deprecated debhelper compat level to match the one
      in debhelper.
  * data/files/privacy-breaker-tag-attr:
    + [BR] Apply patch from Frederic Bonnard detecting audio tags.
      (Closes: #840009)
  * data/spelling/corrections*:
    + [JW, PW] Add more corrections.

  * lib/Lintian/Unpacker.pm:
    + [NT] Use the new "do_fork()" sub to ensure works do not inherit
      the default signal handler, which could allow any number of workers
      to promote themselves to independent "masters" - effectively
      creating a fork-bomb with an ill-timed signal.
  * lib/Lintian/Util.pm:
    + [NT] Add a "do_fork()" sub to ensure signal handling is
      reset for child processes.
    + [NT] Add $PKGVERSION_REGEX variable containing a regex matching
      valid versions.

  * t/tests/shared-libs-non-pic-i386/debian/Makefile:
    + [JW] Pass -fno-PIE and -fno-pie to GCC, so that the test works even
      when the compiler enables PIE by default.  (Closes: #841442)

 -- Niels Thykier <niels@thykier.net>  Sat, 22 Oct 2016 13:42:28 +0000

lintian (2.5.48) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - file-name-contains-wildcard-character
      - homepage-for-cran-package-not-canonical
      - init.d-script-needs-depends-on-lsb-base
      - maintscript-includes-maint-script-parameters
    + Removed:
      - hardening-no-stackprotector

  * checks/binaries.{desc,pm}:
    + [NT] Rewrite/embed the necessary bits from hardening-check to
      implement the default hardening-no-* checks directly in lintian.
      This is because hardening-check appears to be losing its
      "home" with the coming removal of hardening-wrapper and
      hardening-includes.  (Closes: #836756)
    + [JW] Remove the hardening-no-stackprotector tag.
    + [NT] Allow "golang-any" as an alternative to "golang-go" in
      Build-Depends for detecting golang binaries.  Thanks to
      Martín Ferrari for the report and the initial patch.
      (Closes: #839228)
  * checks/changelog-file.{desc,pm}:
    + [JW] Bump threshold for improbable bug number to 2000.
  * checks/control-file.{desc,pm}:
    + [JW] Add references to tags related to build profiles.
    + [JW] Relax Build-Profiles syntax check to allow (almost) any
      characters in profile names.  Thanks to Ximin Luo for the bug report.
      (Closes: #839086)
    + [JW] Add support for pkg.<srcpkg>.<anything> build profiles.
  * checks/debhelper.pm:
    + [JW] Ignore comments in debian/rules.
    + [JW] Fix parsing rule targets in lines containing multiple colons.
      Thanks to Andreas Beckmann for the bug report.  (Closes: #838246)
    + [CL] Check for .maintscript files that include
      "maint-script-parameters".  (Closes: #838195)
    + [NT] Fix typo that prevented lintian from detecting uses of the
      dhmk build-system.
  * checks/fields.{desc,pm}:
    + [JW] Fix typo.
    + [JW] Add references to tags related to build profiles.
    + [JW] Add support for pkg.<srcpkg>.<anything> build profiles.
    + [JW] Demote tags for build-depends related to build profiles to
      pedantic, as the required packages are available in stable.
      Thanks to Helmut Grohne for the bug report.  (Closes: #831633)
    + [NT] Apply patch from Dylan Aïssi to tag r-bioc packages not in
      section "gnu-r".  (Closes: #839263)
    + [NT] Apply patch from Dylan Aïssi to tag non-canonical uses of
      the cran homepage in the Homepage field.  (Closes: #839553)
  * checks/files.{desc,pm}:
    + [CL, NT] Tag usages of shell wildcard characters in file names.
      (Closes: #814326)
  * checks/init.d.{desc,pm}:
    + [CL, NT]: Emit a tag for initscripts that source the
      /lib/lsb/init-functions utility functions without declaring the
      corresponding dependency on lsb-base (>= 3.0-6).
      (Closes: #838997)
  * checks/shared-libs.desc:
    + [JW] Fix typos.
  * checks/testsuite.pm:
    + [JW] Apply patch from Sean Whitton to recognise autopkgtest-pkg-elpa
      as a valid value for the Testsuite field.  (Closes: #837801)

  * collection/hardening-info:
    + [NT] Removed.

  * data/fields/build-profiles:
    + [JW] Add new profiles: nogolang, nojava, noperl, nopython, noudeb.
  * data/fields/obsolete-packages:
    + [NT] Apply patch from Otto Kekäläinen to assist with the transition
      to the "default-mysql-*" packages.  (Closes: #838603)
  * data/fields/perl-provides:
    + [NT] Refresh perl provides.
  * data/files/js-libraries:
    + [BR] Apply patch from Jean-Michel Vourgère to add detection of
      libjs-jquery-migrate-1.  (Closes: #823627)
  * data/files/php-libraries:
    + [JW] Apply patch from Marcelo Jorge Vieira to update package name
      for php-gettext.  (Closes: #837502)
  * data/spelling/corrections:
    + [JW, PW] Add more corrections.

  * debian/control:
    + [NT] Drop dependencies on hardening-includes as we no longer need
      hardening-check.
  * debian/copyright:
    + [JW] Add Paul Wise.
    + [JW] Remove now-unneeded separate entry for spellintian.t.
    + [JW] Update copyright years.
    + [CL] Add Chris Lamb.

  * helpers/coll/hardening-info-helper:
    + [NT] Removed.
  * helpers/coll/objdump-info-helper:
    + [NT] Expose a few more bits from readelf needed to implement some
      of the hardening checks.

  * lib/Lintian/Collect/Binary.pm:
    + [NT] Expose a few more bits from readelf needed to implement some
      of the hardening checks.

  * profiles/debian/extra-hardening.profile:
    + [NT] Removed - we no longer support the stackprotector tag.
  * profiles/debian/ftp-master-auto-reject.profile:
    + [JW] Refresh against current rule set.
  * profiles/debian/main.profile:
    + [JW] Stop disabling the hardening-no-stackprotector tag.

  * t/scripts/spellintian.t:
    + [JW] Relicense as GPLv2+, like the rest of Lintian.

 -- Niels Thykier <niels@thykier.net>  Tue, 04 Oct 2016 19:37:17 +0000

lintian (2.5.47) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - package-contains-python-coverage-file

  * checks/changelog-file.desc:
    + [JW] Fix typo.
  * checks/copyright-file.pm:
    + [JW] Stop using Data::Alias.  Thanks to Niko Tyni for the bug report.
      (Closes: #834797)
  * checks/cruft.desc:
    + [JW] Fix typo.
  * checks/debhelper.pm:
    + [NT] Remove logic for CDBS creating a compat file when it is absent
      as debhelper now requires a compat file unconditionally.
    + [NT] Support the new named compat levels in debhelper.
    + [NT] Apply patch from Chris Lamb to improve the tag for typoed
      debhelper override targets.  (Closes: #834370)
  * checks/duplicate-files.desc:
    + [JW] Fix typo.
  * checks/fields.{desc,pm}:
    + [JW] Fix typos.
    + [JW] Escape dots in some regexps.
    + [NT] Apply patch from Chris Lamb to check that libjs-* packages
      are in the "web" section.  (Closes: #798983)
  * checks/files.{desc,pm}:
    + [JW] Fix typos.
    + [NT] Apply patch from Chris Lamb to catch ".coverage" files in
      packages.  (Closes: #831864)
  * checks/java.desc:
    + [JW] Fix typo.
  * checks/patch-systems.desc:
    + [JW] Fix formatting of some filenames.
  * checks/phppear.{desc,pm}:
    + [JW] Fix typo.
    + [NT] Apply patch from Jochen Sprickerhof to skip this check if the
      package does not contain any php files.  (Closes: #805076)
  * checks/rules.desc:
    + [JW] Fix typo.
    + [JW] Fix tag description formatting.
  * checks/shared-libs.desc:
    + [JW] Fix typos.
  * checks/systemd.{desc,pm}:
    + [NT] Apply patches from Chris Lamb to fix some false positives with
      systemd-service-file-missing-install-key.  (Closes: #837057)

  * data/debhelper/compat-level:
    + [NT] Bump debhelper compat versions with the release of debhelper
      10.
  * data/debhelper/dh_{addons,commands}-manual:
    + [JW] Add dh-autoreconf, which is now a dependency of debhelper.
      Thanks to Michael Biebl for the bug report.  (Closes: #835449)
  * data/debhelper/named-compat-levels:
    + [NT] New file.
  * data/output/manual-references:
    + [JW] Refresh.
  * data/scripts/interpreters:
    + [JW] Add pypy as a known interpreter. Thanks to Sebastian Ramacher
      for the bug report.  (Closes: #836017)
  * data/spelling/corrections*:
    + [JW] Add more corrections.
      Thanks to Paul Wise for patches for some of them.

  * debian/control:
    + [JW] Drop now-unused libdata-alias-perl from (Build-)Depends.

  * lib/Lintian/Relation/Version.pm:
    + [NT] Apply change from Brendan O'Dea to avoid (implicitly) messing
      with the global APT "_config" object.  (Closes: #833656)

  * private/refresh-manual-refs:
    + [JW] Fix path to Debian policy for Java.

  * reporting/templates/head.tmpl:
    + [NT] Add subresource integrity fields to all <link> tags.
    + [NT] Add Content-Security-Policy header (via <meta http-equiv>).

 -- Niels Thykier <niels@thykier.net>  Sun, 11 Sep 2016 14:34:34 +0000

lintian (2.5.46) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - systemd-service-file-missing-install-key
      - typo-in-debhelper-override-target
    + Removed:
      - package-depends-on-lower-priority-package

  * checks/cruft.pm:
    + [NT] Ignore mentions of /usr/lib/perl5 in patches as they might
      be a way of fixing said mentions.  Thanks to Robert Luberda
      for reporting the bug.  (Closes: #802964)
  * checks/debhelper.{desc,pm}:
    + [JW] Apply patch from Chris Lamb to check for common typos in
      debian/rules target names.  (Closes: #832096)
    + [JW, NT] Add some more (indirect) "dh" build-systems.
      (Closes: #828773)
  * checks/files.desc:
    + [JW] Fix typos.
  * checks/group-checks.{desc,pm}:
    + [NT] Drop "lower priorities" check as the general consensus seems to
      be that priorities changes are mostly busy work.  Thanks to Dominic
      Hargreaves for the report.  (Closes: #823326)
  * checks/infofiles.desc:
    + [JW] Fix typo.
  * checks/java.pm:
    + [JW] Don't emit javalib-but-no-public-jars for transitional packages.
      Thanks to Jeremy Bicha for the bug report.  (Closes: #829047)
  * checks/manpages.desc:
    + [JW] Fix typos.
  * checks/phppear.desc:
    + [JW] Fix typos.
  * checks/scripts.pm:
    + [JW] Fix false positive unusual-interpreter when the script had
      "#!/usr/bin/env" shebang and the interpreter was shipped in the same
      package.  Thanks to Sergio Durigan Junior for the bug report and the
      initial patch.  (Closes: #828933)
  * checks/shared-libs.desc:
    + [JW] Fix typo.
  * checks/systemd.{desc,pm}:
    + [JW] Fix typos.
    + [JW, NT] Apply from Chris Lamb to check for a possibly missing
      "WantedBy" target in service files.  (Closes: #832771)
    + [JW, NT] Improve wording about the "systemd" sequence of a tag.
  * checks/version-substvars.desc:
    + [JW] Make maybe-not-arch-all-binnmuable a classification tag.
  * checks/watch-file.desc:
    + [JW] Fix typo.

  * collection/*:
    + [JW,NT] Remove "." from Perl's search path.  (Mitigates: #588017)

  * commands/{info.pm,lintian}:
    + [NT] Drop the necessary bits for supporting translated tag
      descriptions.
  * commands/lintian:
    + [NT,JW] Remove "." from Perl's search path.  (Mitigates: #588017)
  * commands/reporting-html-reports.pm:
    + [NT] Fix typo in named parameter that made the raw lintian.log
      unavailable on lintian.debian.org.  Thanks to Guillem Jover
      for reporting the issue.  (Closes: #828719)
    + [NT] Install the lintian log file as a resource so it can be
      handled (e.g. cached) like other resources.
  * commands/reporting-lintian-harness.pm:
    + [NT] Attempt to terminate the run timely if it overruns the time
      limit.
  * commands/reporting-sync-state.pm:
    + [NT] Remove redundant "area" field from all binary packages in
      the harness state cache.
    + [NT] Drop existing instances of the "sha1" field from all packages
      in the harness state cache.

  * data/common/source-fields:
    + [NT] Apply patch from Edward Betts to add Testsuite-Triggers as
      a known source field.  (Closes: #829545)
  * data/debhelper/*:
    + [NT] Refresh against unstable.
  * data/debhelper/dh_{addons,commands}-manual:
    + [JW, NT] Add the systemd sequence and related tools now that
      debhelper is taking over the dh-systemd helpers.  Thanks to
      Christian Hofstaedtler for the report.  (Closes: #830930)
  * data/fields/essential:
    + [JW] Add init-system-helpers; remove sysvinit and mktemp.  Thanks to
      Felipe Sateler for the bug report.  (Closes: #833015)
  * data/fields/obsolete-packages:
    + [NT] Remove "debmake" as the package is now reintroduced with a
      different purpose.  Thanks to Paul Wise for the report.
      (Closes: #827158)
  * data/files/fonts:
    + [NT] Refresh against unstable.
  * data/java/constants:
    + [NT] Bump known java-class versions.  Thanks to Hideki Yamane for
      the report.  (Closes: #829592)
  * data/scripts/interpreters:
    + [JW] Apply patch from Sergio Durigan Junior to add newLISP as a
      known interpreter.  (Closes: #828934)
  * data/spelling/corrections:
    + [JW] Add more corrections.

  * debian/control:
    + [NT] Drop now unnecessary po4a Build-Dependency.
  * debian/rules:
    + [NT] Drop code for handling translations.

  * doc/lintian.xml:
    + [JW] Fix typo.

  * frontend/dplint:
    + [JW,NT] Remove "." from Perl's search path.  (Mitigates: #588017)

  * helpers/coll/*:
    + [JW,NT] Remove "." from Perl's search path.  (Mitigates: #588017)

  * lib/*.pm:
    + [NT] Drop support for translations of tag descriptions.  It never
      got used.
  * lib/Lintian/*.pm:
    + [JW] Fix typos.
  * lib/Lintian/Tags.pm:
    + [JW, NT] Fix mojibake in UTF-8 encoded comments for overrides.
      (Closes: #833052)
  * lib/Lintian/Util.pm:
    + [NT] Shuffle the harness backlog a bit to reduce the risk of a lot
      of very large package groups being scheduled in the same run.

  * man/lintian.pod.in:
    + [JW] Fix typo.
    + [JW] Remove unneeded "file:" in front of a pathname.

  * po4a:
    + [NT] Drop as it was not used.

  * t:
    + [JW,NT] Update tests to work now that dpkg validates
      debian/tests/control.  (Closes: #829635)
    + [NT] Apply patch from Adam Conrad to make some tests work
      when the compiler uses -fPIE by default.

 -- Niels Thykier <niels@thykier.net>  Sat, 13 Aug 2016 19:53:23 +0000

lintian (2.5.45) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - build-depends-arch-without-arch-dependent-binary
      - debhelper-autoscript-in-maintainer-scripts
      - no-strong-digests-in-dsc
      - testsuite-dependency-has-unparsable-elements
    + Removed:
      - build-depends-arch-without-arch-dependant-binary
      - init.d-script-missing-lsb-description

  * checks/application-not-library.{desc,pm}:
    + [JW] Use HTTPS for Alioth URLs.
    + [AB] Don't emit application-in-library-section for packages starting
      with "cpan", not only "cpanplus" and "cpanminus".
  * checks/binaries.{desc,pm}:
    + [NT] Rewrite description for hardening-no-bindnow.  There
      is no references to why bindnow would cause issues.
    + [AB] Relax regexp for missing-dependency-on-perlapi to allow letters
      inside the API name. Thanks Niko Tyni! (Closes: #823437)
  * checks/debhelper.pm:
    + [NT] The /usr/share/R/debian/r-cran.mk file implies
      /usr/share/cdbs/1/rules/debhelper.mk.
  * checks/fields.{desc,pm}:
    + [JW] Fix typos.
    + [AB] Add new check for weak checksums in source packages:
      new tag no-strong-digests-in-dsc (Closes: #824916)
  * checks/files.desc:
    + [BR] Do not suggest unsupported Multi-arch: no.
      (Closes: #816455)
    + [JW] Fix typos.
  * checks/files.pm:
    + [JW] Fix false positive gzip-file-is-not-multi-arch-same-safe when
      processing multiple debs.  (Closes: #738444)
  * checks/info-files.desc:
    + [NT] Use "gzip -9n" rather than "gzip -9" in examples.
  * checks/init.d.{desc,pm}:
    + [JW] Fix typo.
    + [NT] Remove tag for missing long LSB description in init scripts.
      Thanks to Vincent Bernat for the report.  (Closes: #825193)
  * checks/manpages.desc:
    + [NT] Use "gzip -9n" rather than "gzip -9" in examples.
  * checks/patch-systems.pm:
    + [NT] Emit a separate tag for each patched file instead of bundling
      them all together.  This allows individual instances to be
      overridden.  Thanks to Nathan Summers for the report.
      (Closes: #541491)
  * checks/scripts.{desc,pm}:
    + [NT] Add tracking tag to trace auto-generated shell
      snippets in maintainer scripts.
  * checks/shared-libs.{desc,pm}:
    + [NT] Improve the description for missing ldconfig trigger
      to cover that debhelper will generally add it
      automatically.  Most packages will just need a rebuild.
    + [JW] Fix false positive dev-pkg-without-shlib-symlink for GCC runtime
      libraries.  Thanks to Matthias Klose for the bug report.
      (Closes: #823833)
  * checks/testsuite.{desc,pm}:
    + [NT] Apply patch from Ondřej Nový to add more known
      autodep8 test suites.  (Closes: #823088)
    + [JW] Update autopkgtest specification URL.
      Thanks to Mattia Rizzolo for the bug report.
    + [NT] Check for broken dependency fields in the autopkgtest control
      file.  Thanks to Jérémy Bobbio for the suggestion.
      (Closes: #795083)
  * checks/upstream-metadata.pm:
    + [JW] Include YAML validation error in the output.
  * checks/usrmerge.desc:
    + [JW] Use HTTPS for Alioth URL.

  * collection/*:
    + [NT] Always pass "-n" to "gzip".

  * commands/lintian:
    + [NT] Add ":utf8" layer to STDOUT.  Thanks to Michael
      Prokop for reporting the issue.  (Closes: #801296)
  * commands/reporting-html-reports.pm:
    + [NT] Remove "$COPY_DOCS" configuration option.  The
      html_reports now always copies the documentation.
  * commands/reporting-lintian-harness.pm:
    + [NT] Re-enable pedantic tags by default.  These were
      disabled in the previous release by mistake.

  * data/binaries/hardening-tags:
    + [JW] Refresh with dpkg-architecture 1.18.7.
  * data/common/{architectures,multiarch-dirs}:
    + [JW] Refresh with dpkg-architecture 1.18.7.
  * data/fields/perl-provides:
    + [NT] Refresh against Perl 5.22.
  * data/files/triplets:
    + [JW] Refresh with dpkg-architecture 1.18.7.
  * data/shared-libs/ldconfig-dirs:
    + [JW] Refresh with dpkg-architecture 1.18.7.
  * data/spelling/corrections:
    + [JW] Add more corrections.
      Thanks to Paul Wise for patches for some of them.

  * debian/rules:
    + [JW] Put "Debian Package Checker" in all manpage headers.
    + [JW] Put Lintian version in all manpage footers.
    + [JW] Simplify manpage generation.
    + [JW] Install Lintian::Tutorial manpages.

  * doc/tutorial/Lintian/Tutorial.pod:
    + [JW] Add link to the WritingTests tutorial.
    + [JW] Add SEE ALSO section (for the man formatter).
  * doc/tutorial/Lintian/Tutorial/WritingTests.pod:
    + [JW] Fix formatting error.

  * frontend/dplint:
    + [NT] Add ":utf8" layer to STDOUT.

  * lib/Lintian/DepMap.pm:
    + [JW] Fix typos.
  * lib/Lintian/Tags.pm:
    + [JW,NT]: Always report unused overrides for all packages
      processed.  Thanks to Andreas Beckmann for the report.
      (Closes: #792191)

  * man/lintian.pod.in:
    + [JW] Fix typo.

  * private/refresh-hwcap:
    + [JW] Make the ld.so manpage parser work with the current version.
  * private/refresh-perl-provides:
    + [NT] Look for a versioned perl-modules package.

  * reporting/config:
    + [NT] Remove "$COPY_DOCS" configuration option.  The
      html_reports now always copies the documentation.
  * reporting/harness:
    + [NT] Refactored into a "dplint" command and renamed to
      "commands/reporting-harness.pm".
  * reporting/html_reports:
    + [NT] Refactored into a "dplint" command and renamed to
      "commands/reporting-html-reports.pm".
  * reporting/templates/tags-severity.tmpl:
    + [NT] Add sections for "classification" tags.

 -- Niels Thykier <niels@thykier.net>  Sun, 19 Jun 2016 19:36:51 +0000

lintian (2.5.44) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - build-depends-arch-without-arch-dependant-binary
      - changelog-references-temp-security-identifier
      - ctrl-script
      - debian-build-system
      - debian-changelog-has-wrong-day-of-week
      - extra-whitespace-around-name-in-changelog-trailer
      - invalid-versioned-provides
      - maintscript-calls-ldconfig
      - no-ctrl-scripts
      - package-has-unnecessary-activation-of-ldconfig-trigger
      - package-must-activate-ldconfig-trigger
      - source-format
    + Removed:
      - debian-changelog-has-wrong-weekday
      - description-contains-duplicated-word
      - dh_pysupport-is-obsolete
      - missing-dependency-on-python-support
      - postinst-has-useless-call-to-ldconfig
      - postinst-must-call-ldconfig
      - postrm-has-useless-call-to-ldconfig
      - postrm-should-call-ldconfig
      - postrm-unsafe-ldconfig
      - preinst-calls-ldconfig
      - prerm-calls-ldconfig
      - versioned-provides

  * checks/changelog-file.{desc,pm}:
    + [JW,NT] Use "day of week" rather than "weekday".
      (Closes: #796093)
    + [JW,NT] Flag references to "TEMP" security identifiers.
      Thanks to Paul Wise for assisting with the regex.
      (Closes: #807892)
  * checks/control-files.{desc,pm}:
    + [NT] Add classification tags for (absence of) maintscripts.
  * checks/debhelper.{desc,pm}:
    + [NT] Add tag for classifying the build system.
    + [NT] Remove test for dh_pysupport usage.
    + [NT] Avoid advertising python-support as possible solution for
      python-depends-but-no-python-helper.  Thanks to Gunnar Wolf for
      the bug report.  (Closes: #754315)
    + [NT] Apply patch from Gergely Nagy to only emit the
      dh-exec-useless-usage check for install and manpages files.
      Thanks to Rafael Laboissière for the report.
      (Closes: #816341)
  * checks/debian-source-dir.{desc,pm}:
    + [NT] Add tag for classifying the source format.
      (Closes: #612610)
  * checks/description.{desc,pm}:
    + [NT] Drop duplicate word tag, which is now covered by the
      spelling error check.
  * checks/fields.{desc,pm}:
    + [NT] Add default-jdk-headless and openjdk-X-jdk-headless
      to the set of known java providers.
    + [JW] Relax build profile dependency checks to allow versions with
      trailing tilde.  (Closes: #819509)  Thanks to Felix Geyer for the bug
      report.
    + [NT] Expand the vcs-field-uses-insecure-uri check to check other
      known insecure protocols (e.g. svn and pserver).  Thanks to Paul
      "(UTF-8) Snowman" Tagliamonte for the report.  (Closes: #812962)
    + [NT] Use https URL in the correction for canonical VCS URLs.
      (Closes: #813587)
    + [NT] Bump known python 3 version to include 3.4 and 3.5.
    + [AB] package-relation-with-perl-modules: Remove "experimental" flag.
      Asked for by Dominic Hargreaves.
    + [NT] Apply patch from Mattia Rizzolo to make lintian know and check
      the Build-Depends-Arch field.  (Closes: #822281)
    + [NT] Stop emitting tags for (valid) versioned provides.  Thanks to
      Thorsten Glaser for the bug report.  (Closes: #800438)
  * checks/files.pm:
    + [JW] Apply patch from Mathieu Parent to fix directories for PHP INI
      files.
    + [NT] Remove code related to python-support.
  * checks/nmu.{desc,pm}:
    + [NT] Create a separate tag for extra whitespace around uploader name
      in the changelog.  Thanks to Ben Wiederhake for the suggestion.
      (Closes: #801647)
  * checks/phppear.{desc,pm}:
    + [JW] Apply patch from Mathieu Parent to make dh-php* and php*-dev
      package names unversioned.
  * checks/rules.pm:
    + [NT] Add ":any" to all python dependencies.  Thanks to Barry Warsaw
      for reporting the bug.
    + [NT] Bump known python 3 version to include 3.4 and 3.5.
    + [NT] Remove check for python-support and python-central.
  * checks/scripts.desc:
    + [NT] Suggest dh_python2 / dh_python3 instead of dh_pysupport and
      dh_pycentral.  Thanks to Neil Williams for the report.
      (Closes: #818607)
  * checks/shared-libs.{desc,pm}:
    + [NT] Rename and clarify some ldconfig related tags to better reflect
      the use of the ldconfig trigger.  Thanks to Rafael Laboissière for
      reporting this.  (Closes: #809577)
    + [NT] Merge and remove some ldconfig related tags.  Notably
      unconditionally flag all uses of ldconfig in maintainer scripts
      (outside glibc) as these should be replaced by a trigger.
  * checks/version-substvars.pm:
    + [NT] Apply patch from Javier Serrano Polo that makes the check
      ignore all multi-arch quantifiers (when determining if the
      dependency is for an external package).  (Closes: #822269)

  * commands/info.pm:
    + [NT] Accept "--tag" as an alias of "--tags".  Thanks to Robert
      Luberda for the suggestion.  (Closes: #816454)
  * commands/lintian:
    + [NT] Also check DEBRELEASE_DEBS_DIR for .changes files when no
      packages are given on the command line.  Thanks to Sean Whitton for
      the suggestion.  (Closes: #812568)
    + [NT] Clean up entries in temporarily labs fully once they have been
      processed.  This avoids accumulating files on the disk for archive-
      wide runs done in temporary labs.  This mitigates some of the
      excessive disk usage for archive-wide runs  (See #779228).
  * commands/reporting-lintian-harness.pm:
    + [NT] Add support for classification tags.

  * data/debhelper/*:
    + [JW] Refresh against unstable.  Thanks to Mathieu Parent for the bug
      report.
  * data/debhelper/dh_addons-manual:
    + [NT] Add ":any" to the dependencies for the python add-ons.  Thanks
      to Barry Warsaw for reporting the bug.  (Closes: #803164)
    + [NT] Remove entry for pysupport.
  * data/fields/virtual-packages:
    + [NT] Refresh against unstable main (amd64).
  * data/files/fonts:
    + [NT] Refresh against unstable main (amd64).
  * data/menu-format/known-desktop-keys:
    + [NT] Accept "DesktopNames" as a known key in desktop files.  Thanks
      to Yves-Alexis Perez for the suggestion.  (Closes: #766099)
  * data/spelling/corrections:
    + [JW] Add more corrections.
  * data/standards-version/release-dates:
    + [AB] Add 3.9.8.

  * debian/control:
    + [AB] Declare compliance with Debian Policy 3.9.8. (No other changes
      required.)
  * debian/lintian.install:
    + [NT] Install Test::Lintian modules in Perl5 module path and remove
      the Lintian::Tutorial files (as they are just POD files).
  * debian/{manpages,rules}:
    + [JW,NT] Generate and install manpages of Lintian's perl modules.
      (Closes: #816862)

  * doc/lintian.xml:
    + [NT] Document the new classification tags.

  * lib/Lintian/*{,/*}.pm:
    + [NT] Add support for classification tags.
  * lib/Lintian/Check.pm:
    + [JW,NT] Flag a duplicate word as a spelling error.  This affects
      several tags plus spellintian.  (Closes: #800476)
  * lib/Lintian/Collect/Binary.pm:
    + [JW] Apply patch from Ben Hutchings to consider source versions when
      testing nativeness of binary packages.  (Closes: #821902)
  * lib/Lintian/Relation.pm:
    + [JW,NT] Fix broken implication with "P (<< V)" relations.
      (Closes: #819560)
  * lib/Lintian/Tag/Info.pm:
    + [JW] Use HTTPS for manpages.debian.org URLs.
  * lib/Lintian/Unpacker.pm:
    + [NT] Name the subprocess after what is processing.

  * private/refresh-debhelper-data:
    + [JW] Apply patch from Mathieu Parent to fix path to Contents files.

  * reporting/*:
    + [NT] Add support for classification tags.

  * vendors/ubuntu/main/data/changes-file/known-dists:
    + [NT] Apply patch from Mattia Rizzolo to add yakkety.

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Apr 2016 06:25:53 +0000

lintian (2.5.43) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - maybe-not-arch-all-binnmuable
    + Removed:
      - dh_desktop-is-deprecated
      - dh_undocumented-is-obsolete
      - restriction-formula-with-debhelper-with-conflicting-version
      - restriction-formula-with-versioned-dpkg-dev-conflict

  * checks/{control-file,fields}.{desc,pm}:
    + [JW] Remove confusing checks for build-conflicts related to build
      profiles.
  * checks/debhelper.{desc,pm}:
    + [NT] Remove check for dh_undocumented and dh_desktop as debhelper
      has dropped the helper.
  * checks/systemd.pm:
    + [JW] Apply patch from Felipe Sateler to properly remove .sh suffix
      when checking systemd-initscript matching.  (Closes: #819087)
  * checks/version-substvars.{desc,pm}:
    + [NT] Add an experimental tag to check for arch:all
      binNMUability.  This is currently not supported at all
      and there is no known fix for the tag.  That said, it
      is still useful for determining how many packages might
      be affected by it in case Debian will support arch:all
      binNMUs.

  * commands/reporting-sync-state.pm:
    + [NT] Use the sha256 instead of the sha1 checksum field
      for finding related files and checking which members
      have changed.
    + [NT] Support reading Packages.xz and Sources.xz files.

  * data/spelling/corrections:
    + [JW] Add more corrections.
      Thanks to Mattia Rizzolo for suggesting one of them.

  * frontend/dplint:
    + [NT] Put $LINTIAN_VERSION on its own line so the build
      time substitution works again.  Thanks to Stuart
      Prescott for reporting the issue.

  * helpers/coll/objdump-info-helper:
    + [JW] Apply patch from Dan Nicholson to keep TEXTREL entries from the
      dynamic section.  (Closes: #819506)

  * lib/Lintian/Check.pm:
    + [JW,ADB] Don't ignore midword punctuation characters when
      spell-checking.  (Closes: #818003)  Thanks to Andreas Beckmann for
      the bug report.

  * t/tests/binaries-missing-depends-on-libc/debian/debian/rules:
    + [JW] Apply patch from Dan Nicholson to pass --no-as-needed to the
      linker.  (Closes: #819551)

 -- Niels Thykier <niels@thykier.net>  Sun, 03 Apr 2016 09:01:08 +0000

lintian (2.5.42.1) unstable; urgency=medium

  * checks/binaries.desc:
    + [NT] Remove the experimental marker from the tags about
      (partially) unstripped static libraries.
    + [NT] Remove the experimental marker from the no-pie and
      no-bindnow hardening tags.
  * checks/changelog-file.pm:
    + [JW] Fix use of uninitialized value when checking incorrectly
      formatted changelog entries.

  * commands/reporting-lintian-harness.pm:
    + [NT] Add missing close and seek to the end of the new
      lintian log file before appending to it.

  * data/binaries/embedded-libs:
    + [JW] Apply patch from Sebastian Ramacher to allow ffmpeg as
      libpostproc provider.  (Closes: #817004)

  * lib/Lintian/Tag/Info.pm:
    + [JW] Use manpages.debian.org (instead of manpages.debian.net) for
      manual page hyperlinks.

 -- Niels Thykier <niels@thykier.net>  Fri, 11 Mar 2016 17:43:28 +0000

lintian (2.5.42) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - systemd-service-file-missing-documentation-key
    + Removed:
      - dh_scrollkeeper-is-deprecated
      - dh_suidregister-is-obsolete

  * checks/copyright-file.pm:
    + [NT] Apply patch from Rafael Kitover to avoid some
      false-positives with the DEP-5 copyright format.
      (Closes: #795641)
  * checks/debhelper.{desc,pm}:
    + [NT] Remove tags for dh_scrollkeeper and dh_suidregister,
      which are removed in the next version of debhelper.
  * checks/files.desc:
    + [JW] Update freedesktop.org specification URL.
  * checks/menu-format.desc:
    + [JW] Update freedesktop.org specification URLs.
  * checks/systemd.{desc,pm}:
    + [NT] Apply patch from Chris Lamb to flag systemd units
      without the "Documentation" key.  (Closes: #799083)

  * data/scripts/interpreters:
    + [JW] Add hhvm as a known interpreter.  (Closes: #789878)
  * data/spelling/corrections:
    + [JW] Add more corrections.
    + [JW] Remove correction for "homogenous".  (Closes: #816599)
      Thanks to IOhannes m zmölnig for the bug report.

  * debian/control:
    + [NT] Add (Build-)Dependency on libdata-alias-perl due
      to patch from Rafael Kitover.

  * doc/lintianrc.example:
    + [NT] Remove LINTIAN_LAB - most people will never need it.

  * lib/Lintian/Tag/Info.pm:
    + [JW] Allow "." characters in manual page references.

 -- Niels Thykier <niels@thykier.net>  Sat, 05 Mar 2016 19:38:32 +0000

lintian (2.5.41) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - insane-line-length-in-source-file
      - source-contains-prebuilt-pandoc-documentation
      - upstream-metadata-is-not-a-file
      - upstream-metadata-yaml-invalid
    + Removed:
      - package-contains-broken-symlink

  * checks/apache2.desc:
    + [JW] Remove spurious check name abbreviation.
  * checks/binaries.pm:
    + [NT] Update match for detecting numpy linking.
  * checks/cruft.{desc,pm}:
    + [BR] Filter some simple comments for long line in source-is-missing
      (Closes: #798900).
    + [BR] Detect pandoc docs avoiding source-is-missing warning.
    + [BR] Fix other source-is-missing FP. (Closes: #813013).
  * checks/fields.pm:
    + [NT] Emit "no-homepage-field" only for source packages.
  * checks/files.pm:
    + [JW] Treat packages without Multi-Arch field as if they had
      "Multi-Arch: no".  Thanks to Bas Couwenberg for the bug report.
  * checks/scripts.desc:
    + [JW] Fix typos.
  * checks/symlinks.{desc,pm}:
    + [NT] Retire package-contains-broken-symlink tag.  It was too much
      effort compared to the gain.  (Closes: #672297, #683059, #763270,
      #812723, #661003, #738187)
  * checks/testsuite.{desc,pm}:
    + [JW, NT] Apply patch from Christian Seiler to accept DEP-8 tests
      being symlinks to existing files in the source package.  Thanks
      to Raphaël Hertzog for suggesting it.  (Closes: #809440)
  * checks/upstream-metadata.{desc,pm}:
    + [NT] Apply patch from Petter Reinholdtsen to check that the
      upstream metadata file is valid YAML if present.  (Closes: #813904)

  * commands/lab-tool.pm:
    + [NT] New utility to handle most laboratory operations.
  * commands/lintian:
    + [NT] New location for "frontend/lintian".
    + [NT] Refactored to use "dplint" to compute the include dirs.
    + [NT] Remove -S, -R and -r, which are now supported in the new
      lintian-lab-tool command.

  * data/spelling/corrections:
    + [JW] Fix some corrections.
    + [JW] Add more corrections.
  * data/standards-version/release-dates:
    + [NT] Add 3.9.7.  Thanks to Alf Gaida for the reminder.
      (Closes: #814041)

  * debian/control:
    + [JW] Switch from libyaml-perl to libyaml-libyaml-perl in
      Build-Depends and Suggests. (Lintian has been using the latter
      package since 2.5.31.)
    + [NT] Add dependency on libyaml-libyaml-perl for the new
      upstream-metadata check.
    + [NT] Bump Standards-Versions to 3.9.7 - no changes required.
  * debian/{lintian.links,manpages,rules}:
    + [NT] Update to install the new lab-tool command.

  * frontend/lintian:
    + [NT] Move the code to "commands/lintian" and leave a symlink to
      dplint to replace it.

  * helper/coll/objdump-info-helper:
    + [NT] Avoid collecting unused information.

  * lib/Lintian/Path.pm:
    + [NT] Remove the _file_info cache field to avoid paying
      for all "file(1)" info twice.
  * lib/Lintian/Collect/Binary.pm:
    + [NT] Remove unnecessary values on members in the
      objdump_info table.
  * lib/Lintian/*.pm:
    + [JW] Fix typos.

  * man/lintian-lab-tool.pod:
    + [NT] New file.

  * private/generate-lintian-pod:
    + [JW] Fix formatting pathnames followed by punctuation characters.

 -- Niels Thykier <niels@thykier.net>  Fri, 19 Feb 2016 18:35:36 +0000

lintian (2.5.40.2) unstable; urgency=medium

  * checks/cruft.pm:
    + [BR] Check package testsuite for license problems.
    + [BR] Allow multiple full texts for license problems.
    + [BR] Detect link copyright tag and warn in case of
      cc-by-nc-sa

  * data/spelling/corrections*:
    + [JW] Add more corrections.

  * debian/post{inst,rm}:
    + [NT] Remove obsolete maintainer scripts.
  * debian/tests/testsuite:
    + [NT] Remove temporary directory after test.

  * lib/Lintian/Collect/Source.pm:
    + [JW] Fix typo.
  * lib/Lintian/Lab/Entry.pm:
    + [JW] Fix typo.

  * reports/html_reports:
    + [NT] Fix uninitialized warnings.
    + [NT] Remove ""-quotes covering the full maintainer name.
      This makes "Adam" sort under "A" rather than "Other" on the
      list of maintainers.

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Jan 2016 12:52:18 +0000

lintian (2.5.40.1) unstable; urgency=medium

  * debian/rules:
    + [NT] Only run tests from the override_dh_auto_test target.

  * t/runtests:
    + [NT] Use a whitelist for cleaning up the environment.  Fixes
      FTBFS / test failures.

 -- Niels Thykier <niels@thykier.net>  Sat, 23 Jan 2016 08:28:24 +0000

lintian (2.5.40) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - debian-watch-file-uses-deprecated-githubredir
      - file-in-root-and-usr
      - hardening-no-bindnow
      - hardening-no-pie
      - library-in-root-and-usr
      - old-style-config-script
      - old-style-config-script-multiarch-path
      - old-style-config-script-multiarch-path-arch-all
      - vcs-field-uses-insecure-uri
    + Removed:
      - debian-watch-file-accesses-pypi-over-http
      - debian-watch-file-unsupported-pypi-url

  * checks/binaries.{desc,pm}:
    + [JW] Exclude /usr/lib/debug/.build-id/ from foreign-architecture
      checks.  Thanks to Aurelien Jarno for the bug report.  (Closes:
      #809262)
    + [BR] Detect old style config scripts and detect Multi-arch errors.
    + [NT] Add experimental tag for missing "bindnow" and "pie"
      hardening.  Thanks to intrigeri for the suggestion.
      (Closes: #759363)
  * checks/changes-file.pm:
    + [JW] Use "~bpo7+N" as the suffix for wheezy-backports-sloppy
      uploads.  Thanks to Vincent Bernat for the bug report.  (Closes:
      #810028).
    + [JW] Use "~bpo8+N" as the suffix for jessie backports.
  * checks/changes-file.desc:
    + [JW] Fix typo.
  * checks/cruft.pm:
    + [BR] Pass information about minified javascript down to tag.
      (Closes:  #804147).
  * checks/fields.{desc,pm}:
    + [NT] Apply patch from Dr. Tobias Quathamer <toddy@debian.org> to
      check for some insecure protocols in Vcs-* fields.
      (Closes: #810378)
  * checks/files.pm:
    + [NT] Fix off-by-one in an "mtime" comparison, which could give
      false-positive package-contains-timestamped-gzip warnings.
    + [NT] Downgrade image-file-in-usr-lib to pedantic given the
      policy has relaxed on this point.  (Closes: #415558)
  * checks/files.desc:
    + [JW] Fix typo.
  * checks/source-copyright.{desc,pm}:
    + [JW] Apply patch from Mattia Rizzolo to update the machine-readable
      copyright format specification URL.  (Closes: #809248)
    + [BR] Improve description text of tag
      dep5-copyright-license-name-not-unique.
  * checks/usrmerge.{desc,pm}:
    + [BR] Add usrmerge test from Marco d'Itri.  (Closes: #767754).
  * checks/watch-file.{desc,pm}:
    + [BR] Apply patch from Chris Lamb <lamby@debian.org>,
      warn if debian/watch uses deprecated
      githubredir.debian.net scraper (Closes: #803106).
    + [NT] Apply patch from Dmitry Shachnev <mitya57@debian.org> to
      remove obsolete check.  (Closes: #793149)
    + [NT] Apply patch from Sylvestre Ledru <sylvestre@debian.org> to
      support version 4 of the debian/watch.  (Closes: #811175)

  * data/spelling/corrections*:
    + [JW] Add more corrections.
      Thanks to Paul Wise for patch for one of them.

  * debian/control:
    + [NT] Add ${perl:Depends} to Depends.
    + [NT] Use https://anonscm.debian.org/git/lintian/lintian.git in the
      Vcs-* fields.
  * debian/rules:
    + [NT] Convert to dh7 style build.

  * frontend/lintian:
    + [NT] Limit the number of instances of the same tag when output is a
      TTY.  Add --no-tag-display-limit to disable this feature.  Thanks
      to Thijs Kinkhorst for the report.  (Closes: #775667)

  * lib/Lintian/Check.pm:
    + [JW] Remove work-around for Email::Valid bug (#663663), which is now
      fixed even in oldstable.
    + [JW] Apply patch from Justin B Rye to fix an uninitialized value
      warning.  (Closes: #810649)

  * reporting/html_reports:
    + [JW] Add missing "map_maintainer" call, which made the reporting
      script omit packages on maintainer's pages.  Thanks to Charles
      Plessy for the report and to Dr. Tobias Quathamer for finding
      the condition for triggering the bug.  (Closes: #797178)
    + [NT] Share more data for a ~15% memory reduction on an old
      dataset.

  * t:
    + [NT] Fix test case relying on removed debhelper compat level.
      (Closes: #811309)

 -- Niels Thykier <niels@thykier.net>  Sun, 27 Dec 2015 09:43:24 +0000

lintian (2.5.39.1) unstable; urgency=medium

  * checks/menu-format.desc:
    + [NT] Clarify how to handle a command listed both in a menu file
      and a desktop file.  Thanks to Jörg Frings-Fürst for reporting.
      (Closes: #806387)

  * data/binaries/embedded-libs:
    + [JW] Fix typo in the string used for detecting copies of OpenJPEG.
      (But continue to recognize the misspelled variant, which might be
      still present in some copies.)
  * data/fields/udeb-fields:
    + [NT] Add Auto-Built-Package and Build-Ids fields.  Thanks to
      Guillem Jover for the report.  (Closes: #808566)
  * data/scripts/interpreters:
    + [JW] Add perl6-m as a known interpreter.  Thanks to Dominique Dumont
      for the bug report.  (Closes: #809057)
  * data/spelling/corrections:
    + [JW] Add more corrections.

  * man/lintian.pod.in:
    + [NT,JW] Document clarify that "-L +=<value>" is valid.
      (Closes: #802729)
    + [NT] Attempt to document --display-level a bit more extensively.
      Thanks to Matt Zagrabelny for the report.  (Closes: #802725)
    + [NT] Clarify what --default-display-level does and why one might
      want to use it.

  * private/refresh-ftp-master-tags:
    + [JW] Use HTTPS for the ftp-master.debian.org URL.

 -- Niels Thykier <niels@thykier.net>  Sun, 27 Dec 2015 09:37:34 +0000

lintian (2.5.39) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - dh-exec-useless-usage
      - systemd-service-alias-without-extension

  * checks/binaries.pm:
    + [JW] Fix inconsistent parsing of a data file.
  * checks/cruft.pm:
    + [BR] Relax line length for minified javascript.
  * checks/debhelper.{desc,pm}:
    + [NT] Apply patches from Gergely Nagy to extend the dh-exec
      related checks.  (Closes: #794296, #801104)
  * checks/files.{desc,pm}:
    + [JW] Fix typo.
    + [JW] Fix inconsistent parsing of a data file.  (Closes: #790739)
  * checks/scripts.desc:
    + [JW] Fix typo.
  * checks/systemd.{desc,pm}:
    + [NT] Apply patch from Evgeni Golov to strip ".service" from
      aliases before looking for an init.d service of same name.
      (Closes: #773087)
    + [NT] Apply patch from Evgeni Golov to check that the Alias
      field of .service files ends with .service (as required by
      the systemd.unit specification).  (Closes: #808369)

  * data/binaries/embedded-libs:
    + [JW] Apply patch from James Cowgill to rename "polarssl" as
      "mbedtls".  (Closes: #808050)
  * data/binaries/hardening-tags:
    + [NT] Refresh with dpkg-architecture 1.18.3.
  * data/common/{architectures,multiarch-dirs}:
    + [NT] Refresh with dpkg-architecture 1.18.3.
  * data/fields/binary-fields:
    + [NT] Add "Auto-Built-Package" as known field in binary packages.
      It appears in dbgsym packages generated by debhelper.
  * data/fields/perl-provides:
    + [NT] Refresh against perl 5.22.
  * data/files/triplets:
    + [NT] Refresh with dpkg-architecture 1.18.3.
  * data/scripts/interpreters:
    + [JW] Add rake as a known interpreter.  Thanks to Cédric Boutillier
      and Pirate Praveen for the bug reports.  (Closes: #795036)
  *  data/shared-libs/ldconfig-dirs:
    + [NT] Refresh with dpkg-architecture 1.18.3.
  * data/spelling/corrections*:
    + [JW, AB] Add more corrections.
      Thanks to Paul Wise for patch for one of them.

  * doc/examples/profiles/my-vendor/main.profile:
    + [JW] Fix typo.

  * doc/lintian.xml:
    + [JW] Fix typo.

  * lib/Lintian/Output.pm:
    + [JW] Fix typos.

  * lib/Lintian/Profile.pm:
    + [JW] Fix typo.

  * lib/Lintian/Tags.pm:
    + [JW] Fix typo.
    + [JW] Make it possible to override tags containing "+" characters,
      such as "missing-dependency-on-libstdc++".  Thanks to Andreas
      Beckmann for the bug report.  (Closes: #806504)

  * lib/Test/Lintian.pm:
    + [JW] Fix typo.

  * private/refresh-insserv-data:
    + [JW] Fix typo.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Dec 2015 00:56:05 +0000

lintian (2.5.38.1) unstable; urgency=medium

  No tags were added or removed

  * checks/binaries.{desc,pm}:
    + [NT] Check for ".debug_str" section in addition to the
      ".debug_line" section to determine if an ELF file contains
      detached debug symbols.
  * checks/cruft.pm:
    + [BR] Avoid false positive in minified javascript by
      detecting line with only one colon.
      (Closes: #792365).
  * checks/debconf.desc:
    + [JW] Fix typo.
  * checks/files.pm:
    + [BR] Whitelist pbuilder for dir-or-file-in-build-tree.
  * checks/scripts.pm:
    + [NT] Check the syntax of maintainter scripts with "sh" when
      the script is declared with "#!/bin/sh".  Thanks to Ron Lee
      for spotting this.
  * checks/shared-libs.pm:
    + [ADB, NT] Fix false-positive instance of the tag
      postrm-should-call-ldconfig when the package is using the
      ldconfig trigger.  (Closes: #804256)
  * checks/source-copyright.desc:
    + [JW] Use HTTPS for www.debian.org URLs.

  * commands/spellintian.pm:
    + [JW,NT] Report non-files as "not a file" rather than
      claiming them to be directories.  (Closes: #802475)

  * data/cruft/non-free-files:
    + [JW] Use HTTPS for bugs.debian.org URLs.
  * data/output/manual-references:
    + [JW] Refresh.
  * data/spelling/corrections*:
    + [JW] Add more corrections.

  * doc/lintian.xml:
    + [JW] Use HTTPS for www.debian.org and lintian.debian.org URLs.
  * doc/README.developers:
    + [JW] Use HTTPS for wiki.debian.org URLs.
  * doc/README.release:
    + [JW] Fix typo.

  * debian/copyright:
    + [JW] Use HTTPS for lintian.debian.org URLs.

  * lib/Lintian/DepMap/Properties.pm:
    + [JW] Fix typo.
  * lib/Lintian/Profile.pm:
    + [JW,NT] Correct include path for default profile when include
      directories are not given explicitly.  (Closes: #802476)
    + [JW] Fix typo.
  * lib/Lintian/Unpacker.pm:
    + [JW] Fix typo.
  * lib/Lintian/Util.pm:
    + [NT] Whitelist TMPDIR in "clean_env", so that man and msgfmt
      will use the user defined TMPDIR (if any).  Thanks to Bjarni
      Ingi Gislason Bjarni for the bug report.  (Closes: #801483)

  * mail-templates/license-problem-non-free-RFC:
    + [JW] Use HTTPS for debian.org URLs.

  * man/lintian.pod.in:
    + [JW] Fix incorrect claim that "pedantic" and "display-info" can't be
      used together in the config file.

  * private/refresh-*:
    + [JW] Use httpredir.debian.org as the default mirror.
  * private/refresh-manual-refs:
    + [JW] Use HTTPS for www.debian.org and lintian.debian.org URLs.

  * reporting/harness:
    + [JW] Fix typo.
  * reporting/templates/*.tmpl:
    + [JW] Use HTTPS for debian.org URLs.

  * vendors/ubuntu/main/data/changes-file/known-dists:
    + [JW] Add "wily" and "xenial".

  * README:
    + [JW] Use HTTPS for www.debian.org and lintian.debian.org URLs.

 -- Niels Thykier <niels@thykier.net>  Mon, 16 Nov 2015 20:45:24 +0100

lintian (2.5.38) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - command-in-menu-file-and-desktop-file
      - misspelled-closes-bug

  * checks/binaries.desc:
    + [NT] Update description of a tag now that debhelper properly
      strips static libraries.
    + [JW] Relax the regular expression used to used to recognize
      architecture-specific paths to avoid false positive
      arch-dependent-file-not-in-arch-specific-directory in Python debug
      packages.  Thanks to Matthias Klose for the bug report.
      (Closes: #795275)
  * checks/changelog-files.{desc,pm}:
    + [BR] Detect misspelled Closes in changelog file (Closes: #798799)
  * checks/files.{desc,pm}:
    + [AB] Apply patch by Mattia Rizzolo to also check for files in /build
      and /tmp/buildd in dir-or-file-in-build-tree.  (Closes: #797532)
    + [NT] Rewrite the description for dir-or-file-in-build-tree.  Thanks
      to Chris Lamb and Jakub Wilk for pointing out issues with the
      original description.  (Closes: #797466)
    + [BR] Detect pagead2.
    + [BR] Fix false positive privacy-breach-* for alternate link tag
      with type application/rdf+xml.  (Closes: #799914).
  * checks/obsolete-sites.pm:
    + [AB] Stop at <>, $, or " when emitting URLs as tag parameter.
  * checks/menu-format.{desc,pm}:
    + [NT] Check for menu files used to provide a command also listed in
      a desktop file.  This tag is based on the verdict in
      [CTTE #741573].
  * checks/rules.desc:
    + [NT,JW] Improve the wording of one of the tags based on feedback
      from Chris Lamb.  (Closes: #796815)
  * checks/scripts.desc:
    + [NT] Apply patch from Chris Lamb to fix a grammatical issue in a
      tag description.  (Closes: #797555)
  * checks/shared-libs.pm:
    + [JW] Fix false positive dev-pkg-without-shlib-symlink for GCC runtime
      libraries.  Thanks to Matthias Klose for the bug report.
      (Closes: #790739)
  * checks/systemd.desc:
    + [AB] Apply patch by Chris Lamb to update link to Debian systemd
      packaging reference. (Closes: #799082)
  * checks/watch-file.desc:
    + [JW] Fix typo.

  * data/binaries/embedded-libs:
    + [RG] Use a different string to detect the copies of freetype
      (Closes: #756722)
    + [RG] Allow ffmpeg to provide libav*.
  * data/debhelper/dh_{commands,packages}:
    + [AB] Apply patch by Stefano Rivera to update the home of
      dh_gstscancodecs. (Closes: #799467)
  * data/obsolete-sites/obsolete-sites:
    + [AB] Add patch by Hideki Yamane to add sourceforge.jp (Closes:
      #798736)
    + [AB] Sort file alphabetically.
  * data/spelling/corrections:
    + [JW] Add more corrections.

  * doc/lintian.xml:
    + [JW] Fix typo.

  * lib/Lintian/Collect.pm:
    + [JW] Fix typo.
  * lib/Lintian/Lab.pm:
    + [JW] Fix typo.

  * man/lintian.pod.in:
    + [JW] Fix typo.

  * private/refresh-debhelper-data:
    + [NT] Add a "This file is generated" header to all output files.

 -- Niels Thykier <niels@thykier.net>  Mon, 05 Oct 2015 22:10:31 +0200

lintian (2.5.37) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - obsolete-url-in-packaging
      - renamed-tag

  * checks/application-not-library.{desc,pm}:
    + [AB] Downgrade libapp-perl-package-name to certainty possible.
    + [AB] Add libapp-options-perl to the package whitelist.
  * checks/binaries.pm:
    + [NT] Apply patch from Michael Stapelberg to ignore
      "no-relro" and "no-fortify-functions" issues in
      binaries built by the go compiler, as it does not
      support these features.  (Closes: #795667)
    + [NT] Apply patch from Michael Stapelberg to a
      common false positive spelling mistake in "go"
      binaries.  (Closes: #795614)
    + [NT] Apply patch from Guillem Jover to avoid some false
      positive  shared-lib-without-dependency-information tags.
      (Closes: #798063)
  * checks/control-file.pm:
    + [AB] Apply patch by Christoph Biedl for relaxing dependency checks
      to allow versions with tilde. (Closes: #797951)
  * checks/copyright.pm:
    + [BR] Fix FP for copyright-without-copyright-notice tag
      allow public-domain.  (Closes: #786867)
  * checks/cruft.pm:
    + [BR] Fix complex regular subexpression recursion limit.
      Strip comments is only done on first 8192 characters.
      (Closes: #795955).
    + [BR] Performance improvement check if line < 1024 before
      stripping comment. Classify to minified if line > 1024.
    + [BR] Fix false positive in missing-sources directory
      search path.
  * checks/debhelper.pm:
    + [NT] Unconditionally warn about dh_clean -k usage even when the
      debhelper compat is less than 7.
  * checks/description.pm:
    + [AB] Fix false positives in
      perl-module-name-not-mentioned-in-description.  (Closes: #795779)
  * checks/fields.{desc,pm}:
    + [JW] Use "an" (instead of "a") before "HTTP".
    + [NT] Assert that -dbgsym packages are in the "debug" section.
      Thanks to Jean-Michel Vourgère for reporting the issue.
      (Closes: #796896)
    + [AB] Also emit package-relation-with-perl-module for build-*
      relations. Thanks gregor herrmann! (Closes: #798385)
  * checks/obsolete-sites.{desc,pm}:
    + [AB] New check with tag obsolete-url-in-packaging to check for URLs
      of hosting sites with frozen contents or (soon to be) closed hosting
      sites (Google Code, Gitorious, Freshmeat, etc.) inside the
      packaging.  (Closes: #793503)
  * checks/scripts.pm:
    + [BR] Fix Unescaped left brace in regex.  (Closes: #788926)
  * checks/shared-libs.{desc,pm}:
    + [NT] Accept an "activate-noawait ldconfig" trigger instead of
      explicit calls to "ldconfig".
  * checks/testsuite.pm:
    + [AB] Split up restrictions, features and tests by comma as well as
      space. (Closes: #798359, #792418)
  * checks/version-substvars.pm:
    + [BR] Fix Unescaped left brace in regex is deprecated line 68.
  * checks/watch.desc:
    + [BR] Upgrade upstream PGP keys location.  (Closes: #796311)

  * data/binaries/embedded-libs:
    + [RG] Add another matching string for libidn
  * data/common/source-fields:
    + [AB] Add patch by Tianon Gravi to add go-import-path as known source
      field. (Closes: #798422)
  * data/fields/archive-sections:
    + [NT] Remove the "debugsym" section as "ddebs" will be put in
      the regular "debug" section.
  * data/fields/binary-fields:
    + [NT] Accept the "Build-Ids" field, which debhelper will start to
      include in debug packages.
  * data/scripts/maintainer-script-bad-command:
    + [AB] Fix maintainer-script-should-not-use-adduser-system-without-home
      false positive in cases where --system and --home are ordered
      differently than initially expected. (Closes: #797395)
  * data/spelling/corrections:
    + [JW] Add correction for "bellow". (This is an actual English word,
      but in technical texts, it's almost certainly a misspelling of
      "below".)
    + [JW] Add correction for "positve".

  * debian/control:
    + [AB] Update Vcs-Browser header to use https and cgit.

  * lib/Lintian/{Tags.pm,Tag/Override.pm}:
    + [BR] Support tag renaming. Warn about renamed
      tags.

  * t/runtests:
    + [BR] Apply patch from Chris Lamb improving documentation.
      (Closes:  #796822).
  * t/scripts/01-critic/runner.pl:
    + [AB] Fix FTBFS in perlcritic runner with Test::Perl::Critic 1.03
  * t/tests/application-not-library/debian/debian/control.in:
    + [AB] Add a false positive test for libapp-perl-package-name.
  * t/tests/rules-perl-makemaker/debian/debian/rules:
    + [NT] Pass DESTDIR to MakeMaker to avoid FTBFS with Perl 5.22.
      Thanks to Dominic Hargreaves for the report.  (Closes: #797600)

 -- Niels Thykier <niels@thykier.net>  Fri, 11 Sep 2015 16:37:10 +0200

lintian (2.5.36.1) unstable; urgency=medium

  * checks/application-not-library.pm:
    + [NT] Fix invalid import.

 -- Niels Thykier <niels@thykier.net>  Sat, 15 Aug 2015 10:47:33 +0200

lintian (2.5.36) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - application-in-library-section
      - dep5-file-paragraph-references-header-paragraph
      - libapp-perl-package-name
      - libmodule-build-perl-needs-to-be-in-build-depends
      - libmodule-build-tiny-perl-needs-to-be-in-build-depends
      - library-package-name-for-application
      - maintainer-script-may-use-dir_to_symlink_helper
      - mentions-deprecated-usr-lib-perl5-directory
      - package-installs-apt-preferences
      - package-installs-apt-sources
      - package-installs-ieee-data
      - package-installs-into-obsolete-dir
      - package-relation-with-perl-modules
      - perl-module-name-not-mentioned-in-description
      - privacy-breach-uses-embedded-file
    + Removed:
      - dep5-file-paragraph-reference-header-paragraph
      - package-install-apt-preferences
      - package-install-apt-sources
      - package-install-ieee-data
      - package-install-into-obsolete-dir
      - privacy-breach-may-use-debian-package

  * checks/application-not-library.{desc,pm}:
    + [AB] New experimental checks imported from pkg-perl-tools.
  * checks/changelog-file.pm:
    + [JW] Fix invalid comparison leading to false positive
      non-consecutive-debian-revision tags.  (Closes: #794995)
  * checks/cruft.{desc,pm}:
    + [BR] Avoid a false positive for gfdl detection in krusader.
      Remove line number before running the detection.
    + [BR] Avoid another gfdl false positive in oidentd, sdlbasic,
      smbc package.
    + [AB] Add new tag mentions-deprecated-usr-lib-perl5-directory based
      on pkg-perl-tools' usr-lib-perl5-mentioned (multiple authors).
    + [NT] Replace "funny" dash with regular ASCII dash.
    + [AB] Fix grammar issue in license-problem-non-free-img-lenna desc.
  * checks/description.*:
    + [AB] Add new tag perl-module-name-not-mentioned-in-description based
      on pkg-perl-tools' no-module-name-in-description by Damyan Ivanov.
  * checks/fields.pm:
    + [AB] Add emacs23 to list of obsolete Emacs package names.
    + [AB] Also check for obsolete emacs package names with common
      suffixes (-gtk, -el, -nox, lucid)
    + [AB] Add an imaginary future emacs222 package to the test suite's
      dummy package to check for depends-on-old-emacs false positives.
    + [AB] Add libmodule-build(-tiny)-perl-needs-to-be-in-build-depends
      tags from pkg-perl-tools by gregor herrmann.
    + [AB] Add new tag package-relation-with-perl-modules based on
      pkg-perl-tools' depends-on-perl-modules by Damyan Ivanov.
  * checks/files.desc:
    + [BR] Correct a few typos.  (Closes: #794953)
    + [BR] Rename files-privacybreach-may-use-debian-package
      to  privacy-breach-uses-embedded-file.  Thanks to
      Guillem Jover for the report.
  * checks/scripts.desc:
    + [BR] Detect suspicious use of ln -s that could be replaced by
      dpkg-maintscript-helper.
  * checks/systemd.desc:
    + [NT] Replace a wide-character by spelling out "does not".

  * data/files/privacy-breaker-websites:
    + [BR] Detect libjs-bootstrap as privacy-breach-uses-embedded-file
    + [BR] Improve detection of google plus.
    + [BR] Improve detection of jquery modules.
    + [BR] Detect doxygen logo.
    + [BR] Detect doubleclick.net
  * debian/compat:
    + [BR] Use compat version 9.
  * debian/control:
    + [AB] Add myself to Uploaders.
    + [AB] Add Breaks against pkg-perl-tools << 0.23 due to some tags
      moved over to lintian proper.

  * lib/Lintian/{CheckScript,CollScript,Profile}.pm:
    + [NT] Read control files as proper UTF-8 character streams rather
      than byte streams.  (Closes: #793164)
  * lib/Lintian/Collect.pm:
    + [AB] Remove outdated note about automatically computed defaults for
      "$info->field('source')".
  * lib/Lintian/Util.pm:
    + [NT] Add read_dpkg_control_utf8 that reads the file as UTF-8
      characters (as it ought to be) rather than a byte stream.

  * private/refresh-fonts-data:
    + [NT] Prune some duplicates from the generated font file.

 -- Niels Thykier <niels@thykier.net>  Sat, 15 Aug 2015 09:48:22 +0200

lintian (2.5.35) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - non-consecutive-debian-revision
      - package-uses-experimental-debhelper-compat-version
      - package-uses-old-debhelper-compat-version

  * checks/binaries.pm:
    + [NT] Apply patch from Sebastian Andrzej Siewior to inhibit
      binary-file-built-without-LFS-support tags for binaries
      that contains the "offending" LFS symbol.  These tend to
      come from gnulib and be LFS compliant.  Thanks to Guillem
      Jover for the report.  (Closes: #787853)
  * checks/changelog-file.{desc,pm}:
    + [BR] Detect non consecutive debian revision.  (Closes: #789820)
  * checks/control-file.{desc,pm}:
    + [BR] In order to ease the multiarch-support removal the
      severity of pre-depends-directly-on-multiarch-support tag
      is raised to important. Thanks to Helmut Grohne for
      the reminder.
    + [BR] pre-depends-directly-on-multiarch-support does not need
      debhelper for being raised. Suggest to build-depends on
      debhelper >= 9.
  * checks/debhelper.{desc,pm}:
    + [BR] Use data file for pedantic warning on debhelper depends
      version.
    + [BR] Detect not recommended and experimental debhelper version.
  * checks/fields.desc:
    + [JW] Fix spelling of the word "indicate".
  * checks/scripts.desc:
    + [BR] Document why adduser --no-create-home
      is a bad idea for system user.  (Closes: #793613).

  * data/cruft/warn-file-type:
    + [BR] Detect pascal resource file source.  (Closes: #793908).
  * data/files/fonts:
    + [BR] Refresh this file.  (Closes: #794196)
  * data/scripts/maintainer-script-bad-command:
    + [BR] Detect more case of
      maintainer-script-should-not-use-adduser-system-without-home.
    + [BR] Print offending line for
      maintainer-script-should-not-use-adduser-system-without-home.
  * data/spelling/corrections*:
    + [JW] Fix correction for "acknowldegement".
    + [JW] Document that the lists should be sorted.
    + [JW] Re-sort the correction lists and remove duplicates.
    + [JW] Add more corrections.
    + [BR] Add existant||existent correction.

  * mail-templates/license-problem-*:
    + [JW] Make the files end with newline character.
    + [JW] Fix typo in template.

  * private/refresh-manual-refs:
    + [JW] Update the list of required packages.

  * t/scripts/*.t:
    + [JW] Make all the scripts executable.
  * t/tests/changelog-file-strange-date/*:
    + [BR] Create a test with error syntax in changelog date.
      Run only with dpkg below 1.18.2.  (Closes: #794674).
  * t/tests/binaries-general/*:
    + [BR] Fix a test suite failure with gcc5 by using compat 9, and
      removing gets() that does not exist with C11 (used by default
      by gcc5).  (Closes: #794505).
  * t/tests/legacy-binary/debian/debian/rules:
    + [BR] Improve clean rule, thanks to Jakub Wilk.

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Thu, 06 Aug 2015 10:50:49 +0200

lintian (2.5.34) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - unstripped-static-library

  * checks/binaries.{desc,pm}:
    + [NT] Apply patch from Guillem Jover to improve the tag
      description of the LFS tag.  (Closes: #792167)
    + [NT] Detect unstripped static libraries (as an
      experimental tag).
  * checks/cruft.pm:
    + [NT] Avoid svn-conflict-file tag for ".r0" files, since
      there cannot be a conflict involving revision 0.
      Thanks to Andreas Beckmann for the report.
      (Closes: #793068)
    + [BR] Detect pdf, ps, and eps lenna file.
  * checks/files.{desc,pm}:
    + [BR] Fix detection of sources.list file.  (Closes: #792237)
  * checks/systemd.pm:
    + [NT] Apply patches from Felipe Sateler to ignore known
      masked init.d scripts.  (Closes: #792501)

  * commands/info -> info.pm:
    + [NT] Renamed info to info.pm to remove some boilerplate
      code.
    + [NT] Forbid late --user-dirs and --include-dir options.

  * frontend/lintian:
    + [NT] Forbid late --user-dirs and --include-dir options.
    + [NT] Remove the following obsolete command line
      options: --root, --all, --binary, --source, --udeb.
      They are no longer useful.

  * lib/Lintian/Collect{,/*}.pm:
    + [NT] Add a shared memory cache that can be used to
      reduce memory consumption a bit for sharable objects.
      (Closes: #715035)
  * lib/Lintian/Data.pm:
    + [NT] Remove references to LINTIAN_ROOT as Lintian::Data
      no longer uses it.
  * lib/Lintian/Path.pm:
    + [NT] Rework some implementation details to reduce memory
      consumption slightly.
    + [NT] The undocumented "type" and "time" methods have been
      removed from the API.
    + [NT] The "uid" and "gid" methods now return 0 rather than
      undef when numeric ownership is not collected.

  * reporting/templates:
    + [NT] Remove (uses of) the "invisible-anchor" css class as
      invisible (display: none) elements cannot be used as
      anchors.

 -- Niels Thykier <niels@thykier.net>  Wed, 22 Jul 2015 21:55:58 +0200

lintian (2.5.33) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - systemd-no-service-for-init-rcS-script
      - trailing-slash-for-dpkg-maintscript-helper-symlink_to_dir
    + Removed:
      - binary-file-compressed-with-upx

  * checks/binaries.pm:
    + [NT] Ignore "v5" suffixes in package names when matching
      SONAMES with package names.  The "v5" suffix is the
      recommended suffix for packages affected by the GCC-5
      libstc++6 C11 ABI breakage.
    + [NT] Drop binary-file-compressed-with-upx as it was not
      working.  (Closes: #790932)
  * checks/cruft.pm:
    + [BR] Increase windows size to 16384 bytes.
      Gain about 10% in cruft.
  * checks/description.desc:
    + [NT] Clarify that the empty-line control statement " ."
      permits no other characters on the same line. Thanks
      to Riley Baird for the report.  (Closes: #789577)
  * checks/files.desc:
    + [JW, NT] Clarify that the ISO 639-1 language codes are
      preferred to the ISO 639-2 variant.  Thanks to Jonas
      Smedegaard for the report.  (Closes: #790693)
  * checks/infofiles.pm:
    + [NT] Fix use of undefined variable in some cases.
  * checks/scripts.{desc,pm}:
    + [BR] Detects problem with dpkg-maintscript-helper symlink_to_dir.
  * checks/systemd.{desc,pm}:
    + [NT] Apply patches from Felipe Sateler to refactor the
      systemd checks.  Notably this also fixes some duplicate
      tags.
    + [NT] Apply patch from Felipe Sateler to warn about rcS
      init scripts without a native systemd unit file.
      (Closes: #790323)
  * checks/source-copyright.pm:
    + [NT] Fix use of undefined variable in some cases.
    + [NT] Avoid triggering a tag for a DEP-5 paragraph
      referencing the license of the header paragraph
      when said paragraph is *the* header paragraph.
      (Closes: #769818)

  * data/cruft/non-free-files:
    + [BR] Add a few lenna image. Thanks to Norbert
      Preining <preining@logic.at> (Closes: #790915).
  * data/spelling/corrections-multiword:
    + [JW] Correct spelling for "GNU Public Licence".
      (Closes: #790369)

  * frontend/lintian:
    + [JW, NT] Add "--hide-overrides" option to contrast
      the "--show-overrides" option.  (Closes: #770643)

  * helpers/coll/objdump-info-helper:
    + [NT] Fix use of undefined variable in some cases.
    + [JW,NT] Gracefully cope with upstreams storing poems in
      valid ar archives with the file extension ".a" and
      possibly also corrupt ar files.
      (Closes: #790493)
    + [NT] Remove slow "head + grep" pipeline on all ELF
      binaries, which is no longer used.
  * helpers/coll/strings-helper:
    + [NT] Avoid an unnecessary overhead in using L::Command's
      spawn+reap.  In some cases, this can reduce the runtime
      of this command by ~50%.

  * lib/Lintian/Check.pm:
    + [NT] Optimise out some calls to Lintian::Data, which in
      a few cases adds up to a couple of seconds in total
      runtime.

  * profiles/debian/ftp-master-auto-reject.profile:
    + [NT] Drop binary-file-compressed-with-upx as it no
      longer exists.

  * reporting/harness:
    + [NT] Add a --[no-]generate-reports option as alias of
      the -r mode.  The option can now be used together with
      "-i", "-f" or "-c" to control whether the reports
      should generated at the end of the run.  Without any
      of these, harness will only generate reports like it
      used to do.
  * reporting/templates/*.tmpl:
    + [NT] Change from XHTML 1.1 to HTML5.

 -- Niels Thykier <niels@thykier.net>  Thu, 09 Jul 2015 21:38:57 +0200

lintian (2.5.32) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - changelog-empty-entry
      - dh-manual-sequence-control-obsolete
      - license-problem-non-free-img-lenna
      - missing-intermediate-directory
      - package-contains-cmake-private-file
      - package-contains-mime-file-outside-package-dir
      - package-install-apt-preferences
      - package-install-apt-sources
      - package-install-ieee-data
      - service-key-has-whitespace
      - source-contains-autogenerated-gperf-data
      - source-contains-data-from-ieee-data-oui-db
      - static-library-has-unneeded-section
    + Removed:
      - hyphen-used-as-minus-sign

  * checks/*.pm:
    + [NT] Rewrite to handle new check_spelling{,_picky}
  * checks/binaries.pm:
    + [NT] Also apply the binary-has-unneeded-section check on
      static libs.  (See #662998)
  * checks/cruft.{desc,pm}:
    + [BR] Detect non free lenna file based on filename and filetype.
      (Closes: #771191).
    + [BR] Avoid a false positive for autogenerated index in dx package
      for source-is-missing.
  * checks/changes-file.{desc,pm}:
    + [NT] Downgrade backports-changes-missing to a wishlist (I) tag.
      Thanks to Vincent Cheng for the report.  (Closes: #785084)
  * checks/changelog-file.{desc,pm}:
    + [BR] Detect empty changelog entry.  (Closes:  #763457)
  * checks/debhelper.{desc,pm}:
    + [NT] Warn about using dh --{until,before,after,remaining} as
      these are deprecated and have been since debhelper/8.9.4.
    + [NT] Permit the use of dh-exec-install in ".manpages" as well
      since dh-exec now advertises this as acceptable.  Thanks to
      Andreas Henriksson for reporting this.  (Closes: #788796)
  * checks/fields.pm:
    + [BR] Detect double comma in  uploaders fields.
      (Closes: #783628).
  * checks/files.{desc,pm}:
    + [NT] Apply patch from Tomasz Buchert to avoid false-positive
      package-contains-timestamped-gzip in some cases.
      (Closes: #762105)
    + [BR] Detects // tricks in privacy breach test.
      (Closes: #786362)
    + [BR] Apply patch from Lisandro Damián Nicanor Pérez Meyer
      for detecting private cmake file.
      (Closes: #785329).
    + [BR] Detect package shipping apt_preferences(5) file.
      (Closes: #786533).
    + [BR] Detect package shipping oui or iab ieee database.
      (Closes: #785662).
    + [NT] Add a check for packages without intermediate
      directories.
    + [BR] Avoid a false positive in jsom for defaultpresets.xml
      from openmapstreet.
    + [NT] Tweak the "extra-license-file" check to avoid some
      common false-positives.
    + [BR] Raise severity of package-contains-timestamped-gzip.
      (Closes: #778328).
    + [BR] Detect package shipping apt_sources(5) file.
      (Closes: #646965).
    + [BR] Warn about files installed in /usr/share/mime/ other
      than in packages/.  (Closes: #761649).
  * checks/java.pm:
    + [NT] Fix "off-by-one" in the check for the maximum permitted
      Java major version.
  * checks/manpages.{desc,pm}:
    + [NT] Retire the hyphen-used-as-minus-sign tag as upstream now
      renders both "-" and "\-" as HYPHEN-MINUS.  (Closes: #785353)
  * checks/po-debconf.pm:
    + [JW] Use TMPDIR rather than TEMPDIR for temporary files.
      (Closes: #787930)
  * checks/source-copyright.pm:
    + [NT] Apply patch from Evgeni Golov to permit multiple
      different "public-domain licenses", as they are expected to
      describe why the affected files are in public domain.
      (Closes: #787248)
  * checks/systemd.{desc,pm}:
    + [NT] Apply patch from Felipe Sateler to mark service files in
      /usr/lib as invalid.  (Closes: #788629)
    + [NT] Apply patch from Felipe Sateler to detect service files
      that use spaces around the = in the key definition.
      (Closes: #786421)

  * collection/{debfiles,doc-base-files,init.d,menu-files}{,.desc}:
    + [NT] Remove deprecated and unused collections.  These were
      deprecated in 2.5.28.  Note that debfiles was omitted in the
      deprecation list by mistake in the original 2.5.28 release.
  * collection/objdump-info:
    + [NT] Also analyse static libraries.
  * collection/unpacked:
    + [NT] Apply patch from Tomasz Buchert to extract the full time
      in UTC.

  * commands/reporting-sync-state.pm:
    + [NT] Read mirror files as UTF-8 files to avoid mojibake in
      maintainer names.  Once again, thanks to Andreas Rönnquist
      for the report.
  * commands/spellintian.pm:
    + [JW,NT] Import Jakub Wilk's spellintian tool with minor
      modifications.

  * data/binaries/embedded-libs:
    + [BR] Detect embedded ieee-data package.
  * data/cruft/non-free-license:
    + [BR] Detect autogenerated gperf data.  (Closes: #762179).
    + [BR] Detect ieee oui db in source files.
  * data/cruft/missing-dir-search-path:
    + [BR] Fix a false positive in fspy for source-is-missing.
  * data/cruft/warn-file-type:
    + [BR] Fix a false positive source-is-missing by checking
      -nc.js suffix.
    + [BR] Fix a false positive source-is-missing in zivot
      package by adding .e as binary suffix.
    + [BR] Fix a false positive source-is-missing by adding
      yorick source file as source.
    + [BR] Fix a false positive source-is-missing in
      haskell-pretty-show by adding -src.js suffix.
    + [BR] Fix a false positive source-is-missing in
      iceweasel by adding -prod.js suffix.
  * data/debhelper/*:
    + [NT] Refresh against unstable to pick up the rename of
      libaqbanking-dev.  Thanks to Micha Lenk for the reminder.
      (Closes: #787937)
  * data/debhelper/filename-config-files:
    + [NT] Add "links" file.
  * data/fields/archive-sections:
    + [NT] Pre-emptively support the "debugsym" section, which is
      expected to be used by debhelper for "ddebs".
  * data/files/js-libraries:
    + [NT] Apply patch from Jean-Michael Vourgère to detect
      embedded versions of libjs-raphael.  (Closes: #788839)
  * data/files/privacy-breaker-websites:
    + [BR] Detect mascot as logos.
  * data/java/constants:
    + [NT] Accept Java7 class files without warning as OpenJDK-7
      is now the default implementation.  Thanks to Markus
      Koschany for the report.  (Closes: #786895)

  * debian/changelog:
    + [NT] Add missing list of new / removed tags to the
      entry for the previous release.
    + [NT] Add missing "debfiles" in the list of collections
      deprecated in 2.5.28.  It was deprecated in that release
      despite the omission.
  * debian/copyright:
    + [NT] Document new text case being under the Expat license.
  * debian/{lintian.links,manpages}:
    + [NT] Install spellintian in PATH and install its manpage.
      Thanks to Paul Wise for the suggestion.  (Closes: #767867)
  * debian/rules:
    + [NT] Generate the spellintian manpage during build.

  * frontend/spellintian:
    + [NT] Add symlink to dplint.

  * helpers/coll/objdump-info-helper:
    + [NT] Collect readelf output from static libraries.
    + [NT] Fix bug that caused lintian to ignore the up to 10
      valid named sections.

  * lib/Lintian/Check.pm:
    + [NT] Rewrite check_spelling{,_picky} with a new interface,
      which is better suited for additional purposes than just
      emitting Lintian tags.
    + [JW, NT] Normalise spaces a bit better in check_spelling to
      catch some "multi-word" misspellings, where said words are
      not on the same line.  (Closes: #763456)
  * lib/Lintian/Collect/Binary.pm:
    + [JW, NT] Make is_pkg_class case-insensitive to avoid some
      false-positive "empty-binary-package" warnings.
      (Closes: #789151)
    + [NT] Make data from static libraries available.
  * lib/Lintian/Collect/Package.pm:
    + [NT] Create "faux" Lintian::Path entries for missing
      intermediate directories.  This avoids a crash and made
      some checks work correctly even in the absence of such
      immediate directories.  (Closes: LP: #1351380)
  * lib/Lintian/Path.pm:
    + [NT] Apply patch from Tomasz Buchert to add "timestamp"
      method.
    + [NT] Add "faux" method that returns at truth value for
      path entries, which Lintian has created from templates
      to fully connect all path entries in the package.
  * lib/Lintian/Tag/Info.pm:
    + [NT] Expand BTS links using https rather than http.
  * lib/Test/Lintian.pm:
    + [NT] Output spelling mistakes as "diag()" messages now.

  * mail-templates/source-is-missing:
    + [BR] Apply patch from Holger Levsen improving language.

  * profiles/debian/ftp-master-auto-reject.profile:
    + [NT] Refresh against current rule set.

  * t/scripts/spellintian.t:
    + [JW,NT] Import spellintian test case.

 -- Niels Thykier <niels@thykier.net>  Sun, 28 Jun 2015 14:08:29 +0200

lintian (2.5.31) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - bad-intended-distribution
      - dbus-policy-excessively-broad
      - debian-pycompat-is-obsolete
      - debian-watch-file-accesses-pypi-over-http
      - debian-watch-file-unsupported-pypi-url
      - dep5-copyright-license-name-not-unique
      - dep5-file-paragraph-reference-header-paragraph
      - file-should-not-be-compressed
      - multiline-architecture-field
      - python-version-current-is-deprecated
      - uses-no-compression-for-control-tarball
      - uses-no-compression-for-data-tarball
      - xs-testsuite-header-in-debian-control
    + Removed:
      - bad-intended-distibution
      - compressed-objects.inv

  * checks/binaries.pm:
    + [BR] Do not tag with
      library-in-debug-or-profile-should-not-be-stripped
      when file add "not stripped, too many notes" to its
      output. Thanks to Jakub Wilk.  (Closes: #775760).
    + [AB] Ignore tEH and tEh for spelling-error-in-binary. (Closes:
      #782902; bug report and patch by Tomasz Buchert, thanks!)
  * checks/changelog-file.{desc,pm}:
    + [BR] Correct a typo on tag name and do not raise
      bad-intended-distribution if distribution is still
      set to UNRELEASED.  (Closes: #765344).
    + [NT] Apply patches from Ben Finney to permit quotes around
      the distribution name in the "to unstable" entries.
      (Closes: #784012)
  * checks/control-file.{desc,pm}:
    + [BR] Apply patch from Johannes Schauer in order
      to detect obsolete XS-Testsuite header.
      (Closes: #770068).
    + [AB] New check for multiline architecture fields in debian/control.
      (Closes: #780474)
    + [NT] Apply patch from Guillem Jover to update the description
      of the xs-testsuite-header-in-debian-control tag.
      (Closes: #781397)
  * checks/copyright-file.pm:
    + [NT] Permit the use of "pkg:arch" dependencies when packages use
      symlinked doc-dirs.
  * checks/cruft.{desc,pm}:
    + [NT] Import "d/pycompat is deprecated" check from
      lintian4python.
  * checks/dbus.{desc,pm}:
    + [NT] Apply patch series from Simon McVittie to
      improve the dbus check.  In particular, detect dbus
      policy files that exposes CVE-2014-8148 and
      CVE-2014-8156.  (Closes: #776480)
  * checks/deb-format.{desc,pm}:
    + [BR] Support all format described in deb(5)
      but manually reject until dak is ready.
  * checks/debian-source-dir.pm:
    + [NT] Fix regression where "missing-debian-source-format" was
      not emitted if "debian/source" was missing.  Thanks to
      Jean-Michel Nirgal Vourgère for finding this bug.
      (Closes: #781235)
  * checks/description.pm:
    + [NT] Allow debug packages without an extended description.
  * checks/fields.{desc,pm}:
    + [BR] Add reference to build-depends-on-metapackage
      (Closes: #767107).
    + [BR] Check source version (Closes: #749103).
    + [NT] Import check of "Python-version: current" being
      deprecated from lintian4python.
    + [AB] Remove "dev" from list of suffixes to trigger
      rc-version-greater-than-expected-version (Closes: #732246)
    + [AB] Recognize user@host:path.git URIs in Vcs-Git (Closes: #778323)
  * checks/files.{desc,pm}:
    + [BR] Rename compressed-objects.inv to
      file-should-not-be-compressed and use it for doxygen
      map.gz.  (Closes: #751949).
    + [NT] Merge patch from Nicolas Boulenguez to remove some
      partially redundant code.  (Closes: #784277)
    + [NT] Allow "-dbgsym" as an alternative name to "-dbg" for
      packages containing debug symbols.
  * checks/init.d.desc:
    + [BR] Add reference to #DEBHELPER# token for
      script-in-etc-init.d-not-registered-via-update-rc.d.
      (Closes: #775467).
  * checks/patch-systems.pm:
    + [NT] Avoid crashing on debian/patches being a file.
      (Closes: #778556)
  * checks/po-debconf.pm:
    + [NT] Avoid errors from intltool-update.
      (Closes: #778558)
  * checks/script.{desc,pm}:
    + [BR] Fix some false negatives for
      command-with-path-in-maintainer-script tag.
      (Closes: #769845).
  * checks/shared-libs.{desc,pm}:
    + [NT] Apply patch from Guillem Jover to recognise the
      "Ignore-Blacklist-Groups" meta field in symbols files.
      (Closes: #781396)
  * checks/source-copyright.{desc,pm}:
    + [BR] Fix a false positive for
      missing-license-paragraph-in-dep5-copyright tag.
      Emit a new specific tag for references to the header paragraph
      as a license paragraph.  (Closes: #766118).
    + [BR] Detect if license short name are unique.
    + [BR] Avoid false positive license-problem-undefined-license
      for - in short license.
    + [BR] Warn when using reference to header license.
      (related to bug #769818).
  * checks/symlinks.desc:
    + [AB] package-contains-broken-symlink: Mention in the tag description
      that only direct dependencies built from the same source package can
      be checked by lintian. (Closes: #776535)
  * checks/watch-file.{desc,pm}:
    + [NT] Check for watch files accessing PyPI over HTTP
      instead of HTTPS.  This check has been imported from
      lintian4python (with a different tag name).
    + [AB] Check for watch files accessing unsupported PyPI URLs (Check
      written by James McCoy and Ben Finney; Closes: #776267)

  * collection/strings:
    + [NT] Pass "-a" to strings to avoid possible security
      issues in strings.

  * commands/reporting-{lintian-harness,sync-state}:
    + [NT] New files (internal commands for the reporting
      framework).

  * data/binaries/arch-regex:
    + [NT] Add arm64 and ppc64el regex.
    + [NT] Correct armel and armhf regex to cope with
      statically linked binaries.  (Closes: #768884)
  * data/binaries/embedded-libs:
    + [RG] Do not warn about libpng1.6 embedding libpng
    + [RG] Add a new string to detect embedders of libpng
  * data/changes-file/known-dists:
    + [ADB] Add "stretch".
  * data/cruft/rfc-whitelist:
    + [BR] Whitelist dual licensed vorbis rfc5215.
  * data/debhelper/dh_addons-manual:
    + [BR] Apply patch from Jean-Michel Nirgal Vourgère for
      detecting missing-build-dependency-for-dh-addon apache2.
      (Closes: #778820).
  * data/fields/binary-fields:
    + [AB] Add ghc-package (Source: /usr/share/cdbs/1/class/hlibrary.mk)
    + [AB] Add gstreamer-* fields as generated by dh_gstscancodecs
    + [AB] Add lua-versions as mandated by the Debian Lua Policy
  * data/fields/perl-provides:
    + [NT] Update perl-provides for perl 5.20.2.
  * data/files/js-libraries:
    + [AB] Use "tinymce" instead of "tinymce2?" (Closes: #783327)
  * data/files/obsolete-paths:
    + [BR] Add /etc/bash_completion.d (Closes: #776954).
  * data/files/privacy-breaker-websites:
    + [BR] Add specific test for privacy breach with modernizr.js
      (Closes: #769679).
    + [BR] Add /logos/ to privacy-breach-logo.
    + [BR] Add specific test for libjs-openlayer.
    + [BR] Detect twitter logo.
    + [BR] Detect libjs-jquery-flot.
    + [BR] Detect libjs-jquery-mobile.
    + [BR] Detect beta of libjs-query.
    + [BR] Detect libjs-prototype.
  * data/spelling/corrections:
    + [BR] Add portugese||Portuguese.  (Closes:  #764015).
  * data/spelling/corrections-multiword:
    + [BR] Add "allow one to" and "permit one to".  (Closes: #756128).

  * debian/control:
    + [NT] Recommend dpkg (>= 1.17.14) for the --ctrl-tarfile
      option in dpkg-deb.  Lintian relies on it to support
      (u)deb files without a gzip compressed control.tar file.
    + [AB] Promote xz-utils from Suggests to Depends. (Closes: #774729)
  * debian/copyright:
    + [AB] Update copyright years.
  * debian/rules:
    + [NT] Add CLEAN_TEST_WORK_DIR to be able to control
      whether the test artifact directory should be cleaned
      during a call to "debian/rules clean" (defaulting to
      do the clean).

  * doc/CREDITS:
    + [AB] Add contributors from 2014 and 2015.

  * frontend/lintian:
    + [NT] Produce a better error message for lintian detects
      that a check has a dependency on an unknown collection.

  * helpers/coll/objdump-info-helper:
    + [NT] Apply patch from Matt Kraai that adjusts the regex
      used for parsing readelf output.  Thanks to Martin Pitt
      for reporting the issues.  (Closes: #771054)

  * lib/Lintian/Collect/Binary.pm:
    + [NT] Add "debug" class for "is_pkg_class".  This uses the
      package name to guess if the package is expected to
      contain debug symbols.
  * lib/Lintian/Command.pm:
    + [NT] Use croak() rather than L::Util's fail() on errors.
      The issues are generally not "internal errors".
  * lib/Lintian/Internal/FrontendUtil.pm:
    + [NT] Work around a bug in autodie, where an fdopen of a
      file-descriptor always failed with "bad file descriptor".
  * lib/Lintian/Lab.pm:
    + [NT] Null fields extra metadata fields in the lab storage
      that are no longer used.  These were previously used by
      the reporting framework.
    + [NT] Automatically correct lab metadata, when the lab
      discovers an entry does not exist.  Any remains of the
      entry will be removed as well.  Previously, the lab would
      just throw an error and require a manual correction of
      the lab.
  * lib/Lintian/Reporting/ResourceManager.pm:
    + [NT] Only preserve the last extension of the installed
      resource.  Previously it would keep all "extensions",
      including long parts of the original name if it happened
      to contain a period.
  * lib/Lintian/Util.pm:
    + [NT] Prefer dpkg-deb --ctrl-tarfile to "ar p" when dpkg
      is recent enough.
    + [NT] Stricten the permitted whitespace at the end of GPG
      marker lines.  This is the same issue as CVE-2015-0840,
      except lintian never attempted to validate the signature.
    + [NT] Explicitly use YAML::XS for reading and writing
      YAML files.  YAML::Any does not specify an interface for
      reliably read YAML files in UTF-8 encoding leading to
      "mojibake" in some cases.  Thanks to Andreas Rönnquist
      for reporting the issue.  (Closes: #784639)

  * profiles/ubuntu/main.profile:
    + [BR] Exclude no-human-maintainers (Closes: #769036).

  * reporting/config:
    + [NT] Include and briefly document new configuration
      options.
  * reporting/{harness,html_reports}:
    + [NT] Rewrite harness and remove the hard dependency on
      a functional permanent laboratory in the reporting
      framework.
      - The framework now relies on the "harness state cache"
        (a YAML file), which can be updated atomically.
      - The harness framework now avoids stat(2)ing all
        artefacts on the mirror just to check if they are
        unchanged.
      - The harness frontends use less memory and now
        releases most of it before calling html_reports.
        This should reduce the peak memory requirements
        considerably for the html_reports part of the run.
  * reporting/{html_reports,templates/*}:
    + [NT] Reorder the datastructures shared with templates
      for better data sharing.  This reduces the memory
      consumption of html_reports by ~25% on lintian.d.o.
  * reporting/html_reports:
    + [NT] Templates are now always read and (their output)
      written in the UTF-8 encoding.
    + [NT] Stop reading $statistics_file from the config file.

  * t:
    + [NT] Apply patch from Matt Kraai to fix test case on
      i386.  (Closes: #771113)
  * t/scripts/pod-spelling.t:
    + [AB] Hardcode aspell as spelling command since Test::Spelling
      prefers spell over aspell if installed, too. This avoids having to
      add a "Build-Conflicts: spell".
  * t/tests/files-embedded/:
    + [AB] Add test case for #783327.

 -- Niels Thykier <niels@thykier.net>  Thu, 14 May 2015 08:11:27 +0200

lintian (2.5.30) unstable; urgency=medium

  The "welcome Axel Beckert!" release.

  * Summary of tag changes:
    + Removed:
      - deprecated-kdelnk-file

  * checks/menu-format.{desc,pm}:
    + [NT] Retire check for "kdelnk" files.

  * collection/unpacked:
    + [NT] Correct handling of files with 2 or more consecutive
      backslashes.

  * debian/control:
    + [AB] Add a Homepage header pointing to https://lintian.debian.org/
  * debian/copyright:
    + [AB] Add myself to debian/copyright.
  * debian/rules:
    + [NT] Ensure that po4a/*.cfg are always up to date during releases
      builds.

  * helpers/coll/strings-helper:
    + [NT] Filter out duplicate strings.  This applies to the
      majority of all ELF binaries (except ones with very exotic
      file names with glyphs like ":").

  * lib/Lintian/Internal/FrontendUtil.pm:
    + [AB] Don't clean HOME and some XDG_* variables when sanitizing the
      environment. (Closes: #766737)

  * t:
    + [JW,NT] Apply patch from Johannes Schauer to fix FTBFS with
      newer dpkg that have stricter checking of build-profiles.

 -- Niels Thykier <niels@thykier.net>  Sat, 25 Oct 2014 17:03:48 +0200

lintian (2.5.29) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - dbus-policy-at-console
      - dbus-policy-without-send-destination
      - dbus-session-service-wrong-name
      - dbus-system-service-wrong-name
      - invalid-profile-name-in-build-profiles-field
      - invalid-profile-name-in-source-relation
      - invalid-restriction-formula-in-build-profiles-field
      - restriction-formula-with-debhelper-with-conflicting-version
      - restriction-formula-with-debhelper-without-debhelper-version
      - restriction-formula-with-versioned-dpkg-dev-conflict
      - restriction-formula-without-versioned-dpkg-dev-dependency
    + Removed:
      - invalid-restriction-label-in-source-relation
      - invalid-restriction-namespace-in-source-relation
      - invalid-restriction-term-in-source-relation
      - restriction-list-with-debhelper-with-conflicting-debhelper-version
      - restriction-list-with-debhelper-without-debhelper-version
      - restriction-list-with-versioned-dpkg-dev-conflict
      - restriction-list-without-versioned-dpkg-dev-dependency
      - stageX-profile-used-but-no-binary-package-dropped

  * checks/{control-file,fields}.{desc,pm}:
    + [NT] Apply patch from Johannes Schauer to support the
      new build profile syntax.  (Closes: #763773)
  * checks/dbus.{desc,pm}:
    + [NT] New check by Simon McVittie to discover some dbus
      related issues.  (Closes: #762609)
  * checks/nmu.pm:
    + [JW] Avoid chopping off trailing ">" in emails in the
      canonicalize subroutine.  (Closes: #766468)
  * checks/rules.pm:
    + [JW,NT] Fix undef warning for packages with empty an
      empty d/rules file.  (Closes: #766033)
  * checks/source-copyright.pm:
    + [NT] Apply patch from Johannes Schauer to optimise the
      check.
    + [NT] Optimise for "dir/*" wildcards in DEP-5 copyright
      files.
  * checks/watch-file.pm:
    + [NT] Fix undef warning with some watch files.  Thanks
      to Axel Beckert for reporting the bug.
      (Closes: #765995)

  * collection/{bin-pkg-control,unpacked}:
    + [NT] Pass "-m" to tar to make it avoid "correcting" the
      timestamp of the extracted files.  Lintian does not need
      it for correctness, so it can make tar save a few syscalls
      here.
    + [NT] Explicitly pass tar options to make it extract files
      as the current user and applying the users umask.  This is
      mostly to be explicit about how things are extracted.
  * collection/file-info:
    + [NT] Stop collecting file-info for "non-files".  The output
      is not used and often trivial / predictable from other data
      input already available.
  * collection/strings:
    + [NT] Stop creating "elf-index" file as nothing uses it.
  * collection/unpacked:
    + [NT] Gracefully handle when symlink targets contains
      newlines.  Thanks to Faheem Mitha for reporting the bug.
      (Closes: #765311)

  * frontend/lintian:
    + [NT] Aggressively reset the environment a well-defined
      state at start up.  Only ENV variables starting with
      "LINTIAN_" (and a select few well known variables) are
      preserved.
    + [NT] Runtime for collections and checks now only requires
      a single --debug option.  Lintian will now also show
      runtime for other things (e.g. total runtimes).
    + [NT] Add --perf-debug and --perf-output options to enable
      logging for performance data.  This is mostly intended
      to allow collecting performance data from archive-wide
      runs.
    + [NT] Hide some options in the default output for --help.
      These can now be shown with "--help=extended".
    + [NT] Add a new "Developer/special usage options" section
      in the --help output for some options (e.g. --debug).
      This section is hidden by default.

  * lib/Lintian/Relation.pm:
    + [NT] Unparsable entries are now included in relation
      objects rather than being silently discarded.
  * lib/Lintian/Util.pm:
    + [NT] Purge even more ENV variables in clean_env.
    + [NT] Add "pipe_tee" subroutine for tee'ing data from one
      input file descriptors to one or more output file
      descriptors.

  * man/lintian.pod.in:
    + [NT] Document the performance logging options.
    + [NT] Add a new "Developer/special usage options" section
      in the --help output for some options (e.g. --debug).

  * private/generate-html-docs:
    + [NT] Add doctype and encoding to generated files.

  * reporting/harness:
    + [NT] Add missing import.
  * reporting/html_reports:
    + [NT] Correct the command line in the creation of the
      lintian.log.gz.
  * reporting/{html_reports,templates/*}:
    + [NT] Correct the generated HTML, which was invalid in
      some cases.
  * reporting/templates/{head,lintian.css}.tmpl:
    + [NT] Define a default "viewport".  This slightly improves
      the output on some mobile devices.
    + [NT] Add some special cases for "smaller" viewports in the
      style sheet.
  * reporting/templates/maintainer.tmpl:
    + [NT] Correct name of variable to avoid using an undefined
      variable.

  * vendors/ubuntu/main/data/changes-file/known-dists:
    + [NT] Add "vivid" per request of Iain Lane.

 -- Niels Thykier <niels@thykier.net>  Fri, 24 Oct 2014 23:15:52 +0200

lintian (2.5.28) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - license-problem-cc-by-nc-sa

  * checks/*:
    + [NT] Remove all uses of "control", "debfiles" and
      "unpacked".
  * checks/*:
    + [NT] Remove all uses of the "doc-base-files", "init.d"
      and "menu-files" collections.
  * checks/changes-file.pm:
    + [NT] Add "-lts" as common suffix for distribution,
      which makes "squeeze-lts" a valid distribution.  Thanks
      to Holger Levsen for the report.  (Closes: #763339)
  * checks/description.pm:
    + [SL] show the actual description when it is too short.
  * checks/files.pm:
    + [NT] Only flag the Doxygen generated "md5" file as
      useless.  Thanks to Mathieu Malaterre for reporting.
      (Closes: #762660)
  * checks/patch-systems.pm:
    + [NT] Rewrite using index rather than debfiles to analyse
      the package.  A side-effect of that means that Lintian
      can now check patches stored in the upstream part of the
      packages.  (Closes: #563773)
  * checks/po-debconf.pm:
    + [NT] Avoid writing test.pot to the unpacked package.
      (Closes: #699022)
  * checks/testsuite.pm:
    + [NT] Recognise autopkgtest-pkg-{perl,ruby} values for
      the "Testsuite" field.  Extended validation is not
      implemented though.  Thanks to Niko Tyni for reporting
      the issue.  (Closes: #762177)

  * collection/*:
    + [NT] Remove all uses of "debfiles" and "control".
  * collection/{debfiles,doc-base-files,init.d,menu-files}{,.desc}:
    + [NT] Deprecated, will be removed in a future release.
      They will now be now auto-removed at the end of the
      processing if they have been collected previously.

  * data/*:
    + [NT] Refresh some of the data against unstable.
  * data/cruft/non-free-license:
    + [BR] Detect cc-by-nc-sa license.  (Closes:  #749768).
  * data/standards-version/release-dates:
    + [NT] Add 3.9.6.  (Closes: #762460)

  * debian/control:
    + [NT] Bump Standards-Versions to 3.9.6 - no changes
      required.
  * debian/dirs:
    + [NT] Stop installing /var/spool/lintian
  * debian/lintian.install:
    + [NT] Install Lintian::Tutorial POD documents into
      /usr/share/perl5.  (Closes: #761930)
  * debian/postinst:
    + [NT] Remove empty Lintian labs in /var/spool/lintian on
      upgrade.
  * debian/postrm:
    + [NT] Remove the "changes" folder when purging the
      Lintian lab in /var/spool/lintian.
  * debian/source/lintian-overrides:
    + [NT] Remove obsolete lintian overrides.

  * doc/tutorial/Lintian/Tutorial/WritingChecks.pod:
    + [NT] Mention "safe_qx" as alternative to qx/`` in the
      tutorial.

  * lib/Lintian/Collect{,/*}.pm:
    + [NT] Deprecate the use of "control", "debfiles" and
      "unpacked".  Consumers are recommended to use
      index_resolved_path and control_index_resolved_path
      instead.
    + [NT] Remove all uses of debfiles (both the method and
      the collection).  All methods (except "debfiles") now
      depend on "unpacked" instead.
    + [NT] Remove all uses of the "control" and the "unpacked"
      method.
  * lib/Lintian/Command.pm:
    + [NT] Add support for running a sub in the child before
      it calls exec.
    + [NT] Add support for shell-like (e.g. &2) redirects of
      stdout and stderr.
    + [NT] Add safe_qx sub for replacing qx() that supports
      most of the features of spawn().
  * lib/Lintian/Path.pm:
    + [NT] Add support for fetching and (where it makes sense)
      opening the underlying file system object.  It also adds
      a few minor safety guards to common issues with symlinks.
      (Closes: #698930)
  * lib/Lintian/Path/FSInfo.pm:
    + [NT] New file.

  * reporting/*:
    + [NT] Avoid forking a shell when invoking commands.  This
      has the side effect of allowing some paths from the
      configuration to contain spaces (among other), where it
      previously would not work.
  * reporting/templates/maintainer.tmpl:
    + [NT] Use https:// in links to other resources/sites and
      add link to tracker.debian.org.

 -- Niels Thykier <niels@thykier.net>  Thu, 02 Oct 2014 19:27:09 +0200

lintian (2.5.27) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - bad-exception-format-in-dep5-copyright
      - changed-by-address-is-root-user
      - exclusive-runtime-tests-field
      - maintainer-address-is-root-user
      - source-contains-prebuilt-doxygen-documentation
      - uploader-address-is-root-user
      - useless-autogenerated-doxygen-file

  * checks/cruft.pm:
    + [BR] Fix a few false positives is for javascript source-is-missing.
    + [BR] Detect prebuilt doxygen documentation.
  * checks/fields.pm:
    + [JW] Fix incorrectly anchored regexps.  (Closes: #760987)
  * checks/files.pm:
    + [BR] Detect useless doxygen generated file.  (Closes:  #751945)
  * checks/manpages.desc:
    + [BR] Improve documentation of manpage-has-errors-from-man.
      (Closes: #757068).
  * checks/menu-format.pm:
    + [BR] Fix a false positive in desktop-mime-but-no-exec-code.
      (Closes: #760677).
  * checks/source-copyright.pm:
    + [BR] Fix false positive for space-in-std-shortname-in-dep5-copyright
      with alternative licenses.  (Closes: #760642).
    + [BR] Fix false positive for with exception syntax.
    + [BR] Fix false positive of
      wildcard-matches-nothing-in-dep5-copyright.  (Closes: 761125)
  * checks/testsuite.{desc,pm}:
    + [BR] Fix false positive missing-runtime-tests-field.
      (Closes: #760714).
    + [BR] Print line in case of error.

  * data/fields/metapackages:
    + [BR] Add qt4-default and qt5-default as metapackage.
      (Closes: #756158).

  * lib/Lintian/Check.pm:
    + [BR] Detect package being built as user root.
      (Closes: #612583).

 -- Niels Thykier <niels@thykier.net>  Sat, 13 Sep 2014 22:48:36 +0200

lintian (2.5.26) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - backports-changes-missing
      - backports-upload-has-incorrect-version-number
      - debian-upstream-obsolete-path
      - description-is-pkg-name
      - description-too-short
      - desktop-mime-but-no-exec-code
      - empty-short-license-in-dep5-copyright
      - file-without-copyright-information
      - invalid-escape-sequence-in-dep5-copyright
      - invalid-short-name-in-dep5-copyright
      - license-problem-bad-php-license
      - license-problem-php-license
      - license-problem-undefined-license
      - no-dep5-copyright
      - package-contains-timestamped-gzip
      - pipe-symbol-used-as-license-disjunction
      - privacy-breach-may-use-debian-package
      - source-contains-autogenerated-visual-c++-file
      - space-in-std-shortname-in-dep5-copyright
      - unused-file-paragraph-in-dep5-copyright
      - wildcard-matches-nothing-in-dep5-copyright
    + Removed:
      - copyright-refers-to-bad-php-license
      - copyright-refers-to-problematic-php-license

  * checks/binaries.{desc,pm}:
    + [NT] Apply patch from Damyan Ivanov to handle the new
      Perl5 library path location.
  * checks/changes-file.{desc,pm}:
    + [BR] Add patch from Ivo De Decker, add check for
      backports changes file.  (Closes: #732225).
    + [BR] Apply patch from Tomasz Buchert, add check for
      timestamped gzip files.  (Closes: #738591).
  * checks/cruft.{desc,pm}:
    + [BR] Use license checking framework for checking php license.
      (Closes: #752540).
    + [BR] Add a pedantic tag for autogenerated file made by Visual
      C++.
    + [BR] Fix another false positive for gfdl invariants in
      php-elisp, doc-linux-fr and in clisp.
    + [BR] Detect old path for upstream metadata.
  * checks/description.{desc,pm}:
    + [SL] Check for one word short description.  (Closes: #756643).
    + [SL] Check if the short description is the same as the
      package name.  (Closes: #757398).
  * checks/fields.pm:
    + [NT] Apply patch from Salvatore Bonaccorso to recommend the
      new cgit URLs for anonscm.debian.org over the webgit URLs.
      (Closes: #756940)
  * checks/files.pm:
    + [BR] Fix false positive in detection of cross arch pkgconfig.
      (Closes: #755902).
    + [BR] Detect privacy breach fixable by using existing debian
      package.
    + [BR] Whitelist <link rel="generator-home"...> in privacy breach
      checker.
    + [NT] Apply patch from Damyan Ivanov to handle the new
      Perl5 library path location.  (Closes: #757921)
  * checks/init.d.pm:
    + [NT] Allow usage of /lib/init/init-d-scripts as alternative to
      implementing init.d targets in the script itself.  Thanks to
      Yaroslav Halchenko for the report.  (Closes: #758236)
  * checks/menu-format.pm:
    + [BR] Add new desktop keys files. Move key list to data.
      (Closes: #755266).
    + [NT] Apply patch from Niklas Fiekas to check for desktop files
      with MimeType-field but no format code in the Exec-field.
      (Closes: #757383)
  * checks/phppear.pm:
    + [BR] Fix a false positive for
      missing-pkg-php-tools-addon phpcomposer, thanks to
      David Prévot (Closes: #754738).
  * checks/source-copyright.{desc,pm}:
    + [BR] Add a pedantic warning about non dep-5 debian/copyright.
    + [BR] Detect empty required fields.  (Closes: #748452, #656801).
    + [BR] Detect undefined license.  (Closes: #733659).
    + [BR] Apply patch from Johannes Schauer in order
      to warn if the pipe symbol is used in license.
      (Closes: #757583).
    + [BR] Apply patch from Johannes Schauer in order to
      check if DEP-5 debian/copyright covers all files
      in the unpacked sources. (Closes: #757551).
    + [BR] Detect bad short name and space in license.
      Thanks to Clint Adams and Johannes Schauer.
      (Closes: #747248, #757615).
    + [BR] Avoid to raise file-without-copyright-information
      for .pc directory.
  * checks/systemd.pm:
    + [NT] Allow usage of /lib/init/init-d-scripts as alternative to
      sourcing /lib/lsb/init-functions.
  * checks/testsuite.desc:
    + [BR] Update ref url.  (Closes: #755275).

  * data:
    + [NT] Refresh several data files against sid.
  * data/cruft/gfdl-license-fragments-checks:
    + [BR] Add tla false positive for gfdl license text.
  * data/cruft/non-distributable-files:
    + [BR] Detect play boy Lenna test image.
  * data/cruft/non-free-files:
    + [BR] Add non free icc profile HP5000_UVDuraImageGlossMaxQ.icc
      from nips2 package.
  * data/cruft/warn-file-type:
    + [BR] Add debug source suffix for detecting javascript
      source-is-missing and improve test suite. Fix a
      false positive in mono and in jenkins.
  * data/debhelper/dh_commands:
    + [BR] Add patch from  Piotr Ożarowski, dh-python2
      moved to dh-python package (Closes: #740161).
  * data/debhelper/dh_commands-manual:
    + [JW] Add dh_apache2 relations to avoid a false-positive.
      Thanks to Axel Beckert for reporting the issue.
      (Closes: #748688)
    + [NT] Add ":any" to all python related dependencies.  Thanks
      to Matthias Klose for reporting the issue.  (Closes: #733733)
  * data/debhelper/*:
    + [NT] Refresh against sid.  Thanks to Christian Marillat for
      reporting the out of date data.  (Closes: #758891)
  * data/fields/obsolete-packages:
    + [NT] Add ruby1.9.1, ruby1.9.1-dev and libruby1.9.1 per
      request of the Ruby team.
  * data/files/js-libraries:
    + [BR] Apply patch from Paul Wise for detection of
      libjs-excanvas.
  * data/files/privacy-breaker-website:
    + [BR] Improve detection of sourceforge logos.
    + [BR] Detect libjs-jquery use.
    + [BR] Detect libjs-mathjax use.
    + [BR] Add count.digitalpoint.com to statistics website.
    + [BR] Add xoom.com to privacy-breach-donation (used by
      freesci-doc package).
    + [BR] Detect libjs-jquery-ui use.
    + [BR] Detect pledgie.com as a donation website.
  * data/source-copyright/bad-short-licenses:
    + [BR] Add unspecified and - as bad license.
    + [BR] Detect some invalid short name. Thanks to
      Johannes Schauer.

  * debian/control:
    + [NT] Update recommendation on libautodie-perl to
      include perl 5.20 as alternative.
  * debian/rules:
    + [NT] Gracefully handle the case where there are no
      translations of tag descriptions.

  * doc/tutorial/Lintian/Tutorial/WritingChecks.pod:
    + [NT] Correct tutorial now that the "index" collection
      is gone.

  * lib/Lintian/Internal/FrontendUtil.pm:
    + [NT] Ignore set, but empty locale environment variables.
      Thanks to Michael Prokop for the report.  (Closes: #759726)

  * reporting/{config,html_reports}:
    + [NT] Add support for copying the documentation rather than
      symlinking to it.  Thanks to Nicolas Sévelin-Radiguet for
      reporting the issue.  (Closes: #756301)

  * t:
    + [BR] Fix FTBFS on !amd64.  (Closes: #757802).

 -- Niels Thykier <niels@thykier.net>  Sat, 06 Sep 2014 10:44:36 +0200

lintian (2.5.25) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - capitalization-error-in-description-synopsis
      - incorrect-naming-of-pkcs11-module
      - package-contains-thumbnails-dir
      - pkg-config-bad-directive
      - source-contains-prebuilt-ms-help-file
      - spelling-error-in-description-synopsis

  * checks/*.desc:
    + [NT] Replaced "index" with "unpacked" in Needs-Info.
  * checks/cruft.{desc,pm}:
    + [BR] Add a forgotten return statement, and avoid
      false positive for deployJava.js (Closes: #745152).
    + [BR] Fix another false positive in GFDL detection.
    + [BR] Use whitelist for know good RFC (Closes: #753970).
    + [BR]  Detect and warn about *.chm file
      (MS Windows HtmlHelp Data).  (Closes: #653910).
  * checks/description.{desc,pm}:
    + [NT] Apply patch from Anders Jonsson to check spelling
      of the package synopsis.  (Closes: #747266)
  * checks/files.{desc,pm}:
    + [RG,NT] Check for invalid named p11-kit modules in
      /usr/share/p11-kit modules.  (Closes: #741346)
    + [BR] Detect cross architecture pkg-config file.
      (Closes: #539225).
    + [BR] Add a sanity check for pkg-config files.
      (Closes: #676803, #657699).
    + [BR] Detect .thumbnails dir (Closes: #660797).

  * collection/*.desc:
    + [NT] Replace "index" with "unpacked" in Needs-Info.
  * collection/index{,.desc}:
    + [NT] Removed file.
  * collection/unpacked{,.desc}:
    + [NT] Have unpacked create indices when the package is
      being unpacked.  This is done using a pipeline to avoid
      decompressing the data.tar file multiple times.

  * data/cruft/missing-dir-search-path:
    + [BR] Close false positive for mathjax, search under
      /unpacked.
    + [BR] Fix another false positive for emscripten.
  * data/cruft/warn-file-type:
    + [BR] add yc suffix for detecting javascript
      source-is-missing and improve test suite. Fix a
      false positive in libdevel-nytprof-perl.
  * data/files/js-libraries:
    + [NT] Apply patch from Marcelo Jorge Vieira to correct
      a regular expression for finding embedded copies of
      libjs-jquery-history.  (Closes: #753077)
  * data/init.d/virtual_facilities:
    + [NT] Apply patch from Guillem Jover to fix a typo.
  * data/scripts/interpreters:
    + [NT] The texlua binary is now provided by
      texlive-binaries (>= 2014.20140512.33982) instead of
      luatex.  Thanks to Norbert Preining for reporting this.
      (Closes: #752611)
  * data/symlinks/well-known-symlinks-target:
    + [NT] Apply patch from Guillem Jover to fix a typo in
      a regex.  (Closes: #752229)

  * debian/control:
    + [NT] Add Breaks/Replaces for funny-manpages due to a
      bug in funny-manpages before 1.3-5.1.  Thanks to Adrian
      Bunk for reporting.  (Closes: #753165)

  * lib/Lintian/Collect{,/*}.pm:
    + [NT] Replace "index" with "unpacked" in Needs-Info
      requirements.

  * reporting/config:
    + [NT] Remove "$statistics_file" from the sample config.
  * reporting/harness:
    + [NT] Set the state cache to 0644 after creating it.
  * reporting/html_reports:
    + [NT] Move the statistics file to the harness state cache
      dir.  It only contains information about the last run and
      is re-generated as needed.  If the file exists, it will
      be moved to its new location if possible.

 -- Niels Thykier <niels@thykier.net>  Sun, 13 Jul 2014 20:36:30 +0200

lintian (2.5.24) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - uses-deprecated-compression-for-data-tarball

  * checks/file.pm:
    + [BR] Speed-up privacy check (Closes: #745877).
    + [BR] Fix false positive for detecting minified
      javascript (Closes: #745877).
    + [BR] Fix false positive due to cpython name
      encoded in compiled python file name (Closes: #752218).
    + [BR] Add another suffix to source-is-missing for javascript
      file.
    + [BR] Add url if possible for privacy breach.
  * checks/changelog-file.pm:
    + [BR] Use lower case for bad intended distribution.
  * checks/deb-format.{desc,pm}:
    + [NT] Apply patch from Guillem Jover to check for
      deprecated compressions on data.tar-members.
      (Closes: #745740)
  * checks/menu-format.pm:
    + [JW] Also validate desktop files in usr/share/xsessions.
      (Closes: #746402)

  * data/files/privacy-breaker-{fragments,websites}:
    + [BR] Improve detection rules.

  * debian/rules:
    + [NT] Extract some tasks from the build-stamp target,
      so they can be run independently.
    + [NT] Create a "rebuild-lintian.debian.org" target that
      only (re-)builds/regenerates the needed parts for the
      lintian.debian.org checkout.  (Closes: #751926)

  * frontend/{dplint,lintian}:
    + [NT] Fix a bug in command-line parsing, where "--"
      was interpreted as a literal file-name rather than
      the "end of options" marker.  Thanks to Luca
      Falavigna for spotting it.  (Closes: #746790)

  * vendors/ubuntu/main/data/changes-file/known-dists:
    + [NT] Add utopic as valid Ubuntu distribution.

 -- Niels Thykier <niels@thykier.net>  Sun, 22 Jun 2014 22:04:20 +0200

lintian (2.5.23.1) unstable; urgency=medium

  * debian/rules:
    + [NT] Avoid regenerating po4a files if not needed.
  * debian/source/lintian.overrides:
    + [NT] Add overrides for false-positive "evil JSON" license
      problem, which is triggered by the current Lintian on the
      FTP master host.

 -- Niels Thykier <niels@thykier.net>  Wed, 18 Jun 2014 06:39:15 +0200

lintian (2.5.23) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - init.d-script-depends-on-all-virtual-facility
      - maven-plugin-in-usr-share-java
      - needless-suggest-recommend-libservlet-java
      - pre-depends-directly-on-multiarch-support
      - quilt-series-without-trailing-newline
      - source-contains-prebuilt-sphinx-documentation

  * checks/binaries.{desc,pm}:
    + [NT] Apply patch from Samuel Bronson to improve the
      description of the debug-symbols-directly-in-usr-lib-debug
      tag.
    + [BR] Extend eglibc whitelist to glibc.  (Closes: #748881).
  * checks/changelog-file.pm:
    + [BR] Allow to sid for experimental to unstable comment.
      (Closes: #747407).
  * checks/control.{desc,pm}:
    + [BR] Apply patch from Helmut Grohne to warn about
      Pre-Depends: multiarch-support in debian/control.
      (Closes: #747439).
  * checks/cruft.{desc,pm}:
    + [BR] Detect sphinx generated documentation and avoid
      a false positive for minified javascript and missing sources.
      (Closes: #742693).
    + [BR] Do not remove newline with c++ comments.  Fix a false
      positive.
    + [BR] Fix a GFDL detection false positive in texlive.  Thanks
      to Norbert Preining.  (Closes: #743754).
    + [BR] Fix another false positives in GFDL detection.
    + [BR] Fix a false positive for source-is-missing for
      deployJava.js.  (Closes: #745152).
    + [BR] Fix a false positive for GFDL detection in
      soundjuicer.  (Closes: #748375).
    + [BR] Fix a false positive for source-is-missing in e2fsprogs.
      (Closes: #748421).
  * checks/files.pm:
    + [BR] Use Lintian::Data for detecting embedded library.
    + [BR] Add context in embedded lib tagging.
    + [BR] Avoid to warn on bookmark link.  (Closes: #746656).
  * checks/fields.{desc,pm}:
    + [NT] Apply patch from Johannes Schauer to rename "notest"
      build-profile to "nocheck".  (Closes: #743840)
    + [NT] Support giving replacements for obsolete packages.
    + [NT] Fix a bug with versioned dependencies on obsolete
      packages with non-obsolete alternatives.
  * checks/infofiles.desc:
    + [NT] Apply patch from Samuel Bronson to improve some of
      the examples.
    + [NT] Apply patch from Don Armstrong to ignore jpg/jpeg images
      beneath /usr/share/info.  (Closes: #748167)
  * checks/init.d.{desc,pm}:
    + [BR] Detect $all virtual dependency in legacy init scripts.
      Thanks to Holger Levsen.  (Closes: #737867).
  * checks/java.{desc,pm}:
    + [SL] Do not trigger a warning when a jar is not in
      /usr/share/java and the package name matches.  (Closes: #746744).
      lib.*maven.*plugin.*java.  (Closes: #743446).
    + [SL] Catch uses of Java8 byte code.  (Closes: #743384).
    + [SL] Warn that the suggests/recommends on libservlet[\d\.]+-java is
      needless (Closes: #743453)
    + [SL] missing-classpath should be disabled on Java binaries
    + [NT] Exclude some jar files from "codeless-jar" tag based
      on the basename of the jar file.  This is intended to
      reduce the number of codeless jars for source/doc jars in
      eclipse(-based) packages.
  * checks/patch-systems.{desc,pm}:
    + [BR] Warn against trailing newline in debian/patches/series.
      (Closes: #746362).
  * checks/source-copyright.pm:
    + [NT] Permit the use of "https://" in DEP-5 format URIs even
      if the policy suggests that they have to use "http://".
      (Closes: #744981)
  * checks/testsuite.pm:
    + [JW] Add new restrictions for DEP-8 tests.  (Closes: #746305)

  * data/binary/embedded-libs:
    + [RG] Detect embedded copies of lcms, lcms2, libmms, libminiupnpc,
      libupnp, and libyaml, polarssl.
    + [RG] Don't detect mariadb as embedder of mysql.
    + [BR] Detect libidn*, and libsrtp.
    + [NT] Apply patch from Samuel Bronson to detect mpfr and gmp.
    + [BR] Extend eglibc whitelist to glibc.
  * data/cruft/non-distributable-files:
    + [BR] Add a file comes from the Novell libc Software Development
      Kit.  (Closes: #745802)
  * data/cruft/non-free-files:
    + [BR] Add all profiles from icc-profiles non free package.
    + [BR] Add icc profiles from Adobe.
    + [BR] Add icc profiles from http://www.color.org/srgbprofiles.xalter.
    + [BR] Add Apple icc profile: Color LCD Calibrated, Copyright
      Apple Computer, Inc., 2003
    + [BR] Add old srgb profile from HP: IEC 61966-2.1 Default RGB
      colour space - sRGB, Copyright (c) 1998 Hewlett-Packard Company
  * data/fields/obsolete-packages:
    + [NT] Add hardening-includes and hardening-wrapper on request of
      Thijs Kinkhorst.  (Closes: #711193)
    + [NT] Add python-support on request of Luca Falavigna.
      (Closes: #746563)
  * data/java/constants:
    + [SL] introduce this file to specify JDK values
  * data/scripts/maintainer-script-bad-command:
    + [BR] Avoid a false positive for
      maintainer-script-should-not-use-update-alternatives-set.
      (Closes: #745568).

  * debian/control:
    + [NT] Add Build-Depends on po4a.
  * debian/lintian.install:
    + [NT] Install translations.
  * debian/{lintian.,source/}lintian-overrides:
    + [NT] Add overrides for using hardening-includes.
  * debian/rules:
    + [NT] Add rules for handling translations.
    + [NT] Run dh_lintian during binary-indep target.

  * frontend/lintian{,-info}:
    + [NT] Use localized version of tag descriptions.
      (Closes: #663155)

  * lib/Lintian/{CheckScript,Profile}.pm:
    + [NT] Add support for translations of tag descriptions.

  * po4a:
    + [NT] New directory for translations.

  * private/private/gen-po4a-conf:
    + [NT] New file.

  * README:
    + [NT] Document how to make and contribute translations.

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Tue, 17 Jun 2014 21:57:58 +0200

lintian (2.5.22.1) unstable; urgency=medium

  * checks/ocaml.{desc,pm}:
    + [NT] Replace unnecessary uses of file_info with index.

  * data/binary/embedded-libs:
    + [RG] Detect embedded copies of libmpg123.
  * data/fields/perl-provides:
    + [NT] Refresh against Perl 5.18.2.
  * data/spelling/corrections:
    + [RG] Add "functiosn" to the list of spelling mistakes.

  * frontend/lintian:
    + [NT] Fix a regression that completely broke the
      command-line argument "--packages-from-file", when
      the file was "-".

  * lib/Lintian/Relation.pm:
    + [JW,NT] Fix dependency-testing issues caused by too
      greedy regular expressions in the dependency parser.
      (Closes: #742989)

  * reporting/templates/tags.tmpl:
    + [JW,NT] Fix grammatical error in a template.
      (Closes: #742985)

 -- Niels Thykier <niels@thykier.net>  Sun, 30 Mar 2014 20:55:52 +0200

lintian (2.5.22) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - invalid-restriction-label-in-source-relation
      - invalid-restriction-namespace-in-source-relation
      - invalid-restriction-term-in-source-relation
      - license-problem-gfdl-non-official-text
      - license-problem-non-free-RFC-BCP78
      - privacy-breach-google-plus
      - privacy-breach-twitter
      - restriction-list-with-debhelper-with-conflicting-debhelper-version
      - restriction-list-with-debhelper-without-debhelper-version
      - restriction-list-with-versioned-dpkg-dev-conflict
      - restriction-list-without-versioned-dpkg-dev-dependency
      - source-is-missing
      - stageX-profile-used-but-no-binary-package-dropped

  * checks/*:
    + [NT] Avoid using "I" or "we" in tag descriptions.
    + [NT] When looping over the names of binary packages,
      prefer the order they are listed in the control file.
      Previously they were either sorted by name or ordered
      by Perl's hash iterator.
  * checks/control-file.{desc,pm}:
    + [NT] Apply patch from Johannes Schauer to validate
      build-profile usage.
  * checks/control-files.pm:
    + [NT] Remove special case for udebs on empty control
      files.  Thanks to Cyril Brulebois for testing it.
  * checks/cruft.pm:
    + [BR,NT] Optimise the GFDL check considerably in some
      cases (e.g. the linux source).  (Closes: #738342)
    + [BR] Factorize GFDL detection. Detect non official
      wordings of GFDL invariant section.  (Closes: #717916).
      Fix some old false positives.
      (Closes: #742260, #741212).
    + [BR] Add opentoken non official wording for GFDL
      invariant section, thanks to Nicolas Boulenguez.
      (Closes: #740183).
    + [BR] Detect minified js based on line length.
      (Closes: #735348).
    + [BR] Detect missing sources for minified javascript, flash project,
      flash files, and elf binary.
  * checks/fields.{desc,pm}:
    + [NT] Apply patch from Johannes Schauer to validate
      build-profile usage.  (Closes: #740607)
  * checks/files.desc:
    + [BR] Raise file-name-in-PATH-is-not-ASCII and
      file-name-in-PATH-is-not-ASCII to error
      (see policy 10.10), thanks to Helmut Grohne.
      (Closes: #739347)
    + [BR] Improve privacy-breach tags wording, thanks to Paul Wise.
      (Closes: #738176)
  * checks/menu-format.desc:
    + [NT] Apply patch from Charles Plessy to correct an URL
      in a tag reference.  (Closes: #738454)
  * checks/symlinks.pm:
    + [BR] Use Lintian::Data for safe symlinks list. Add
      /dev/null to this list.  (Closes: #740339).
  * checks/systemd.pm:
    + [BR] Allow spaces around = in service files.
      (Closes: #739366).
  * checks/watch-file.{desc,pm}:
    + [BR] Allow debian/upstream-signing-key.asc,
      thanks to Nicolas Boulenguez (Closes: #736711).
    + [NT] Apply patch from Daniel Kahn Gillmor to check for
      the upstream signing key in debian/upstream.  Thanks to
      Hideki Yamane for the bug report.  (Closes: #738597)

  * collection/java-info:
    + [NT] Update the conditional using file(1) to cope with
      the new output for JAR files.

  * data:
    + [NT] Refresh several architecture data files against
      dpkg 1.17.5.  Thanks to James Hunt for the reminder.
      (Closes: #735266)
    + [NT] Refresh several data files with data from sid.
  * data/binary/embedded-libs:
    + [RG] Detect embedded copies of liblivemedia, libgadu, libssh,
      libssh2, freetype, nss, and nspr.
    + [RG] Adjust the detection of embedded copies of libmagic.
    + [RG] Detect embedded copies of an ancient tinyxml.  Thanks to
      Andreas Rönnquist for the report.  (Closes: #733318)
  * data/cruft/non-free-files:
    + [BR] "id3v22-tda.mp3 considered non-free", thanks to Charlie
      Smotherman (Closes: #736203).
  * data/files/privacy*:
    + [BR] Improve detection of privacy-breach-google-cse, thanks to
      Paul Wise (Closes: #739247).
    + [BR] Detect google+, thanks to Paul Wise.
      (Closes: #738175).
    + [BR] Detect twitter, thanks to Paul Wise.
      (Closes: #738174).
  * data/scripts/maintainer-script-bad-command:
    + [BR] Fix false positive
      maintainer-script-should-not-use-adduser-system-without-home
      due to quoting, thanks to Andreas Beckmann <anbe@debian.org>
      (Closes: #739109).

  * debian/source/lintian-overrides:
    + [NT] Override false-positive for license checks.
  * debian/tests/control:
    + [NT] Use the new @builddeps@ from autopkgtest/2.5.5
      instead of duplicating the values.

  * frontend/lintian:
    + [NT] Fix a regression in argument handling after the first
      non-option.  This problem was introduced in 2.5.18.
    + [NT] Let --color default to "auto".
    + [NT] Discard STDERR when running git describe to guess the
      version of Lintian.  Avoids a warning from git tags are
      absent from the repository.

  * lib/Lintian/Collect/Source.pm:
    + [NT] Apply patch from Mathieu Parent to make "binaries" return
      the package name in the same order as they are listed in the
      control file.  (Closes: #739671)
  * lib/Lintian/Reporting/ResourceManager.pm:
    + [NT] New file.
  * lib/Lintian/Util.pm:
    + [NT] Extend the "Continuation line outside a paragraph" parse
      error on Deb822 files with a possible suggestion for fixing
      the problem.
  * lib/Test/Lintian/Harness.pm:
    + [NT] New file - mostly for internal use during testing.

  * profiles/debian/ftp-master-auto-reject.profile:
    + [BR] Refresh with new tags.

  * reporting/config:
    + [NT] Fix typo of HARNESS_STATE_DIR config variable.
  * reporting/harness:
    + [NT] Avoid writing state-cache during dry-run.
    + [NT] Add timestamps to the log output.
  * reporting/{html_reports,templates/*.tmpl}:
    + [NT] Show the same statistics on the tag page as shown
      on the tag index pages.  Thanks to Guillem Jover for
      the suggestion.  (Closes: #738349)
    + [NT] Remove the second argument to the "head" sub in
      the templates.  Its value is now computed automatically
      by html_reports based on the name of the output file.
    + [NT] Install "lintian.css" and all files in
      "reporting/images" and "reporting/resources" into
      "HTML_DIR/resources".  These will be named after their
      content to allow more aggressive public caching.
  * reporting/html_reports:
    + [NT] Link to the library API docs from the index page.
      (Closes: #639974)
    + [NT] Optimise the graph generation by only calling
      gnuplot twice (rather than once plus once per tag).
    + [NT] Show the number of package groups and the size
      of the harness backlog on the index page.
  * reporting/{lintian.css => templates/lintian.css.tmpl}:
    + [NT] Rename file and make it a template.

  * t/runtests:
    + [NT] Cache test artifacts and reuse them in subsequent
      runs.  This removes the majority of the runtime
      overhead of running the test suite on subsequent runs.
      (Closes: #699083)
    + [NT,BR] Fix test suite issues caused by a regression
      in tar 1.27.  (Closes: #739744)

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Tue, 25 Mar 2014 22:02:50 +0100

lintian (2.5.21) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - bad-intended-distibution
      - debian-rules-should-not-automatically-update-control
      - debian-rules-should-not-use-DEB_BUILD_OPTS
      - debian-rules-should-not-use-or-modify-user-only-variable
      - debian-rules-should-not-use-pwd
      - debian-rules-should-not-use-underscore-variable
      - license-problem-md5sum-non-distributable-file
      - license-problem-md5sum-non-free-file
      - license-problem-non-free-RFC
      - maintainer-script-should-not-use-service
      - privacy-breach-donation
      - privacy-breach-facebook
      - privacy-breach-google-cse
      - privacy-breach-logo
      - privacy-breach-piwik
      - privacy-breach-statistics-website
      - privacy-breach-w3c-valid-html
      - source-contains-prebuilt-flash-object
      - source-contains-prebuilt-flash-project
      - source-contains-prebuilt-java-object
      - source-contains-prebuilt-javascript-object
      - source-contains-prebuilt-python-object
      - source-contains-prebuilt-silverlight-object
    + Removed:
      - debian-rules-automatically-updates-control
      - debian-rules-uses-DEB_BUILD_OPTS
      - debian-rules-uses-or-modifies-user-only-variable
      - debian-rules-uses-pwd

  * checks/changelog-file.{desc,pm}:
    + [BR] Warn when an upload erroneously targeted at distribution that
      is not intended (Closes: #661990).
  * checks/cruft.{desc,pm}:
    + [BR] Detect non free rfc (Closes: #365213).
    + [BR] Check md5sums on source package.
    + [BR] Detect prebuilt jar file.
    + [BR] Detect prebuilt silverlight file.
    + [BR] Detect prebuilt flash file (Closes: #733883).
  * checks/fields.{desc,pm}:
    + [BR] Increase severity of vcs-field-uses-not-recommended-uri-format
      (Closes: #670323).
  * checks/files.{desc,pm}:
    + [BR] Add xz and zip to duplicated-compressed-file regexp.
    + [BR] Use Lintian::Data for compressed file extension.
    + [BR] Use Lintian::Data for vcs files list.  Add a few more VCS
      files (Closes: #731904).
    + [BR] Remove long obsolete reference to rc.boot(5) manpage
      in package-installs-into-etc-rc.boot description.
      Thanks to Jakub Wilk (Closes: #729034).
    + [BR] Add a moreinfo field to obsolete path.
    + [BR] Fix non-conf-file-in-modprobe.d description
      (Closes: #729037).
    + [BR] Check privacy breach only in regular file.
    + [BR] Add link tag as potential privacy breaker.
    + [BR] Add <div data-href="http://website" to potential privacy
      breaker.
  * checks/md5sums.pm:
    + [BR] In case of strange filename, md5sum(1) prefix the md5sum
      by backslash and escape the name using backslash encoding.
      Handle this case properly.
  * checks/rules.{desc,pm}:
    + [BR] Use Lintian::Data for forbidden construct in rules
      file.
    + [BR] Rename debian-rules-automatically-updates-control to
      debian-rules-should-not-automatically-update-control.
    + [BR] Rename debian-rules-uses-pwd to
      debian-rules-should-not-use-pwd.
    + [BR] Rename debian-rules-uses-DEB_BUILD_OPTS to
      debian-rules-should-not-use-DEB_BUILD_OPTS.
    + [BR] Rename debian-rules-uses-or-modifies-user-only-variable
      to debian-rules-should-not-use-or-modify-user-only-variable.
  * checks/watch.{desc,pm}:
    + [BR] Fix the description of debian-watch-may-check-gpg-signature tag.
      Thanks to Gregor Herrmann for the bug report and patch
      (Closes: #732799).

  * data/cruft/non-free-files:
    + [BR] Add sRGB.icm to non-free files (Closes: #699369).
    + [BR] Add a few non-free font files (Closes: #298545).
    + [BR] Add non-free w3c valid icons.
  * data/cruft/warn-file-type:
    + [BR] Add this file.
    + [BR] Detect minified javascript (by extension).
    + [BR] Detect python prebuilt object (Closes: #734280).
  * data/fields/obsolete-packages:
    + [BR] Apply patch from Jonas Genannt to render obsolete ruby 1.8.
  * data/files/obsolete-paths:
    + [BR] Add /etc/X11/fonts/X11R7 as obsolete path (Closes: #646872).
  * data/files/privacy-breaker-{fragments,websites}:
    + [BR] Add w3c website valid x?html icons.
    + [BR] Add piwik detection.
    + [BR] Add detection of well known statistics websites.
    + [BR] Detect facebook.
    + [BR] Detect google custom search engine.
  * data/rules/rules-should-not-use:
    + [BR] Detect use of $(_) variable in debian/rules (Closes: #585495).
  * data/scripts/maintainer-script-bad-command:
    + [BR] Service is reserved to system admin (Closes: #656229).
    + [BR] Fix false positive for
      maintainer-script-should-not-use-adduser-system-without-home
      by allowing shell variable (Closes:  #733595).

  * debian/control:
    + [NT] Add relevant relations on libyaml-perl, which is
      now used by harness.

  * reporting/harness:
    + [NT] Fix typo in --schedule-chunk-size command-line argument.
    + [NT] Require a new configuration variable $HARNESS_STATE_DIR.
      This variable tells harness where it can store state
      information and caches.
    + [NT] Track which version of lintian a given package group
      was processed by.  Using this information, harness will now
      slowly reprocess groups processed by another version of
      Lintian than the current.

  * t:
    + [NT] Apply patch from Adam Conrad to fix issue with a test
      when run in an Ubuntu environment.  Also thanks to Benjamin
      Drung for forwarding the patch to the Debian BTS.
      (Closes: #725139)

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Wed, 08 Jan 2014 19:35:22 +0100

lintian (2.5.20) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - build-depends-on-an-obsolete-java-package
      - debian-watch-file-pubkey-file-is-missing
      - debian-watch-may-check-gpg-signature
      - license-problem-nvidia-intellectual
      - maintainer-script-should-not-hide-init-failure
      - maintainer-script-should-not-modify-ld-so-conf
      - maintainer-script-should-not-modify-netbase-managed-file
      - maintainer-script-should-not-use-adduser-system-without-home
      - maintainer-script-should-not-use-ancient-dpkg-epoch-check
      - maintainer-script-should-not-use-ancient-dpkg-multi-conrep-check
      - maintainer-script-should-not-use-deprecated-chown-usage
      - maintainer-script-should-not-use-dpkg-status-directly
      - maintainer-script-should-not-use-fc-cache
      - maintainer-script-should-not-use-gconftool
      - maintainer-script-should-not-use-install-sgmlcatalog
      - maintainer-script-should-not-use-start-stop-daemon
      - maintainer-script-should-not-use-update-alternatives-remove
      - maintainer-script-should-not-use-update-alternatives-set
      - package-install-into-obsolete-dir
      - privacy-breach-generic
      - privacy-breach-google-adsense
    + Removed:
      - ancient-dpkg-epoch-check
      - ancient-dpkg-multi-conrep-check
      - deprecated-chown-usage
      - fc-cache-used-in-maintainer-script
      - gconftool-used-in-maintainer-script
      - install-sgmlcatalog-deprecated
      - maintainer-script-hides-init-failure
      - maintainer-script-modifies-ld-so-conf
      - maintainer-script-modifies-netbase-managed-file
      - maintainer-script-uses-dpkg-status-directly
      - start-stop-daemon-in-maintainer-script
      - update-alternatives-remove-called-in-postrm

  * checks/cruft.{desc,pm}:
    + [BR] Check files for under a non-distributable Nvidia
      license.  (Closes: #724930)
    + [BR] Abstract sliding window algorithm and use it for
      license check.  (Closes: #720348)
    + [BR] Filter (x?ht|x)ml comments for license check.
      (Closes: #729226).
  * checks/fields.pm:
    + [SL] Returns a warning when a package build-deps on java-compiler
      instead of default-jdk.  (Closes: #730714)
  * checks/files.desc:
    + [BR] Improve description of pkg-config-multi-arch-wrong-dir
      tag.  Add debhelper > 9 on non multi-arched package as a likely
      cause (Closes: #723886).
    + [BR] Add a generic check for obsolete path.
    + [BR] Detect privacy breaker html/css files (Closes: #637580)
      particularly Google Adsense (Closes: #718427).
  * checks/scripts.{desc,pm}:
    + [BR] Detect update-alternatives --set in maintainer scripts.
      (Closes: #643602).
    + [BR] Use Lintian::Data for bad shell construction in maintainer
      scripts.
    + [BR] Detect use of adduser --system without --home or with
      --home inside /home.  (Closes: #730456).
    + [BR] install-sgmlcatalog is deprecated for a long time.  Warn
      now in all use case.  Rename the tag to
      maintainer-script-should-not-use-install-sgmlcatalog
    + [BR] Rename gconftool-used-in-maintainer-script to
      maintainer-script-should-not-use-gconftool.  Add gconf\d package
      to exception list.
    + [BR] Rename fc-cache-used-in-maintainer-script to
      maintainer-script-should-not-use-fc-cache.  Add fontconfig
      package to exception list.
    + [BR] Rename (ancient-dpkg-.*) to maintainer-script-should-not-use-$1.
    + [BR] Rename (deprecated-chown-usage) to
      maintainer-script-should-not-use-$1.
    + [BR] Rename maintainer-script-hides-init-failure to
      maintainer-script-should-not-hide-init-failure.
    + [BR] Rename maintainer-script-modifies-ld-so-conf to
      maintainer-script-should-not-modify-ld-so-conf.
    + [BR] Rename maintainer-script-modifies-netbase-managed-file to
      maintainer-script-should-not-modify-netbase-managed-file.
    + [BR] Rename maintainer-script-uses-dpkg-status-directly to
      maintainer-script-should-not-use-dpkg-status-directly.
    + [BR] Rename update-alternatives detection in maintainer script to
      maintainer-script-should-not-use convention.
    + [BR] Rename start-stop-daemon-in-maintainer-script to
      maintainer-script-should-not-use-start-stop-daemon
  * checks/standards-version:
    + [BR] Use Lintian::Data for ancient date check.
  * checks/watch.{desc,pm}:
    + [BR] Detect lack of uscan support for gpg signature.
      (Closes: #711553).

  * data/binary/embedded-libs:
    + [RG] Detect embedded copies of poppler/xpdf.  (Closes: #724733)
  * data/files/obsolete-paths:
    + [BR] Add this file to generically check obsolete path.
    + [BR] Check obsolete /etc/dhcp3 path.  (Closes: #673029)
  * data/fields/obsolete-packages:
    + [NT] Apply patch from Eric Dorland to mark various versions
      of automake as obsolete.
    + [SL] Tag openjdk-6-jdk, openjdk-6-jre and openjdk-6-jre-headless
      as obsolete (See ##720911).  (Closes: #730714)
  * data/fields/virtual-packages:
    + [NT] Refresh against sid.  Thanks to Nicholas Breen for the
      reminder.  (Closes: #724866)
  * data/spelling/corrections:
    + [RG] Detect some typos of "establishment" and "contains".
    + [SL] Detect some typos of "suppress".
  * data/standards-version/ancient-date:
    + [BR] Set ancient date to 14 Jan 2012.
  * data/standards-version/release-dates:
    + [NT] Add release date for 3.9.5.

  * debian/control:
    + [NT] Bump Standards-Versions to 3.9.5 - no changes required.
    + [BR] Add myself as uploader.

  * lib/Lintian/Collect/Binary.pm:
    + [GN] Add support for multi-component RPATHs.  (Closes: #727683)
  * lib/Lintian/Collect/Package.pm:
    + [BR] Globally replace \\ by \ in _dequote_name(). This bug was
      masked by old buggy tar (Closes: #727665).

  * t/debs/deb-format-wrong-order/.*:
    + [BR] Recent dpkg detect this error and bail out.  Do not run with
      dpkg >= 1.17.2.  See dpkg git commit
      cb8ed03bbffe892165620ed1ddf753a6b0c1ee62
      and 547dca4c3ff23df5dfa554f1943b371cd7056ee4.

  * vendors/ubuntu/main/data/changes-file/known-dists:
    + [NT] Add "trusty".  Thanks to Stéphane Graber for the
      reminder.

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 15 Dec 2013 19:52:24 +0100

lintian (2.5.19) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - homepage-in-binary-package

  * checks/fields.{desc,pm}:
    + [NT] Add check for "Homepage"-field missing in the
      source, when one of the binary packages has the
      field.  Thanks to Ricardo Mones for the bug report.
      (Closes: #693117)
  * checks/files.pm:
    + [NT] Apply patch from Samuel Thibault to fix a
      false-positive non-standard-toplevel-dir for the
      directories /hurd and /servers.  (Closes: #724524)
    + [NT] Work around bug #724571 in t1disasm by ignoring
      failures caused by segmentation faults and bus errors.
      Though, Lintian will emit a warning when such an error
      occurs.  Thanks to Ansgar Burchardt for the report.
      (Closes: #724319)
  * checks/testsuite.pm:
    + [NT] Allow uppercase letters in the names of DEP-8
      tests, now that the DEP-8 officially "tolerates" them.
      (see #711844)

  * lib/Lintian/Util.pm:
    + [NT] Add drain_pipe(FD).

  * reporting/{config,harness}:
    + [NT] Determine the html_reports command automatically
      instead of allowing it to be configurable.
    + [NT] Stop allowing config script to name individual
      log files.  The directory in which they are put is still
      configurable.
    + [NT] Replace LINTIAN_CFG with passing "--no-cfg" to
      lintian.
    + [NT] Replace $lintian_cmd config option with a
      @EXTRA_LINTIAN_OPTIONS.  Also stop forking a shell to
      run lintian.
    + [NT] Remove LINTIAN_BIN_DIR; it is no longer used to
      avoid signature checking.
    + [NT] Fix a bug where harness would not remove entries in
      the Lintian log for removed packages if no packages were
      to be processed.
  * reporting/lintian-dummy.cfg:
    + [NT] Remove file as it is now obsolete.

 -- Niels Thykier <niels@thykier.net>  Thu, 26 Sep 2013 09:06:22 +0200

lintian (2.5.18.1) unstable; urgency=low

  * checks/application-not-library.desc:
    + [JW] Fix typo.
  * checks/files.pm:
    + [NT] Only open .pc files if they are regular files.
      This fixes a possible DoS introduced in 2.5.17.
  * checks/shared-libs.pm:
    + [NT] Correct the name of the multiarch-dirs data file,
      which was renamed in 2.5.17.

  * lib/{Test/Lintian,Lintian/Data}.pm:
    + [NT] Load data files eagerly during tests to ensure
      missing or typo'ed data files are spotted earlier.

  * debian/changelog:
    + [NT] Mention in the 2.5.17 entry that multiarch-dirs
      data file was renamed.
    + [NT] Consistently spell "typos" without an "e".

 -- Niels Thykier <niels@thykier.net>  Sun, 22 Sep 2013 10:51:29 +0200

lintian (2.5.18) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - debian-changelog-has-wrong-weekday
      - debian-rules-missing-good-practice-target-dfsg
      - empty-udeb-package
      - file-name-in-PATH-is-not-ASCII
      - misplaced-extra-member-in-deb

  * checks/apache2.pm:
    + [NT] Fix false-positive warning about non-standard package
      name when the Apache2 module contained uppercase letters.
      Thanks to Jonas Smedegaard for the report.
      (Closes: #723003)
  * checks/changelog.{desc,pm}:
    + [NT] Check that the weekday of the latest changelog entry
      is consistent with the date.  Thanks to Raphael Champeimont
      for the report.  (Closes: #703407)
  * checks/cruft.{desc,pm}:
    + [BR] Fix false-positive for license-problem-gfdl-invariants.
      (Closes: #721252)
    + [BR] Extend tag description of the gfdl-invariants tag.
      (Closes: #722102)
  * checks/deb-format.{desc,pm}:
    + [NT] Support (but tag) unofficial members after the
      "debian-binary" member where allowed by dpkg.  These
      members will trigger misplaced-extra-member-in-deb tag.
      Thanks to Guillem Jover for the report and the feedback.
      (Closes: #718349)
  * checks/fields.{desc,pm}:
    + [NT] Warn about "?op=log" in svn.d.o browser links.  Thanks
      to Paul Wise for the report.  (Closes: #707700)
    + [NT] Fix false-positive dbg-package-missing-depends for
      transitional dbg packages.  Thanks to Paul Wise for the
      report.  (Closes: #665694)
    + [NT] Remind people that packages named gir1.2-foo-X.Y
      should be in the introspection section.  Thanks to Michael
      Biebl for the report  (part of #695345)
  * checks/files.{desc,pm}:
    + [BR] Fix false-positive dir-or-file-in-build-tree for
      the sbuild source package.  (Closes: #720910)
    + [NT] Add check for empty udeb packages.  Thanks to Cyril
      Brulebois for the suggestion.  (Closes: #672664)
    + [NT] Remove exception for "/selinux" top-level directory.
      Thanks to Laurent Bigonville for the report.
      (Closes: #723730)
    + [NT] Add a check for files in PATH being representable
      using only ASCII characters.  (Closes: #723732)
  * checks/menu-format.desc:
    + [BR] Rewrite description of the tag for desktop files
      without a keywords entry based on a wording from Gaudenz
      Steinlin.  (Closes: #706966)
    + [NT] Apply patch from Lucas Nussbaum to add an additional
      reference to the desktop-entry-lacks-keywords-entry tag.
      (Closes: #722582)
  * checks/rules.{desc,pm}:
    + [BR] Refactor the check for known targets in d/rules.
    + [BR] Add check for missing for recommended "get-orig-source"
      target in d/rules for packages that look like they have been
      repacked.  (Closes: #460174)
  * checks/scripts.desc:
    + [NT] Demote the certainty of shell-script-fails-syntax-check
      due to "extglob" in bash.  Thanks To Trent W. Buck for the
      report.  (Closes: #699410)
  * checks/testsuite.pm:
    + [NT] Add "allow-stderr" as known autopkgtest "restriction".
      Thanks to Jérémy Bobbio for the report and the initial
      patch.  (Closes: #721179)
  * checks/version-substvars{.desc,.pm}:
    + [NT] Mention that version-substvar-for-external-package
      can happen if the package name used in the relation has
      a typo.  Thanks to Joachim Reichel for reporting this.
      (Closes: #708576)
    + [NT] Ignore ":any" qualifiers in dependencies.  Thanks to
      Scott Ritchie for the report.  (Closes: #658320)

  * commands/info:
    + [NT] New file (replacing lintian-info).
    + [NT] Emit a deprecation warning for --include-dir
      and --[no-]user-dirs when they are not the first
      arguments and called as lintian-info.

  * doc/README.in:
    + [NT] Replaced by top-level README.

  * data/common/source-fields:
    + [NT] Allow the "Dgit" field in source packages.  Thanks
      to Ian Jackson for the report.  (Closes: #721205)
  * data/fields/perl-provides:
    + [NT] Refresh against perl 5.18.
  * data/rules/policy-rules:
    + [BR] New file.
  * data/scripts/{,versioned-}interpreters:
    + [NT] Apply patch from Gunnar Wolf to update which package
      is providing "rackup".  (Closes: #721268)
  * data/scripts/interpreters:
    + [NT] Use "python:any | python-minimal:any" as dependency
      for python scripts.  This fixes a false-positive for
      python-script-but-no-python-dep when dh_python2 generates
      a dependency of "python:any".  Thanks to Francois Gouget
      for the report.  (Closes: #711988)
  * data/scripts/versioned-interpreters:
    + [NT] Add python 2.7 and remove 2.4, 2.5 and 2.6.  Also
      add ":any" the dependency template like with the
      unversioned interpreters (see above).

  * debian/docs:
    + [NT] Install "README" instead "doc/README"
  * debian/lintian.install:
    + [NT] Install dplint and commands/*.
  * debian/lintian.links:
    + [NT] New file.
  * debian/rules:
    + [NT] Add code for substituting some placeholder values in
      dplint and lintian.
    + [NT] Invoke dh_link.
    + [NT] Remove code for auto-generating README from README.in
  * debian/tests/control:
    + [NT] Remove reference to testsuite-legacy.
  * debian/tests/testsuite-legacy:
    + [NT] Removed; no longer useful.

  * doc/README.developers:
    + [NT] Update the section on running Lintian from a source
      tree to mention that setting LINTIAN_ROOT is no longer
      needed.
    + [NT] Remove references to the legacy testsuite.
  * doc/tutorial/Lintian/Tutorial/TestSuite.pod:
    + [NT] Remove references to the legacy testsuite.

  * frontend/dplint:
    + [NT] New file.
  * frontend/lintian:
    + [NT] Automatically determine the LINTIAN_ROOT when run from
      the extracted source dir.
    + [NT] Deprecate --root and LINTIAN_ROOT.  These are largely
      obsolete as Lintian can now automatically determine the
      proper LINTIAN_ROOT.  To avoid surprises, lintian will
      now exit with an error if requested to use a different
      LINTIAN_ROOT than the one lintian expected to use.
    + [NT] Emit a deprecation warning for --include-dir
      and --[no-]user-dirs when they are not the first
      arguments and called as lintian-info.
  * frontend/lintian-info:
    + [NT] Replace with symlink to dplint.  The implementation of
      lintian-info is now handled by commands/info.

  * lib/Lintian/Collect/Package.pm:
    + [NT] If the index file does not include a "root" directory,
      then create a fake one.
  * lib/Lintian/Data.pm:
    + [NT] Make a special case to allow "original-maintainer" by
      default in all non-"Debian" profiles.  Thanks to Nick
      Black for the report.  (Closes: #697565)
  * lib/Lintian/Relation.pm:
    + [NT] Allow "pkg" to imply "pkg:any", but without permitting
      "pkg:any" to imply "pkg".

  * private/runtests:
    + [NT] Remove file; merge the relevant parts into t/runtests.

  * README:
    + [NT] New file for basic information about Lintian and
      where to find more information.

  * reporting/harness:
    + [NT] Fix bug that caused harness to not remove old log
      entries on incremental runs.
    + [NT] Clear LINTIAN_ROOT environment variable if set.
  * reporting/html_reports:
    + [NT] Copy (rather than symlink) the lintian.log to the
      generated website.

  * t/runtests:
    + [NT] Assume dpkg (>= 1.16.1) is present.
    + [NT] Work around bug in Perl (#723805) when using "glob"
      within threads.  Thanks to Brian "hugmeir" Fraser for
      finding the underlying cause.
  * t/tests/binaries-spelling/{debian/basic.c,tags}:
    + [AB] Add subtest which verifies that the additional exception list
      (teh vs tEh) for spelling-error-in-binary works.
  * t/tests/legacy-debug/debian/debian/control:
    + [NT] Mark some packages "arch:any" to avoid test failures
      on kfreebsd-amd64.  (Closes: #688524)

  * testset/*:
    + [NT] All tests moved to t/tests/legacy-* and the test
      runner removed.

  * vendors/ubuntu/main/data/{common,fields}/*:
    + [NT] Retire now redundant files.

 -- Niels Thykier <niels@thykier.net>  Sat, 21 Sep 2013 23:23:10 +0200

lintian (2.5.17) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - apache2-unparsable-dependency
      - deprecated-configure-filename
      - doc-base-abstract-field-separator-extra-whitespace
      - doc-base-abstract-might-contain-extra-leading-whitespace
      - doc-base-file-separator-extra-whitespace
      - md5sums-lists-nonexistent-file
      - non-multi-arch-lib-dir
      - pkg-config-multi-arch-wrong-dir
    + Removed:
      - apache2-unparseable-dependency
      - doc-base-abstract-field-separator-extra-whitespaces
      - doc-base-abstract-might-contain-extra-leading-whitespaces
      - doc-base-file-separator-extra-whitespaces
      - md5sums-lists-nonexisting-file

  * checks/apache2.{desc,pm}:
    + [JW,NT] Rename a tag for consistent spelling of
      "unparsable" in tag names.  The tag has no known
      overrides.
  * checks/automake.{desc,pm}:
    + [NT] Apply patch from Gautier Minster to detect
      usage of configure.in with automake.  Thanks to
      Paul Wise for the report.  (Closes: #708482)
  * checks/cruft.pm:
    + [NT] Avoid given/when which was demoted to an
      experimental feature.  (Closes: #720835)
  * checks/files.{desc,pm}:
    + [BR] Add check for architecture pkg-config files using
      multi-arch paths but being installed in a non-multi-arch
      location.  Thanks to Ivo De Decker for the report.
      (Closes: #674469)
    + [BR] Add check for using the old bi-arch directories
      (/usr/lib64) instead of multi-arch dirs.  Thanks to
      Kurt Roeckx for the report.  (Closes: #528975)
    + [BR] Remove "emul/" as a recognised top-level directory.
  * checks/md5sums.{desc,pm}:
    + [JW,NT] Rename a tag due to a typo in the tag name.
      The tag has no known overrides.
  * checks/menus.{desc,pm}:
    + [JW,NT] Rename tags due to a typo in their tag name.
      These tags have no known overrides.
  * checks/source-copyright.pm:
    + [NT] Avoid accidental use of an experimental feature.

  * data/{binaries => common}/multiarch-dirs:
    + [BR] Moved multiarch-dirs from binaries to common, since
      it is used from multiple checks.

  * debian/control:
    + [NT] Add Build-Depends on aspell, aspell-en and
      libtest-spelling-perl.

  * lib/Lintian/Tag/TextUtil.pm:
    + [NT] Prevent very long URLs from being split into two
      lines.  Thanks to Jari Aalto for the report.
      (Closes: #719769)
  * lib/Lintian/Util.pm:
    + [NT] Prefer paths without leading slash in the
      documentation for normalize_pkg_path.  Thanks to
      Kevin Ryde for spotting this inconsistency.
    + [NT] The first argument of normalize_pkg_path
      is now unconditionally normalized.  Furthermore, allow
      the function to be called with only one argument like
      Cwd::realpath.

  * t/*:
    + [NT] Adapt several tests to work under perl 5.18.

 -- Niels Thykier <niels@thykier.net>  Mon, 26 Aug 2013 07:49:21 +0200

lintian (2.5.16) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - changelog-is-dh_make-template
      - copyright-should-refer-to-common-license-file-for-apache-2
      - debian-control-repeats-field-name-in-value
      - info-document-missing-image-file
      - license-problem-font-adobe-copyrighted-fragment
      - license-problem-font-adobe-copyrighted-fragment-no-credit
      - missing-dependency-on-libstdc++
      - quilt-patch-using-template-description
    + Removed:
      - dh_pycentral-is-obsolete
      - dh_python-is-obsolete
      - font-adobe-copyrighted-fragment
      - font-adobe-copyrighted-fragment-no-credit
      - init.d-script-call-internal-API
      - missing-dependency-on-python-central

  * checks/apache2.pm:
    + [NT] Fix F-P apache2-deprecated-auth-config for
      "AllowOverride".  Thanks to Jean-Michel Vourgère
      for the report and an initial patch.
      (Closes: #717621)
  * checks/binaries.pm:
    + [NT] Apply patch from Michael Stapelberg to exempt
      golang-go binaries from statically-linked-binary
      tag.  (Closes: #718404)
    + [NT] Permit shared libraries to not link against
      libc as long as they link against libstdc++.  This
      fixes a lot of false positive warnings for some c++
      libraries when the linker (with --as-needed)
      determines that the libc link is superfluous.
      Thanks to Maximiliano Curia for the report.
      (This is a partial fix for #719806)
    + [NT] Add experimental tag for missing dependency
      on libstdc++.
  * checks/changelog-file.{desc,pm}:
    + [BR] Add check for dh-make reminder to insert the
      bug number of the ITP bug.  (Closes: #690273)
  * checks/control-file.{desc,pm}:
    + [BR] Add check for field name being duplicated in
      the value of the field.  (Closes: #711069)
  * checks/copyright-file.{desc,pm}:
    + [BR] Extend check for "reference to compressed
      common-license" to include all current
      common-licenses.
    + [BR] Add check for use of Apache-2.0 in d/copyright
      without references common-licenses.
      (Closes: #713012)
  * checks/cruft.pm:
    + [NT] Skip d/README.Debian and d/README.source when
      checking for non-free licenses.  Mentions here are
      presumably just false-positives.  Thanks to
      Marcelo Jorge Vieira for the report and the initial
      patch.  (Closes: #718575)
  * checks/deb-format.pm:
    + [NT] Apply patch from Guillem Jover to fix a wrong
      tag being emitted on lzma compressed udebs.
      (Closes: #718337)
  * checks/debhelper.{desc,pm}:
    + [NT] Remove tag for dh_pycentral and dh_python being
      obsolete.  Thanks to Luca Falavigna for the report.
      (Closes: #720337)
    + [BR] Fix false-negative in the brace expansion check
      when the comma was next to one of the braces.
      (Closes: #708381)
  * checks/files.{desc,pm}:
    + [NT] Remove tag for missing dependency on
      python-central.  Thanks to Luca Falavigna for the
      report.  (Closes: #718690)
    + [BR] Rename font-adobe-copyrighted-fragment tags.
      (Closes: #718820)
    + [NT] Fix false positive warning about embedded
      feedparser for python3-feedparser.  Thanks to
      Etienne Millon for the report.  (Closes: #719163)
  * checks/infofiles.{desc,pm}:
    + [NT] Apply patches from Kevin Ryde to find info files
      references non-existent images.  (Closes: #719450)
  * checks/init.d.{desc,pm}:
    + [NT] Revert init.d-script-call-internal-API for now.
      Refer to #710559 for more information.
  * checks/patch-systems.{desc,pm}:
    + [BR] Add tag for DEP-3 template descriptions.
      (Closes: #717633)
  * checks/phppear.{desc,pm}:
    + [NT] Apply patch from Mathieu Parent to fix false
      positive missing-pkg-php-tools-addon.  Thanks to
      Thijs Kinkhorst for the report.  (Closes: #718167)
    + [NT] Apply patch form Mathieu Parent to reduce the
      severity of a "composer package" not using
      pkg-php-tools to wishlist.  Thanks to Thijs
      Kinkhorst for the report.  (Closes: #718862)
    + [NT] Apply patch from Vincent Bernat to downgrade
      severity of not using phppear substvars for
      description and synopsis plus explain that they
      should not be used blindly.  Thanks to Mathieu
      Parent for the review of the patch.
      (Closes: #719788)
  * checks/po-debconf.{desc,pm}:
    + [NT] Fix false-positive translated-default-field for
      fields preceded by a "true" Deb822 comment.  Thanks
      to Ron Lee for the report.  (Closes: #637881)
  * checks/scripts.pm:
    + [NT] Stop emitting package-uses-local-diversion for
      calls to dpkg-divert without --package as dpkg 1.16.0
      (Wheezy) handles this case correctly.  Thanks to
      Raphaël Hertzog for the report.  (Closes: #679132)
    + [NT] Apply patch from Vincent Cheng to fix warning
      for executable jar files.  Thanks to Matthew Johnson
      for the report.  (Closes: #539315)
  * checks/systemd.pm:
    + [NT] Apply patch from Stig Sandbeck Mathisen to allow
      systemd files being symlinks to /dev/null.
      (Closes: #718563)

  * debian/changelog:
    + [NT] Correct some older tag summaries to include some
      missing tags in the entry for 2.5.11 and 2.5.12.
  * debian/copyright:
    + [NT] Add Bastien ROUCARIÈS to maintainers (as BR).

  * frontend/lintian:
    + [NT] Move some handling of overrides to Lintian::Tags.

  * lib/Lintian/Processable/Package.pm:
    + [NT] Refuse to process .dsc files that are missing the
      Source field.   This prevents some warnings about using
      undefined values.  Thanks to Guillem Jover for the
      report.  (Closes: #718351)
  * lib/Lintian/Tags.pm:
    + [NT] Take over some handling of overrides from the
      frontend.
  * lib/Lintian/Util.pm:
    + [NT] Fix problem in normalize_pkg_path, where "."-entries
      were not properly filtered out.

  * profiles/debian/ftp-master-auto-reject.profile:
    + [NT] Refresh with new tags.  Thanks to Gregor Herrmann
      for the reminder.

 -- Niels Thykier <niels@thykier.net>  Wed, 21 Aug 2013 12:30:07 +0200

lintian (2.5.15) unstable; urgency=low

  "use less qw(memory);"

  * Summary of tag changes:
    + Added:
      - composer-package-without-pkg-php-tools-builddep
      - init-script-is-not-a-file
      - init.d-script-does-not-source-init-functions
      - maintainer-script-calls-systemctl
      - manpage-named-after-build-path
      - missing-pkg-php-tools-addon
      - missing-pkg-php-tools-buildsystem
      - pear-channel-without-pkg-php-tools-builddep
      - pear-package-but-missing-dependency
      - pear-package-feature-requires-newer-pkg-php-tools
      - pear-package-not-using-substvar
      - pear-package-without-pkg-php-tools-builddep
      - pecl-package-requires-build-dependency
      - service-file-is-not-a-file
      - systemd-no-service-for-init-script
      - systemd-service-file-outside-lib
      - systemd-service-file-refers-to-obsolete-target
      - systemd-tmpfiles.d-outside-usr-lib

  * checks/*.pm:
    + [NT] Add final return to all subs in checks and ensure
      that the "run" sub complies with Lintian's own
      recommendation.
  * checks/binary.pm:
    + [NT] Apply patch from Bastien Roucariès to fix false-
      negatives for debug files in usr/lib/debug/.build-id.
      (Closes: #714191)
    + [NT] Apply patch from Bastien Roucariès to fix false-
      positive debug-file-with-no-debug-symbols for files
      using compressed debug sections.
  * checks/fields.pm:
    + [NT] Apply patch from Niko Tyni to fix false-positive
      package-superseded-by-perl for packages with epochs.
      (Closes: #710919)
  * checks/files.pm:
    + [NT] Fix some false-negative extra-license-file.
      Thanks to Helmut Grohne for the report and the advices.
      (Closes: #701177)
  * checks/manpages.{desc,pm}:
    + [NT] Apply patch from Bastien Roucariès to test for
      manpages named after their build path.
      (Closes: #713884)
    + [NT] Skip some checks on empty manpages.
      (Closes: #700502)
  * checks/phppear.{desc,pm}:
    + [NT] New check based on patches from Mathieu Parent.
      (Closes: #708551)
  * checks/source-copyright.pm:
    + [NT] Some tags now refer to the line number of the field
      with an issue instead of the line number of the paragraph.
  * checks/systemd.{desc,pm}:
    + [NT] New check for systemd related files.  Thanks to
      Michael Stapelberg for providing the check and the
      tests.  (Closes: #704197)

  * collection/copyright-file:
    + [NT] Avoid creating an empty copyright file when it is
      not needed.
  * collection/unpacked:
    + [NT] Skip signature checking of source packages.
      (Closes: #707534)

  * data/binary/embedded-libs:
    + [NT] Rename libgd2 to libgd.  (Closes: #708367)
  * data/fields/virtual-packages:
    + [NT] Refresh.  Thanks to Laurent Bigonville for the
      reminder.  (Closes: #712641)
  * data/files/{fonts,locale-codes}:
    + [NT] Refresh.
  * data/menu-format/add-categories:
    + [NT] Apply patch from Bastien Roucariès to include newer
      categories.  Thanks to Yves-Alexis Perez for the report.
      (Closes: #712932)
  * data/output/manual-references:
    + [NT] Refresh.
  * data/scripts/interpreters:
    + [NT] Apply patch from Bastien Roucariès to include gjs.
      Thanks to Andreas Henriksson for the report.
      (Closes: #712607)

  * debian/control:
    + [NT] Add Build-Depends on pkg-php-tools for a new test.
  * debian/dirs:
    + [NT] Remove /var/lib/lintian, we no longer use it.
  * debian/docs:
    + [NT] Add auto-generated API documentation.
  * debian/lintian.examples:
    + [NT] New file to install examples.  (Closes: #707906)
  * debian/rules:
    + [NT] Generate API documentation during build.
    + [NT] Call dh_installexamples.

  * doc/examples/*:
    + [NT] New example files.
  * doc/lintian.xml:
    + [NT] Add small example vendor profile to the user
      manual.

  * frontend/lintian:
    + [NT] Add information about memory usage with -ddd if
      Devel::Size is available.  A more detailed breakdown
      of the memory usage with -dddd.

  * lib/Lintian/Collect/Package.pm:
    + [NT] Share some string values in the file_info and in
      the (X_)index methods.  This reduces memory usage a bit.
  * lib/Lintian/Collect/Source.pm:
    + [NT] "binaries" and "binary_field" now only exposes data
      about entries in d/control with a valid package name.
    + [NT] Document that "binaries" return an unordered list.
    + [NT] relation and relation_noarch now recognises
      "Build-Depends-Arch".
  * lib/Lintian/Path.pm:
    + [NT] Fix bug in the overloaded qr// operator.
  * lib/Lintian/ProcessablePool.pm:
    + [NT] Fix a bug that could cause .changes files to be
      silently skipped.  This only occurred if a related package
      was passed on the command line before the .changes file.
      Thanks to Salvo Tomaselli for reporting the bug.
      (Closes: #714437)
  * lib/Lintian/Relation.pm:
    + [NT] Apply some memory optimisations to some common cases.
  * lib/Lintian/Tags.pm:
    + [NT] Use croak instead of die when a check emits an
      unknown tag.  This gives the check writer a better chance
      of finding where the problem occurred.
  * lib/Lintian/Util.pm:
    + [NT] Have parse_dpkg_control and visit_dpkg_control
      give a more detailed line number information about
      paragraphs.

  * reporting/harness:
    + [NT] Clear some variables before running Lintian in the
      hope it will reduce the memory pressure on "long runs".
    + [NT] Remove support for "$LINTIAN_GPG_CHECK" config
      variable.  Lintian no longer checks any signatures.


 -- Niels Thykier <niels@thykier.net>  Mon, 22 Jul 2013 22:53:25 +0200

lintian (2.5.14) unstable; urgency=low

  * Summary of tag changes:
    + Removed:
      - upstream-version-not-numeric

  * checks/*:
    + [NT] Rename all checks to include the extension ".pm".
      (Closes: #710405)
    + [JW] Fix typos in several files.
  * checks/binaries.pm:
    + [NT] Also check for the presence of "mcount" to detect
      whether a binary was compiled with profiling.
      (Closes: #712124)
    + [NT] Ignore "teH" when checking for spelling mistakes in
      ELF binaries.  Thanks to Ryan Kavanagh for the report.
      (Closes: #711207)
  * checks/cruft.pm:
    + [NT] Revise a few tests that relied on file(1) on text files.
    + [NT] Apply patches from Bastien Roucariès to fix some false
      positives in the GDFL related checks.  (Closes: #711119)
    + [NT] Show the full path with source-contains-unsafe-symlink
      rather than just the "basename".
  * checks/fields.{desc,pm}:
    + [NT] Fix typo, thanks to Adrien Cunin.
    + [NT] Retire upstream-version-not-numeric which can no longer
      be emitted.  Versions that would previously trigger this tag
      will now trigger bad-version-number instead.
    + [NT] Properly quote package names used in regular expressions.
      Thanks to Mattias Ellert for the report.  (Closes: #714427)
  * checks/menus.pm:
    + [NT] Fix a bug in checking for symlinks that could possibly
      make lintian follow an unsafe symlink.  (CVE-2013-1429)

  * coll/*:
    + [NT] Set "Auto-Remove: yes" on several collections to
      reduce the "inode pressure" on lintian.d.o.
    + [NT] Reduce the number of inodes used by removing or not
      creating some empty files and directories.
  * coll/debfiles:
    + [NT] Remove test of the presence of unpacked.
  * coll/file-info{,.desc}:
    + [NT] Disable "ascii" test in file(1).  For some packages this
      may greatly reduce the overhead of running the file-info
      collection.
  * coll/hardening-info:
    + [NT] Skip files in usr/lib/debug/.

  * data/binaries/embedded-libs:
    + [RG] Check for embedded copies of libraw.  (Closes: #711090)
  * data/fields/obsolete-packages:
    + [NT] Add texi2html.  Thanks to Ryan Kavanagh for the report.
      (Closes: #710466)
  * data/scripts/interpreters:
    + [NT] Add plackup (libplack-perl) as a known interpreter.  Thanks
      to Robert James Clay for the report.  (Closes: #712405)

  * doc/{lintian.xml,README.in}:
    + [JW] Fix typos.

  * lib/Lintian/CheckScript.pm:
    + [NT] Prefer loading checks with ".pm", but fall back to loading
      checks without the extension (with a deprecation warning).
  * lib/Lintian/Collect/Package.pm:
    + [NT] sorted_index (etc.) now returns L::Path objects rather than
      just file names.
  * lib/Lintian/{Path,Util}.pm:
    + [NT] Remove deprecated methods.
  * lib/Lintian/Path.pm:
    + [NT] Overload some operators.

  * man/lintian.pod.in:
    + [JW] Fix typos.

  * reporting/config:
    + [NT] Replace /org with /srv.
  * reporting/harness:
    + [NT] Fix bug where harness might schedule the same group
      multiple times.  (Closes: #710380)

  * t/runtests:
    + [NT] Include a summary of all skipped and failed tests.

 -- Niels Thykier <niels@thykier.net>  Sat, 29 Jun 2013 14:52:29 +0200

lintian (2.5.13) unstable; urgency=low

  Upload to unstable.

  * Summary of tag changes:
    + Added:
      - conffile-is-not-in-package
      - debconf-translation-using-general-list
      - dh_pysupport-is-obsolete
      - init.d-script-call-internal-API
    + Removed:
      - debhelper-maintscript-needs-versioned-build-depends
      - debhelper-script-needs-versioned-build-depends
      - missing-pre-dependency-on-multiarch-support

  * checks/*:
    + [NT] Use Lintian::Path objects as arguments to unpacked
      and control where these objects are available.
  * checks/binaries:
    + [RA] Do not complain about kernel modules with no shared
      library dependency information.  Patch from Guillem Jover.
      (Closes: #706242)
    + [NT] Demote the certainty of hardening-no-fortify-functions
      to "wild-guess".  (Closes: #709415)
  * checks/changes:
    + [NT] Recognise "<dist>-backports-sloppy" as a valid
      distribution.  Thanks to Romain Francoise for the
      report and the patch.  (Closes: #705170)
  * checks/conffiles:
    + [NT] Strip whitespace from conffiles similar to how dpkg
      does it.
    + [NT] When emitting duplicate-conffile, avoid repeating
      other tags related to that conffile.  The exception to
      this is relative-conffile where the original file might
      not have triggered that tag.
    + [NT] Test that all paths listed in the "conffiles" control
      file is actually in the package being tested.
  * checks/cruft{,.desc}:
    + [JW] Correct the name of the architecture listed in
      description of the tag outdated-autotools-helper-file.
      (Closes: #706166)
    + [NT] Flag all absolute symlinks in source packages as
      "unsafe".  (Closes: #697164)
    + [NT] Fix false-positive source-contains-unsafe-symlink
      for symlinks ascending one or more levels without escaping
      the package root.  Thanks to Michael Schutte for the
      report and the patch.  (Closes: #707742)
    + [NT] Add a series of patches from Bastien Roucariès to
      reduce the number of false positives and negatives in the
      GDFL related checks.  (Closes: #708957, #708881, #709379,
      #709886)
  * checks/debhelper{,.desc}:
    + [NT] Retire some tags that are no longer relevant in the
      Jessie development cycle.
    + [NT] Apply patch from Luca Falavigna to detect uses of the
      deprecated tool, dh_pysupport.  (Closes: #709615)
  * checks/description:
    + [NT] Skip extended-description-is-probably-too-short
      for -dbg packages.  Thanks to Paul Wise for the suggestion.
      (Closes: #705441)
  * checks/fields.desc:
    + [NT] Clarify that the "canonical URI" for Vcs fields is
      based on an announcement from the Alioth admins.  Thanks
      to Torquil Sørensen for the report.  (Closes: #705835)
    + [NT] Clarify in the tag description of some tags related
      to "Vcs-*" fields that the tags are based on a data list
      (and is not a result of an HTTP request while checking the
      package).
  * checks/files{,.desc}:
    + [JW,NT] Drop missing-pre-dependency-on-multiarch-support
      now that multiarch-support is in stable.  (Closes: #709121)
    + [JW] Fix typo in a tag description.  (Closes: #709455)
    + [NT] Change the "ancient-file" cut-off date to 1975 from
      1984.  Thanks to Ole Streicher and Ansgar Burchardt for the
      report.  (Closes: #710086)
  * checks/group-checks.desc:
    + [NT] Add missing semi-colon in tag description.  Thanks to
      Andrey Rahmatullin for the report.  (Closes: #706827)
  * checks/init.d{,.desc}:
    + [NT] Add missing import of utility function that could cause
      Lintian to crash in some cases.
    + [NT] Add check for uses of /lib/init in maintainer scripts.
      Thanks to Josh Triplett for the report and to Bastien
      Roucariès for the patch.  (Closes: #670092)
  * checks/menu-format:
    + [NT] Fix use of uninitialized variable when menu file uses a
      section of "/".  (Closes: #708755)
  * checks/po-debconf{,.desc}:
    + [NT] Remove tests for commands that are provided by
      Lintian's dependencies.
    + [RA] Add new check for a Language-Team field in a translation
      pointing to the debian-i18n mailing list.  Based on work by
      victory.  (Closes: #705197)
  * checks/rules:
    + [NT] Remove check for "dpkg-dev (>= 1.16.1~)" build-dependency,
      since this is trivially satisfied in Wheezy and Jessie.

  * collection/*-helper:
    + [NT] Move all collection helpers to helpers/coll.
  * collection/debfiles:
    + [NT] Replace makeshift "is_ancestor_of" check with the
      one from L::Util.
  * collection/java-info:
    + [NT] Update a regex to cope with file(1) now calling JAR files
      for "Java Jar file" rather than "Zip archive".
      (Closes: #707400)

  * data/changes-file/known-dists:
    + [NT] Add jessie and remove lenny.
  * data/debhelper/dh_{addons,commands}-manual:
    + [NT] Remove entries/versions that are no longer relevant.
  * data/fields/perl-provides:
    + [NT] Refresh against sid.  (Closes: #708178)
  * data/spelling/corrections:
    + [NT] Add correction for unnecessarily.  Thanks to Guillem
      Jover for the suggestion.  (Closes: #706241)

  * debian/control:
    + [NT] Remove irrelevant (versioned) dependencies that are now
      trivially satisfied in stable.
    + [NT] Recommend libautodie-perl (>= 2.18) and libperlio-gzip-perl
      as these can greatly effect performance of Lintian.
  * debian/lintian.install:
    + [NT] Install "helpers" as /usr/share/lintian/helpers
  * debian/{postinst,prerm}:
    + [NT] Remove unused maintainer scripts now that stable's
      libc-bin provides a C.UTF-8.
  * debian/triggers:
    + [NT] Remove unused trigger now that stable's libc-bin
      provides a C.UTF-8.

  * doc/tutorial/**/*.pod:
    + [NT] Fix a number of spelling mistakes in the POD.
  * doc/tutorial/Lintian/Tutorial/WritingChecks.pod:
    + [NT] Add a section about how to avoid some common ways
      of introducing security issues.

  * frontend/lintian:
    + [NT] Ignore LINTIAN_ROOT/locale and /var/lib/lintian/locale.
    + [NT] Export LINTIAN_INCLUDE_DIRS and LINTIAN_HELPERS_DIR to
      subprocesses.  These are ":"-separated lists of dirs used by
      Lintian.  The first being a list of raw include dirs and the
      second being a list of helpers dirs in these include dirs.
    + [NT] Fix a bug where the exit code from lintian would
      sometimes be an undocumented value (>= 3).

  * helpers/coll:
    + [NT] New directory containing some helpers that used to be in
      directly collection.

  * lib/*:
    + [NT] Fix a number of spelling mistakes in the POD.
  * lib/Lintian/Collect/{Package,Binary}.pm:
    + [NT] Accept Lintian::Path objects to unpacked and control.
  * lib/Lintian/Collect/Source.pm:
    + [NT] Provide a "source" specific is_non_free method that reads
      the "Section"-field from d/control instead of the .dsc.  This
      fixes false-positives "problematic licenses" for non-free
      packages.  Thanks to Bastien Roucariès for the report.
      (Closes: #709041)
  * lib/Lintian/Path.pm:
    + [NT] Rename link_resolved to link_normalized.
  * lib/Lintian/Unpacker.pm:
    + [NT] On platform that support it, change the "name" of the
      process running the collection.  This makes it easier to
      see what collections are currently being run (like in the
      versions prior to 2.5.12).  For platforms, where it is
      not possible to change the name of a running process, the
      unpack jobs will simply be named "lintian" like its parent.
  * lib/Lintian/Util.pm:
    + [NT] Fix a race condition in touch_file.
    + [NT] Add sanity check in perm2oct for bad permission
      strings and throw errors when they are seen (instead
      of returning 0).
    + [NT] Require that the input file is present for
      read_dpkg_control and get_deb_control.
    + [NT] In copy_dir, pass --reflink=auto to cp.
    + [NT] Replace resolve_pkg_path with to normalize_pkg_path.
      The latter has slightly different return values in some
      cases.
    + [NT] Avoid the LOCPATH dance to find the path to an UTF-8
      locale now that stable's libc-bin provides C.UTF-8 for us.
    + [NT] Add new function, locate_helper_tool, to find helper
      tools.

  * private/refresh-perl-provides:
    + [NT] Apply patch from Niko Tyni to improve Lintian's
      data file about Perl modules provided by perl-base.

  * profiles/debian/extra-apache2.profile:
    + [NT] Removed, merged into debian/main.profile.
  * profiles/debian/ftp-master-auto-reject.profile:
    + [NT] Include md5sums-mismatch and non-standard-toplevel-dir
      as an overridable tag.
  * profiles/debian/main.profile:
    + [NT] Include the apache2 check.  Thanks to Arno Töll for
      the report.  (Closes: #708943)

  * reporting/harness:
    + [NT] Stop exporting ENV variables that lintian no longer
      cares about.

  * vendors/ubuntu/main/data/changes-file/known-dists:
    + [NT] Add "saucy" as known Ubuntu distribution.  Thanks to
      Iain Lane for the report.

 -- Niels Thykier <niels@thykier.net>  Thu, 30 May 2013 08:53:02 +0200

lintian (2.5.12) experimental; urgency=medium

  * Summary of tag changes:
    + Added:
      - ambiguous-paragraph-in-dep5-copyright
      - binary-file-built-without-LFS-support
      - debian-tests-control-is-not-a-regular-file
      - debian-tests-control-uses-national-encoding
      - debug-file-with-no-debug-symbols
      - desktop-entry-lacks-keywords-entry
      - dir-or-file-in-build-tree
      - dir-or-file-in-etc-opt
      - dir-or-file-in-home
      - file-name-is-not-valid-UTF-8
      - font-adobe-copyrighted-fragment-no-credit
      - font-package-not-multi-arch-foreign
      - illegal-runtime-test-name
      - inconsistent-testsuite-field
      - license-problem-gfdl-invariants
      - license-problem-gfdl-invariants-empty
      - menu-icon-uses-relative-path
      - missing-runtime-test-file
      - missing-runtime-tests-field
      - package-contains-broken-symlink-wildcard
      - package-contains-unsafe-symlink
      - runtime-test-file-is-not-a-regular-file
      - source-contains-unsafe-symlink
      - syntax-error-in-debian-tests-control
      - unknown-runtime-tests-feature
      - unknown-runtime-tests-field
      - unknown-runtime-tests-restriction
      - unknown-testsuite
      - vcs-field-bitrotted
      - vcs-git-uses-invalid-user-uri
      - zip-parse-error
    + Removed:
